Copyright: © Copyright IBM Corp. 1995, 1997. All rights reserved.


Modeler Concepts

Double-click on an entry to link to the information.

Associative entity

Attribute

Attributive entity

Cardinality

Constraint

Data element

Degree of a relationship

Document

Document profile

Entity

Entity group

Existence rules

Focal entity

Foreign key

Fundamental entity

Generalization

Isa bundle

Isa relationship

Object names

Primary key

Relational design

Relationship

Specialization

Subtype

Supertype

Technology name

Verbs


Introduction to DataAtlas Modeler

DataAtlas Modeler combines techniques from conceptual and logical data modeling. It helps you to capture the structure of your data in a way that can be understood by both the designer and user of the data. DataAtlas Modeler supports the entity-relationship (ER) approach for conceptual data modeling. This approach uses ER models to visualize the structure of the data. An ER model represents data as entities, attributes, and the relationships between entities, as well as the constraints that define how the data is used.

The conceptual data model provides the framework for the logical data model. DataAtlas Modeler maps the ER model to data structures that are specific to the target database management system (DBMS). The resulting relational design contains table definitions and instances of tables.

DataAtlas Modeler uses TeamConnection for storing and maintaining data models, relational designs, and shareable data elements and for controlling access to all of these objects.


Data Model Objects and Concepts

In DataAtlas Modeler, data models are made up of entity groups, entities, relationships, isa bundles, attributes, constraints, and data elements. These objects are the basic building blocks of a data model.


Entity Group

An entity group is a named group of entities and relationships. A data model always has at least one entity group, its root entity group. In DataAtlas Modeler, an ER diagram is the graphical representation of an entity group - its diagram view.

Use entity groups to consolidate entities that belong together and to organize your model hierarchically - this makes the model easier to read and work with. For example, in a model of an enterprise, you might want to group together those entities that have to do with purchasing activities into a group called Purchasing.

An entity group can contain other entity groups. In an ER diagram, an entity group within another entity group is shown as an ellipse:


Entity

An entity represents a thing in the real world, usually a person, a place, an object, an event, or a concept. A single occurrence of this entity is called an entity instance. Person is an example of an entity; "the person with person ID 553-2729" is an example of an entity instance.

DataAtlas Modeler supports fundamental, associative, and attributive entities. In addition, if an entity has some special significance within an entity group or it is the main entity in an entity group, you can specify that the entity is a focal entity. This graphically highlights the entity in the ER diagram.


Fundamental Entity

A fundamental entity is an entity that represents a class of objects in the real world. Typically, most entities in a data model are of this type.

In an ER diagram, a fundamental entity is shown as:


Associative Entity

An associative entity is another way to represent a relationship that has local attributes or is a many-to-many relationship. You can also use an associative entity to model a relationship with a degree greater than 2, or a relationship to a relationship. An associative entity does not usually represent a real-world object.

In an ER diagram, an associative entity is shown as:


Attributive Entity

In DataAtlas Modeler, the attributes of an object must all be single-valued and atomic. You can use an attributive entity to model a composite attribute or a multivalued attribute.

An attributive entity is a dependent entity; its existence depends on the existence of another entity, the identifying owner. The relationship from the attributive entity to the identifying owner is the identifying relationship. This relationship must be a mandatory one-to-one or one-to-many relationship. An attributive entity can take part in more than one relationship but it can have only one identifying owner.

For example, if a person can have several addresses, the attribute address of the entity person might consist of the attributes street, city, and state. The attribute address is then composite and multivalued. You can model address as an attributive entity with a one-to-many relationship between person and address.

In an ER diagram, an attributive entity is shown as:


Relationship

A relationship is an association between one or more entities. Relationships have a degree and a cardinality and they can also have verbs.

A relationship between a supertype and a subtype is a special type of binary relationship called an isa relationship.


Degree of a Relationship

The number of different entities that participate in a relationship determine its degree. In DataAtlas Modeler, relationships are unary (degree 1) or binary (degree 2). To model relationships with a degree greater than 2, use an associative entity.

Unary

Unary relationships are represented in an ER diagram as follows:

For example, an employee manages at least zero and at most many employees. An employee is managed by at least 1 and at most 1 employee.

Binary

Binary relationships are represented in an ER diagram as follows:

For example, an engineer is allocated zero and at most one PC. A PC is allocated to zero and at most one engineer.


Cardinality

The cardinality of a relationship specifies the number of instances of one entity that can or must be associated with each instance of another entity. DataAtlas Modeler uses the following notation for cardinalities:

• Minimum cardinality defines the existence rules for the entity in the relationship:

O 	The relationship with the entity is optional.

| 	The relationship with the entity is mandatory.

• Maximum cardinality defines the maximum number of instances of the entity that can take part in the relationship:

| 	A maximum of one instance of the entity can take part in the relationship.

X 	Many instances of the entity can take part in the relationship.

Each relationship has a minimum and maximum cardinality in each direction:

When describing the cardinality of a relationship, usually only the maximum cardinalities are referred to. For example, relationships are referred to as being many-to-many, meaning that the maximum cardinality in each direction is many.


Verbs

A verb describes how entities connected by a relationship relate to one another. Verbs can help to make an ER diagram easier to read.

For example, assume you want to model the statement: "A department has zero or more employees, and an employee must belong to exactly one department". The relationship looks like this:

has and belongs_to are verbs. The relationships can be read as: "a department has zero or more employees" and "an employee belongs to exactly one department."


Attribute

An attribute is an object that describes a characteristic of an entity or a relationship. Each attribute can have a data element assigned to it that determines its data type. If you are using the data model as the basis for a relational design, you must assign a data element to each attribute.

In DataAtlas Modeler, attributes must be single-valued and atomic; the value can be mandatory or optional. To model a multivalued or composite attribute, use an attributive entity.

Attributes can be either keys or nonkeys. The keys can be primary keys or foreign keys. A primary key is mandatory, a foreign key and the nonkey attributes can be mandatory or optional.


Primary Key

A primary key is an attribute or group of attributes that uniquely identifies each instance of an entity or relationship. The values of a primary key must be unique and non-null.

A primary key that consists of more than one attribute is called a composite primary key. Each of the attributes that make up a composite primary key is called a partial primary key. For a composite primary key, the values of each of the attributes that comprise it must be non-null.


Foreign Key

A foreign key is an attribute that has been generated from a primary key along a relationship. It identifies which instance of an entity is associated with an instance of that relationship. A foreign key that is comprised of more than one attribute is called a composite foreign key. Each of the attributes that make up a composite foreign key is called a partial foreign key.

Note:   Foreign keys are not conceptual data modeling constructs. Because DataAtlas Modeler is a relational database modeling tool, foreign keys are automatically generated in the data model. If you are designing a conceptual model only, you can ignore the foreign keys.

DataAtlas Modeler uses a set of rules to automatically generate a foreign key in one of the following ways:

• From one entity to another along a relationship

For example, if one person owns zero to many automobiles, and one automobile is owned by exactly one person, then each automobile would have as a foreign key the primary key of exactly one person, and this foreign key would uniquely identify the owner. The foreign key propagation looks like this:

• Into a relationship from the participating entities

For example, if a passenger flew on at least one flight, and a flight was flown on by zero or more passengers, then the relationship receives as foreign keys the primary keys of passenger and flight. Taken together, these keys are adequate to uniquely identify, for each instance of the relationship, the corresponding entity instances. The foreign key propagation looks like this:


Constraint

A constraint in the ER model is a rule that governs the validity of the data manipulation operations, such as insert, delete, and update, associated with an entity or a relationship. You can document constraints in DataAtlas Modeler. This information is then available for the programming specifications.

For example, if you are working on a data model for a bank, you might want to note as a constraint on the entity withdrawal that the value of its attribute amount must be less than or equal to the balance of the corresponding account. This constraint would prevent someone from being able to withdraw more money than they have in their account.


Data Element

In DataAtlas Modeler, a data element defines the data type, size, and other characteristics of an attribute. The data type identifies the physical representation of the data, for example, real, integer, character, and binary.

Each attribute can have exactly one data element associated with it, but one data element can apply to any number of different attributes. For example, if you have several entities and each has the attribute age, and if in your data models age is always an integer, then you would create one data element with the name age and the data type integer, and would assign it to each of the age attributes in the various entities.

Data elements are shareable throughout TeamConnection.


Generalization and Specialization

Generalization and specialization are techniques for classifying entities:

• Generalization

Groups together entities with common attributes and associates them with a generic entity, a supertype. The individual entities then become subtypes of the supertype. Generalization is the opposite of specialization.

For example, if your model contains the entities car, truck, and motorcycle, you might recognize that they all share certain attributes and create the supertype vehicle. You can then move the common attributes to the supertype, and connect the supertype to its subtypes via an isa bundle. The attributes of vehicle would apply to car, truck, and motorcycle.

• Specialization

Splits off, via subtypes, entities that have attributes that only apply to them. Specialization is the opposite of generalization.

For example, if your model contains the entity person, you might recognize that some persons are tennis players and others are hockey players, and that these classes of people have attributes that are unique to them. The attribute racquet_size applies only to tennis players, and the attribute goals_scored applies only to hockey players. You can create new entities called tennis_player and hockey_player, and move the attributes racquet_size and goals_scored to the appropriate entities.


Supertype

A supertype is an entity that describes a superset of other, less global entities (its subtypes). For example, the supertype athlete might have the subtypes runner and swimmer. All of a supertype's attributes and relationships apply to each of its subtypes.

A supertype is connected with each of its subtypes by an isa relationship. Supertypes are used in generalization and specialization.


Subtype

A subtype is an entity that describes a subset of another, more global entity (its supertype). For example, the supertype athlete might have the subtypes runner and swimmer.

A subtype receives the primary key of its supertype as a foreign key. The attributes and relationships of the supertype apply to the subtype. Typically, a subtype has additional attributes and relationships that apply only to it and not to the supertype or to other subtypes of the same supertype.

A subtype is connected with its supertype by an isa relationship. Subtypes are used in generalization and specialization.


Isa Relationship

An isa relationship is a relationship between a supertype and one of its subtypes. In DataAtlas Modeler, isa relationships never exist independently; each isa relationship is a member of an isa bundle.

An isa relationship always has the following cardinality:

• 0,1 in the direction from the supertype to the subtype (one supertype instance can have zero or one relationship to one instance of the subtype)

• 1,1 in the direction from the subtype to the supertype (one subtype instance must have exactly one relationship to one instance of the supertype).

These cardinalities are not shown in an ER diagram; the existence rules are shown instead.


Isa Bundle

An isa bundle is a group of related isa relationships that you use for generalization or specialization.


Existence Rules

In DataAtlas Modeler, there are two rules determining the existence

of an isa relationship between a supertype and a subtype:

• Mandatory or optional

• Exclusive or nonexclusive

Mandatory 	Each instance of the supertype must have at least one relationship to an instance of one of its subtypes. Mandatory isa bundles are typified by the phrase must be, as in "A person must be exactly one of (male, female)."

Optional 	Each instance of the supertype need not have a relationship to an instance of one of its subtypes. Optional isa bundles are typified by the phrase can be, as in "A mammal can be at most one of (dolphin, dog, bear, hog)."

Exclusive 	Each instance of the supertype has at most one relationship to one instance of one of its subtypes. For example, a person is of the subtype male or female, but not both. Exclusive isa bundles are typified by the phrase at most one of, as in "An animal is at most one of (reptile, bird, mammal, insect)".

Nonexclusive 	Each instance of the supertype has relationships to instances of one or more of its subtypes. For example, an athlete is of the subtype swimmer, runner, cyclist, or any two, or all three. Nonexclusive isa bundles are typified by the phrase one or more of, as in "An athlete is one or more of (swimmer, runner, cyclist)."

In DataAtlas Modeler, these constructs are shown as follows in an ER diagram:

Optional, nonexclusive

For example, a person can be either a jazz fan, a pop fan, or both. There is an optional, nonexclusive isa bundle from person (the supertype) to jazz_fan and pop_fan (the subtypes).

Optional, exclusive

For example, a person can be either a father or a mother, but not both. There is an optional, exclusive isa bundle from person to father and mother.

Mandatory, nonexclusive

For example, an athlete must be one or more of swimmer or runner. There is a mandatory, nonexclusive isa bundle from athlete to swimmer and runner.

Mandatory, exclusive

For example, a person must be either a male or a female, but cannot be both. There is a mandatory, exclusive isa bundle from person to male and female.


Naming Objects

Data model objects in DataAtlas Modeler have two names; a conceptual name and a technology name.

The conceptual name is a descriptive name that communicates the function of the object within the model and is meaningful to the user of the data.

The technology name is used in the forward transformation of the model to create the name of the corresponding physical object. It enables you to use company-specific naming conventions in the conceptual model that apply to the physical implementation. Technology names are available for entity groups, entities, relationships, attributes, and constraints.

If you are designing a conceptual model only, you can ignore the technology name - DataAtlas Modeler will automatically generate a technology name for you. Then, if you decide at a later date to use the model as the basis for a physical implementation, you can use either the generated technology names or specify your own.


Document Objects and Concepts

You can produce documents containing the data model objects and their views directly from DataAtlas Modeler. To enable you to create documents, DataAtlas Modeler also has document and document profile objects.


Document

In DataAtlas Modeler, a document contains the graphical and textual descriptions of some or all of the objects contained in a data model. A document also contains, for each object, a cross-reference to each related object; for example, the section that describes an attribute also refers to the section that describes its corresponding data element. The content, structure, and format of a document is controlled by elements in a document profile.

You can either print the document directly from DataAtlas Modeler or save it in one of several different graphic formats to include in other documents, for example, word processor documents.


Document Profile

Document profiles are like templates, they define the content, structure, and format of the documents you create in DataAtlas Modeler. A document profile consists of one or more title pages, headers, footers, document structures, and text blocks:

• Title page

Text that appears on the front page of the document.

• Header and footer

Text that appears at the top and bottom of each page of the document. This can include, for example, the date the document was produced, the page number, or the title of the document.

• Document structure

A document structure defines the content of the chapters and the order in which they appear in the document. It also includes settings for headings, chapter and section numbering, and text and graphic formatting information.

• Text block

A text block is additional text included in a document that is independent of a data model and its objects. Typical uses for text blocks are introductory chapters, copyright statements, acknowledgments, and lists of reviewers, but you can use them for anything. Text blocks can be specific to a document, or common to all documents created using the profile.

Document profiles are not stored in TeamConnection. They are stored as files either locally or on a LAN.


Database Engineering

The DataAtlas components support the complete database engineering process.

During forward engineering, DataAtlas Modeler transforms objects in a model into a relational design. A relational design contains the objects that describe a relational database, namely its table definitions, plus one or more physical designs. Each physical design contains the objects specific to a target DBMS, for example, the tables and indexes. DataAtlas Designer uses the relational design to create the physical design and DataAtlas Dictionary uses the physical design to generate DDL statements.

DataAtlas Dictionary provides a way to populate tables and table definitions with database catalog information. DataAtlas Modeler can take this relational design and transform it into a conceptual data model. This is called reverse engineering. In addition, DataAtlas Modeler can import data models that you have created in other data modeling tools via VisualAge Exchange.


Modeler Tasks

Double-click on an entry to link to the information.

Adding and deleting pages

Adding data elements to a data model

Adding a subtype to an isa bundle

Aligning entities

Assigning a data element to an attribute

Changing the default position and size of windows

Changing the layout of a document

Changing the order of sections in a document structure

Changing the settings for an object

Changing TeamConnection family, release, or work area

Creating an attribute

Creating a constraint

Creating a data element

Creating a data model

Creating a document

Creating an entity

Creating an entity group

Creating an isa bundle

Creating a new document profile object

Creating a relationship

Creating a text block

Defining a document structure

Defining headers and footers

Defining technology name rules

Defining title pages

Deleting an object

Deleting a text block from a document structure

Describing objects in the data model

Displaying the document outline

Excluding and including a section in a document structure

Finding the source of a foreign key

Finding where a text block is used

Grouping and ungrouping entities

Hiding and showing objects

Hiding and showing the tool bar

Including a text block in a document structure

Listing entities that refer to a primary key as a foreign key

Listing text blocks used in a document structure

Locating an object in a data model

Locating relationships associated with a foreign key

Locking and unlocking an object

Moving entities between entity groups

Moving a ghost entity to an entity group

Moving objects

Navigating among diagram views

Navigating among windows

Navigating in a tree view

Opening an object

Previewing a document

Printing a document

Printing a view of an object

Removing a data element from a data model

Removing a subtype from an isa bundle

Renaming an object

Restricting the tree view

Retrieving text from the wastebasket

Saving a document

Selecting and deselecting objects

Sorting the order of objects

Specifying the layout of an object view

Specifying the minimum font size for a diagram view

Specifying technology name rules

Specifying settings for a chapter or section

Specifying the size of objects in a diagram view

Specifying what attribute information is shown in an attributes view

Specifying where new attributes and constraints are to be placed

Stretching and compressing an ER diagram

Transforming a CASE model into a data model

Transforming a data model into a relational design

Transforming a relational design into a data model

Validating a data model for transformation

Validating objects in the data model

Zooming in and out of a diagram


Working with DataAtlas Modeler Views

General tasks that are applicable to all views and tasks specific to a view are described here.

Double-click on an entry to link to the information.

Changing TeamConnection family, release, or work area

Changing the default position and size of windows

Hiding and showing the tool bar

Navigating among windows

Tree view

Diagram view

Attributes view


Changing TeamConnection Family, Release, or Work Area

All data model views show the current TeamConnection family, release, and work area. To change the TeamConnection family, release, or work area:

1. In the data models view, do one of the following:

• Move the mouse pointer to an empty area in the view, for example, to the column headings. Press mouse button 2 to display the pop-up menu for the view. In the pop-up menu, click Settings.

• Click the Change View and TeamConnection Settings choice in the tool bar.

The Settings notebook opens.

2. Go to the TeamConnection page:

• Make your changes to the release or work area.

• To change the family, click Change.

Note:   You cannot change the family if you have data models open.

Close the notebook when you have finished.

The list of models in the new family, release, or work area appears.


Changing the Default Position and Size of Windows

You can change the default position and size of the windows used to display object views. This can be useful, for example, if you change from an XGA screen to a VGA screen.

To change the default position and size of the windows used to display the object views:

1. Move and size the window.

2. In the object menu (the one on the far left of the menu bar), click Layout.

3. In the Layout window:

• Click Apply to change the window position and size for this session.

• Click Save to save the window position and size as the default.


Hiding and Showing the Tool Bar

All views in DataAtlas Modeler have a tool bar. The tool bar provides a shortcut to some of the actions in the menu bar or the object pop-up menu.

You might prefer to work without the tool bar in a particular view, for example, to increase the amount of space available for a graphic. You can choose to work without the tool bar in all views except the data models view, the document profiles view, and the documents view.

To hide or show the tool bar in a view, do one of the following:

• In the View menu, click Hide tool bar or Show tool bar.

• Click the small, square button in the lower right-hand corner of the window, between the horizontal and vertical scroll bars.

Note:   This is not available in the text view.


Navigating among Windows

When you are in any tree view, diagram view, attributes view, or text view you can navigate between windows you already have open. To list open windows and go to one of these windows:

1. In the Windows menu, click Window list.

2. Select a window from the list and then click Show.


Tree View

The following are some of the tasks you can carry out in a tree view.

Double-click on an entry to link to the information.

Navigating in a tree view

Restricting the tree view

Hiding and showing objects

Sorting the order of objects


Navigating in a Tree View

To help you navigate around the objects in a tree view of a data model, document profile, or document structure, you can select the following from the View menu:

• Select next sibling

• Select previous sibling

• Select first child

• Select parent

You can also use the cursor keys or the corresponding choices in the tool bar to move around the tree view.


Restricting the Tree View

You might only be interested in one node of a tree view and its dependents, for example, an entity group and its dependents.

 To restrict a tree view of a data model, document profile, or document structure to just these objects, do one of the following:

• Click the node in the tree. In the View menu, click Display selected only.

• Place the pointer over the node in the tree, and press and hold down Ctrl+mouse button 2.

To return to the complete tree view, do one of the following:

• In the View menu, click Display all.

• Place the pointer over the node in the tree, and press and hold down Ctrl+mouse button 2.

 DataAtlas Modeler displays all objects in the tree view.


Hiding and Showing Objects

A tree view of a data model or a document profile might show more detail than you need. You can temporarily reduce the level of detail by hiding the dependents of one or more nodes. This is called collapsing a node. Showing the hidden dependents of a collapsed node is called expanding the node.

To collapse nodes in a tree view, do one of the following:

• Place the pointer over each node you want to collapse, and press and hold down Shift+mouse button 2.

• Click the nodes that you want to collapse, and in the Selected menu, click Collapse.

To expand collapsed nodes in a tree view:

• Place the pointer over each node you want to expand, and press and hold down Shift+mouse button 2.

• Click the nodes that you want to expand, and from the Selected menu, click Expand.


Sorting the Order of Objects

In the tree view of a data model, you can sort the order of the objects in the following groups: Entity groups, Entities, Relationships, Isa bundles, and Data elements.

To sort a group of objects:

1. Click the appropriate group node, for example, Entity groups.

2. From the View menu, click Sort order.

The Sort Order window opens.

3. Click the sort method; User defined and By creation date are not available for data elements.

4. Click OK to sort the objects according to the selected sort method.

If you specify User defined as the sort order, you can move objects within the same group. For example, you can move an entity to a new position in the Entities group, but you cannot move it to the Relationships group.

If you specify User defined or Alphabetically as the sort order, this order is kept in documents you create in DataAtlas Modeler. If you specify By creation date or By modification date as the sort order, the objects are sorted alphabetically in documents you create in DataAtlas Modeler.


Diagram View

The following are some of the tasks you can carry out in a diagram view.

Double-click on an entry to link to the information.

Navigating among diagram views

Zooming in and out of a diagram

Specifying the minimum font size for a diagram view

Stretching and compressing an ER diagram

Adding and deleting pages

Aligning entities


Navigating among Diagram Views

A larger data model can have many entity groups. There are several ways to navigate among these entity groups.

To open any entity group:

1. From the Windows menu, click Object.

The Object window opens from which you can list all the objects of a certain type.

2. Click Entity group as the object type.

A list of all the entity groups in the data model opens.

3. Select an entity group from the list and then click OK.

DataAtlas Modeler opens the diagram view of the selected entity group.

To go to the entity group that is the parent of a ghost entity:

1. Click the ghost entity.

2. From the Selected menu, click Go to.

DataAtlas Modeler opens the entity group that contains the entity that corresponds to the ghost entity.

If the current entity group is the child of another entity group, you can go to the parent entity group in one of the following ways:

• Double-click on an empty area in the diagram view.

• In the Windows menu, click Parent entity group.

DataAtlas Modeler opens the diagram view of the parent entity group.


Zooming In and Out of a Diagram

When you open a diagram view of an entity group, it is sized so that all the objects in the entity group are visible in one window. The setting for the minimum font size in the user profile determines whether the text is shown or not. You can change the minimum font size.

To zoom in on a diagram view, do one of the following:

• In the View menu, click Zoom in.

DataAtlas Modeler zooms in on the diagram by 20%. The top left corner of the diagram is used as the reference point for the zoom action.

• Use a drag box to select an area to be zoomed in on. In the View menu, click Zoom in.

DataAtlas Modeler zooms in on the diagram as far as it can and still display the area marked by the drag box.

To zoom out of a diagram view, do one of the following:

• In the View menu, click Zoom to fit in window.

DataAtlas Modeler zooms so that the entire diagram just fits in the current window.

• In the View menu, click Zoom out.

DataAtlas Modeler zooms out of the diagram by 20%. The top left corner of the diagram is used as the reference point for the zoom action.

To undo your last zoom action, do the following:

• In the View menu, click Undo zoom.

Instead of using the menu-bar choices, you can use the corresponding tool-bar choices for zooming.


Specifying the Minimum Font Size for a Diagram View

Sometimes when viewing a diagram, you might want to see all the objects in the entity group. However, when you zoom out, the text in the diagram can become too small for you to read. To avoid this, set the minimum font size in your user profile to the smallest size you can comfortably read.

To change the minimum font size for a diagram view:

1. Open the data models view, document profiles view, or document view.

2. Click mouse button 2 in an empty area of the view, and then User profile in the pop-up menu.

The User Profile notebook opens.

3. Specify the new minimum font size and close the notebook.

The changes to the profile become effective when you open a model; they have no effect on models that are already open.


Stretching and Compressing an ER Diagram

You can change the size of an ER diagram by stretching and compressing it:

1. Press and hold down Shift+mouse button 2 and move the mouse pointer.

DataAtlas Modeler displays a grid on top of the diagram view. The grid stretches and compresses as you move the mouse pointer.

2. When you have resized the diagram, release the Shift key and the mouse button.


Adding and Deleting Pages

The pages defined in a diagram view are used when you print the diagram view. They can also help you to visually divide up a model when you are creating it on the workstation.

Often, the diagram view of an entity group contains too many entities for it to fit easily on one page. To improve the readability of the diagram, you can add additional rows and columns of pages. Ensure that you have the entity group locked.

• To add a column of pages, in the View menu, click Add column of pages.

• To add a row of pages, in the View menu, click Add row of pages.

You can delete rows or columns of unused pages, or delete rows and columns together so that the set of defined pages remains a rectangle. DataAtlas Modeler deletes columns from right to left and rows from bottom to top.

• To delete a column of pages, in the View menu, click Delete column of pages.

• To delete a row of pages, in the View menu, click Delete row of pages.

• To delete all unused rows and columns of pages, in the View menu, click Remove pages.


Aligning Entities

To align entities horizontally or vertically with respect to a reference entity:

1. Lock the entity group.

2. Select the objects you want to align.

DataAtlas Modeler highlights the selected objects.

3. In the View menu, click Align horizontally or Align vertically.

4. Choose one of the highlighted objects as the reference object.

The selected objects are aligned with respect to the reference object.

Instead of using the choices from the menu bar, you can use the corresponding tool-bar choices to align entities.


Attributes View

The following are some of the tasks you can carry out in an attributes view. Double-click on an entry to link to the information.

Finding the source of a foreign key

Listing entities that refer to a primary key as a foreign key

Locating relationships associated with a foreign key

Hiding and showing columns

Specifying where new attributes and constraints are to be placed


Navigating among Attributes Views

You can use primary and foreign keys to navigate among attributes views to:

Find the source of a foreign key

List entities that refer to a primary key as a foreign key


Finding the Source of a Foreign Key

To find the source of a foreign key:

1. Open the attributes view of the entity or relationship.

2. Click a foreign key.

3. In the Selected menu, click Show primary key.

DataAtlas Modeler displays the attributes view of the entity containing the corresponding primary key and highlights the primary key in that view.


Listing Entities That Refer to a Primary Key as a Foreign Key

To list the entities that refer to a primary key as a foreign key:

1. Open the attributes view of the entity.

2. Click the primary key.

3. In the Selected menu, click List foreign keys.

DataAtlas Modeler displays a list of the entities that contain foreign keys referring to the primary key. You can select an entity from the list and open its attributes view. DataAtlas Modeler highlights the foreign key in that view.


Locating Relationships Associated with a Foreign Key

To locate the relationship in the diagram view of an entity group that is associated with a foreign key in the attributes view of an entity:

1. Open the attributes view of the entity.

2. Click the foreign key.

3. In the Selected menu, click Show relationship.

DataAtlas Modeler displays the diagram view of the entity group. The relationship associated with the foreign key is highlighted.


Specifying What Attribute Information Is Shown

By default, the attributes view shows the attribute type, name, data element, and DB2 implementation. You can customize the view to include the attribute technology name and the Oracle implementation, to change the order in which this information is shown, and to remove information from the view.

To specify what information is shown in the attributes view, click the View menu, then Show columns. The Show Columns window for attributes opens.

• To add information, click the corresponding entries in the Available Columns list, and then >>.

• To remove information, click the corresponding entries in the Visible Columns list, and then  <<.

Note:   You cannot remove the attribute name or the attribute type.

• To change the position of a column in the attributes view, click the entry in the Visible Columns list, and then click either Up or Down.


Specifying Where New Attributes and Constraints Are to Be Placed

The order of the attributes in an attributes view determines the order of the columns in the corresponding table in the relational design. For each attributes view, you can specify whether new attributes are to be placed before or after the selected attribute. The current setting is shown in the Information Area at the bottom of the window.

To define where you want to place new attributes:

1. Open the attributes view of the entity or relationship.

2. In the View menu, click New item placement, then Before or After.


Working with Objects

General tasks that are applicable to all of the object types in DataAtlas Modeler are described here.

Double-click on an entry to link to the information.

Changing the settings for an object

Deleting an object

Locating an object in a tree view

Locking and unlocking an object

Moving objects

Opening an object

Removing a data element from a data model

Selecting and deselecting objects

Specifying the layout of an object view

Specifying the size of objects in a diagram view

Specifying technology name generation rules


Selecting and Deselecting Objects

When you select objects as described in the following table, all previously selected objects are deselected, unless you press and hold down the Ctrl key while you click on the objects with mouse button 1.

To Select...	Do the Following...
A single object in any view	Click mouse button 1 on it.
Several objects in any view	Press and hold down the Ctrl key while you click on the objects with mouse button 1.
An object and its dependents in a tree view	Press and hold down the Shift key, and click mouse button 1 on the object.
The root node in a tree view, or a restricted tree view	Press the space bar.
Several objects in a diagram view	Move the mouse pointer to an empty area near the objects you want to select, press and hold down mouse button 1, and drag a box over the objects.
An entity and all its partners in a diagram view, plus the relationships that connect them	Press and hold down the Shift key, and click mouse button 1 on the entity.
All the attributes of the same type in an attributes view	Press and hold down the Shift key and click mouse button 1 on any one of the attributes.
The following table shows how to deselect objects in DataAtlas Modeler:

To Deselect...	Do the Following...
An object in any view without deselecting other objects	Press and hold down the Ctrl key, and click mouse button 1 on the object.
All selected objects in any view	Click mouse button 1 on an empty area in the view.
The root node in a tree view, or a restricted tree view	Press the space bar.


Locking and Unlocking an Object

DataAtlas Modeler lets several users work simultaneously on the same model. However, to ensure that two users do not change the same object at the same time, DataAtlas Modeler requires that a user locks an object before changing it.

An object can be locked by only one user at a time. When you select an object or open a view of an object, the Information Area at the bottom of the window shows whether the object is already locked and by whom.

Lock an object when:

• You want to prevent others from changing it.

• You want to change it yourself.

If you still have objects locked when you end your DataAtlas Modeler session, these objects are automatically unlocked when you close the tree view of a data model.

The following table shows which objects must be locked by you to carry out some of the more common actions in DataAtlas Modeler. For multiuser installations, additional locking requirements might apply. See the individual task descriptions for further information about these additional requirements.

Action	Entity	Relation- ship	Attrib- ute	Constr- aint	Isa Bundle	Data Element
Create object	EG	EG	E or R	E or R	EG
Modify object	E	R	E or R	E or R	B	DE
Delete object	EG + E	EG + R	E or R	E or R	EG + B	DE
Create or modify text	E	R	E or R	E or R	B	DE
Add or remove subtype	-	-	-	-	EG + B	-
Group objects	EG	-	-	-	-	-
Ungroup objects	Next higher EG	-	-	-	-	-
 Legend:

B 	Isa bundle

DE 	Data element

E 	Entity

EG 	Entity group

R 	Relationship

To lock or unlock the object corresponding to a view, for example, an entity group in its diagram view:

• In the object menu (the one at the far left of the menu bar), click Lock or Unlock.

To lock or unlock an object in a view:

1. Click the object.

2. In the Selected menu, click Lock or Unlock.

If you are using DataAtlas Modeler in a single-user installation, you might find it more convenient to lock or unlock all the objects in a data model at once:

1. Open the tree view of the data model.

2. In the Model menu, click Lock all objects or Unlock all objects.


Opening an Object

Objects in DataAtlas Modeler can have several views. How you open an object depends on what type of object it is and the view you want to open.

To open a view of a data model, document profile, or document:

1. Open the DataAtlas Modeler view containing the object, for example, the data models view to open a data model.

2. Select the data model, document profile, or document you want to open, and do one of the following:

To Open a...	Click...

Tree view 	Open, then Tree view from the object's pop-up menu. This is only available for data models and document profiles. It is the default (double-click) action for these objects.

Settings view 	Settings from the object's pop-up menu.

To open a view of an entity group, entity, relationship, attribute, constraint, isa bundle, or data element:

1. Open a view that contains the object. For example, if you want to open a view of an entity, open a tree view of the data model containing it, or a diagram view of the entity group containing it.

2. Select the object.

3. Do one of the following:

To Open a...	Click...

Settings view 	Selected, Open as, then Settings. This is the default (double-click) action for isa bundles, data elements, attributes, and constraints.

Diagram view 	Selected, Open as, then Diagram. This is the default (double-click) action for entity groups.

Attributes view 	Selected, Open as, then Attributes. This is the default (double-click) action for entities and relationships.

Text view 	Selected, Open as, then Text.

To open a view of any object from a tree view, diagram view, attributes view, or text view:

1. In the Windows menu, click Object.

The Object window opens.

2. Click an object type, an item in the list of objects, and then click OK to open the object.


Moving Objects

To move a single object in any view:

1. Lock the object corresponding to the view.

For example, to move an entity in a a diagram view, you must lock the entity group corresponding to the diagram view.

2. Move the mouse pointer to the object.

3. In OS/2, hold down mouse button 2, drag the object to its new position, and release the mouse button.

4. In Windows NT, hold down mouse button 1, drag the object to its new position, and release the mouse button.

To move several objects in a diagram view at the same time:

1. Lock the entity group corresponding to the diagram view.

2. Select the objects.

3. In OS/2, move the mouse pointer over one of the selected objects, press and hold down Ctrl+mouse button 2, drag the selected objects to a new position, and release the mouse button.

4. In Windows NT, move the mouse pointer over one of the selected objects, press and hold down Ctrl+mouse button 1, drag the selected objects to a new position, and release the mouse button.

5. Move the mouse pointer over one of the selected objects, press and hold down Ctrl+mouse button 1, drag the selected objects to a new position, and release the mouse button.

To move objects in a tree view, the sort order for the group must be set to user-defined. Using drag and drop, you can move objects in the Entity groups, Entities, Relationships, and Isa bundles groups on the same hierarchical level. For example, you can move an entity to a new position within its entity group, but not from one entity group to another.


Changing the Settings for an Object

Settings define the properties of an object, for example, its name, its cardinality if it is a relationship, or its type if it is an entity. You define these characteristics when you create an object. You can change the following settings for each of the object types:

Object	Settings

Data model 	Name

Document profile 	Name

Document 	Name

Entity group 	Name, technology name

Entity 	Name, technology name, type, rank

Relationship 	Verbs, cardinalities, name of the relationship, technology name

Isa bundle 	Name, existence rules

Attribute 	Name, technology name, attribute type, data element

Constraint 	Name, technology name, elemental access method, when the constraint is checked

Data element 	Name, definition information

To change the settings for a data model, document profile, or document:

1. Open the appropriate view of DataAtlas Modeler.

2. Place the pointer over the object and press mouse button 2.

3. In the pop-up menu, click Settings.

The Settings notebook for the object opens.

4. Make your changes to the settings, and close the notebook.

To change the settings for any other data model object:

1. If the object is an entity group, entity, relationship, isa bundle, or data element, lock the object.

If the change affects the diagram view of the entity group to which the object belongs, ensure that the entity group is not locked by someone else. For example, changing the name of an entity or the cardinality of a relationship affects the entity group to which these objects belong, so you cannot change them if the entity group is locked by someone else.

2. If the object is an attribute or a constraint, lock the entity or relationship to which it belongs.

3. Do one of the following:

• In an open view of the object, from the object menu (the one at the far left of the menu bar), click Open as, then Settings.

• In a view containing the object, click the object, then in the Selected menu, click Open as, then Settings.

The Settings view of the object opens.

4. Make your changes to the settings and click OK.


Specifying Naming Rules for Generating Technology Names

The technology name allows you to specify a name for the physical implementation of the object. For example, the entity technology name is used to generate the table name in the physical implementation of the data model.

You can generate a technology name automatically when you create an object, or modify an object name. The technology name is generated from the object name or from an object-specific prefix and a number. You can specify which of these rules DataAtlas Modeler is to use when it automatically generates the technology name.

To specify rules for the automatic generation of the object technology name:

1. Open the tree view.

2. In the Model menu, click Technology name generation rules.

The Technology Name Generation Rules window opens.

3. Select the technology name generation rules:

• To generate the technology name from the object name, click Remove characters, and then one of the name reduction methods.

If the resulting name is not unique, DataAtlas Modeler adds a number to the end of the generated name to make it unique.

• To generate the technology name from an object-specific prefix and a number sequence, click Use prefix and number. Specify a prefix for each object type and the number of digits to be used for the number.

When you create an object, DataAtlas Modeler generates a number with the specified number of digits and adds it to the object-specific prefix to create a unique technology name for the object.

4. Click OK.


Specifying the Layout of an Object View

The layout settings determine the appearance of an object on the workstation, in printed graphics views, and in the documents you create in DataAtlas Modeler; the same layout settings are used for each. There are separate layout settings for the views containing graphical information and for the text view.

You can specify the following layout settings:

• Fonts

• Paper size

• Orientation

• Units

• Margins

You can specify layout settings for a view or an object in a view:

1. Do one of the following:

• For a view, in the object menu (the one at the far left of the menu bar) of each, click Layout.

• For an object in a view, select it, then in the Selected menu, click Layout.

The Layout window opens.

If the selected object is in a tree view, diagram view, or attributes view, the fields in Graphic view and Margins are active. If the view is a text view, only the fields in the Text view are active.

2. Make your changes to the layout. If you are making changes to the font, click Font to see a sample of the new font.

3. To see the layout changes applied to the current view, click Apply.

4. To use these layout settings for all newly created objects of the same type, click Save.

5. To apply the layout settings and close the Layout window, click OK.

If you changed the layout of an object in a view, you do not see the changes until you open a view of the object. For example, if you changed the layout of an entity in the tree view, you do not see the changes until you open its attributes view.


Specifying the Size of Objects in a Diagram View

To improve the appearance of your ER diagrams, you can specify how objects in an entity group are to be sized. The object size can be:

• Fixed

All objects in the entity group are the same fixed size. If an object name is too long for the object symbol, DataAtlas Modeler truncates the name so it fits into the symbol. Object names that have been truncated end in periods (...) in the diagram view.

• Dynamic

All objects in the entity group are the same size. The size of the objects depends on the longest entity or entity group name; the longer the name, the larger the object size. If the length of this name is changed, then the size of all the objects in the ER diagram also changes.

Use an ampersand (&) to indicate where a new line in an entity group name or an entity name is to begin.

You can specify size settings for an individual entity group or for all entity groups in a model:

1. Do one of the following:

• To specify size settings for all newly created entity groups, in the tree view, in the Model menu, click Object size.

• To specify size settings for an entity group, do one of the following:

-In the tree view, select the entity group. In the Selected menu, click Object size.

-In the diagram view, in the Group menu, click Object size.

The Object Size window opens.

2. Specify the settings:

• If you want all the objects in the entity group to have the same size, click Fixed. Specify the object width and height in the appropriate fields.

• If you want all the objects in the entity group to be dynamically sized, click Dynamic. In the Minimum characters field, specify the minimum number of characters in each line of the entity name. In the Minimum lines field, specify the number of lines for the entity name.

3. Click OK to save the settings.


Locating an Object in a Tree View

In a large, complex data model, it can be difficult to find a particular object. To locate a particular object in the tree view of a data model:

1. From the View menu, click Search.

The Search window opens.

2. Enter a search pattern, the subtrees you want to search, and click Search.

The pattern field is case-independent. For example, if you enter prod as the search pattern, DataAtlas Modeler finds PRODUCT and product.

3. To locate the object in the tree, select one of the objects in the Results list, and click Select.

The tree view scrolls to display the object and the object is selected.


Deleting an Object

To delete a data model, document profile, or document:

1. Open the appropriate view of the DataAtlas Modeler.

If the object is a data model, ensure that it is not loaded. If the object is a document profile, ensure that it is not open.

2. Place the pointer over the object you want to delete and press mouse button 2.

3. In the pop-up menu, click Delete

Note:   You cannot delete the DEFAULTS document profile.

To delete an object from a document profile, or an object other than a data element from a data model:

1. In a view containing the object you want to delete, select that object.

2. If the object is an entity group, entity, relationship, or isa bundle, lock the object.

Ensure that the entity group to which the object belongs is not locked by someone else. When you select an object, the Information Area at the bottom of the window shows whether the object is already locked and by whom.

3. If the object is an attribute or a constraint, lock the entity or relationship to which it belongs.

4. In the Selected menu, click Delete.

The object is deleted. If the object has a description associated with it, this is put in the wastebasket in the tree view of the data model.

Note:   The Confirm delete setting in the user profile determines whether an object is deleted with or without you confirming the deletion.


Removing a Data Element from a Data Model

To remove a data element from a data model:

1. Select the data element in the tree view.

The Information Area shows whether the data element is used in the model; you can remove only those data elements that are not used.

2. Lock the data element.

3. In the Selected menu, click Remove data element.

The data element is removed from the data model but remains in the TeamConnection database.

To remove all the unused data elements from a data model:

1. In the tree view of the data model, select all the data elements.

2. Lock all the data elements.

3. In the Model menu, click Remove unused data elements.

A list of all the unused data elements in the model is displayed.

4. Click OK to remove all the unused data elements.

The data elements are removed from the data model but remain in the TeamConnection database.


Modeling Data

A data model consists of entities, the relationships between entities, attributes for entities and relationships, isa bundles, and entity groups. Entities and relationships can also have constraints and each object can have text associated with it. These objects form the basic building blocks of a data model.

Double-click on an entry to link to the information.

Adding data elements to a data model

Assigning a data element to an attribute

Creating an attribute

Creating a constraint

Creating a data model

Creating a data element

Creating an entity

Creating an entity group

Creating a relationship

Describing objects in the data model

Generalizing and specializing

Moving a ghost entity to an entity group

Moving entities between entity groups

Retrieving text from the wastebasket

Ungrouping an entity group

Validating objects in the data model

Working with entity groups


Creating a Data Model

When you create a data model, you can do it in one of the following ways:

• Create a new data model, and then the entities, relationships, and attributes it contains.

• Copy an existing model, then add new objects, and modify or delete existing ones.


Creating a New Data Model

To create a new data model:

1. Open the data models view of DataAtlas Modeler.

2. Do one of the following:

• Move the mouse pointer to an empty area in the view. Press mouse button 2 to display the pop-up menu for the view. In the pop-up menu, click Create.

• Move the mouse pointer to an existing data model. Press mouse button 2 to display the pop-up menu for the object. In the object pop-up menu, click Create another.

The Create Data Model window opens.

3. Specify a name for the data model and select a TeamConnection component from the list to which the data model is to belong. Click OK to create the new model.

The new model is added to the list of data models.


Copying an Existing Data Model

When you create a data model, you might have an existing data model that you want to use as a basis for the new model.

To copy an existing data model:

1. Open the data models view of DataAtlas Modeler.

2. Move the mouse pointer to the data model you want to copy. Press mouse button 2 to display the pop-up menu for the object. In the object pop-up menu, click Copy.

The Copy Data Model window opens.

3. Specify a name for the data model and select a TeamConnection component from the list to which the data model is to belong. Click OK to create the new model.

If the data model you are copying is already loaded, DataAtlas Modeler takes a copy of the last stored version of the model in TeamConnection. The new model is added to the list of data models.


Creating an Entity

You can create entities from the tree view of a data model and from the diagram view of an entity group:

1. Lock the entity group where the entity is to be placed.

2. In the tree view, select the entity group where the entity is to be placed. In the Selected menu, click Create entity.

The Create Entity window opens.

3. In the diagram view, do one of the following:

• Click a free position in the diagram where the entity is to be placed, and from the Group menu, click Create entity.

• Select an existing entity, and in the Selected menu, click Create another.

The Create Entity window opens.

4. You must specify either a name or a technology name for the entity.

Use the = button to copy the name from one name field to another; the target name field must be blank. Use the v button to generate the technology name from the object name using the predefined technology name generation rules.

You can specify how the entity name appears in the diagram view by using an ampersand (&) to indicate where a new line in the name is to begin. For example, if you want the entity name Service Representative to appear on two lines like this:

Service

Representative

In the Name field, type: Service&Representative.

5. Select an entity type.

6. If the entity is the main entity in the entity group, click Focal.

7. If you want to create several entities, click Apply to keep the Create Entity window open. The new entities do not appear in view until you close the window.

8. Click OK to close the Create Entity window and create the entity.

The newly created entity is automatically locked. If you created the entity in the tree view or used the Create another choice in the diagram view, the new entity is placed at the top of the ER diagram in the left-hand corner. From here, you can move the entity to a new position.


Creating a Relationship

In DataAtlas Modeler you can create unary and binary relationships between entities in the same or in different entity groups. To model a relationship with a degree greater than 2, use an associative entity.

You can also use associative entities to model many-to-many relationships or relationships with attributes. Because these relationships result in additional tables in a relational design, the associative entity can help you to establish a visual link to the relational design.

 Between Entities in the Same Entity Group

To create a unary relationship or a binary relationship between two entities  in the same entity group:

1. Open the diagram view of the entity group.

2. Lock the entity group.

3. Select at least one of the entities that is to participate in the relationship.

4. In the Selected menu, click Create relationship.

If you selected only one entity, DataAtlas Modeler highlights all the entities in the diagram; click the partner entity from those highlighted. If you are creating a unary relationship, click the entity again.

The Create Relationship window opens.

5. Specify a cardinality for the relationship in both directions.

The cardinality determines the direction of the foreign key propagation.

All other information in the window is optional. If you do not specify a name for the relationship, DataAtlas Modeler creates a name by concatenating the names of the entities participating in the relationship and Verb1. If you do not specify a technology name, DataAtlas Modeler automatically generates it using the predefined technology name generation rules.

6. Click OK to create the relationship.

The relationship appears in the diagram view. If the relationship has verbs, these are also shown. The newly created relationship is automatically locked.

To create a second relationship between two entities:

1. In the diagram view, select a relationship.

2. In the Selected menu, click Create another.

The Create Relationship window opens.

3. Fill in the window and click OK.

The relationship and its verbs appear in the diagram view.

 Between Entities in Different Entity Groups

To create a relationship between two entities in different entity groups:

1. Lock the entity groups that contain the entities that are to participate in the relationship.

2. Open the diagram view of one of the entity groups.

3. Select the entity that is to participate in the relationship.

4. In the Selected menu, click Create relationship.

DataAtlas Modeler highlights all the entities in the diagram, and displays a  [image]  symbol at the right-hand side of the diagram.

5. Click the  [image] symbol.

The Partner Entity window opens.

6. Select the entity group containing the partner entity and the partner entity.

7. Click OK.

The Create Relationship window opens.

8. Fill in the window and click OK.

The relationship and its verbs appear in the diagram view. The newly created relationship is automatically locked.

If both entities belong to different sibling entity groups, the second entity is shown as a ghost entity in the current diagram view.

If the second entity belongs to a child entity group of the current entity group, the relationship is drawn only to the entity group where the second entity resides.


Adding Data Elements to a Data Model

Data elements are shareable throughout TeamConnection applications. Usually, you already have a pool of data elements in the TeamConnection database that have been defined for your enterprise. You generally only need a small number of these for a data model. You must add these data elements to your data model or create your own shareable data elements in DataAtlas Modeler.

To add data elements to a model:

1. Open the tree view of the data model.

2. In the Model menu, click Add data elements.

The Add Data Elements window opens.

3. Click Search to search for data elements in TeamConnection.

The Search Data Elements in TeamConnection. window opens.

4. Enter your search criteria; the fields are case sensitive. You can use wildcard characters in any of the fields; use an underscore (_) to represent one character and a percent sign (%) to represent several characters.

5. Click Search.

The search results appear in the Add Data Elements window in the Available in TeamConnection list.

6. Select a data element from the search results list, then click Add >> to add it to the data model.

Note:   If the data element name contains ampersands (&), you cannot add the data element to DataAtlas Modeler.

7. When you have finished, click Cancel to leave the window.

The tree view of the data model is redisplayed with the data elements assigned to the model. These data elements are not automatically updated in DataAtlas Modeler when changes are made to them elsewhere in TeamConnection. To see these changes, you must refresh the tree view.


Creating a Data Element

If you cannot find a suitable data element in TeamConnection, you can create data elements in DataAtlas Modeler. The new data elements are added to the data model and to the TeamConnection database.

To create a data element:

1. Open the tree view of the data model.

2. Do one of the following:

• In the Model menu, click Create data element.

• Click either the Data elements node or a data element, and from the Selected menu, click Create data element.

The Create Data Element window opens.

3. Fill in the general information about the data element. When you select a representation type, description fields specific to the type are shown in the Definition group. In addition, the data type you select determines the availability of the other fields.

4. Click OK to create the data element and add it to TeamConnection. The newly created data element is automatically locked.


Creating an Attribute

To create an attribute for an entity or a relationship:

1. Open the attributes view of the entity or relationship.

2. Lock the entity or relationship.

3. Do one of the following:

• In the Entity or Relationship menu, click Create attribute.

• Select an attribute, and in the Selected menu, click Create another.

The Create Attribute window opens.

4. You must specify either a name or a technology name for the attribute.

Use the = button to copy the name from one name field to another; the target name field must be blank. Use the v button to generate the technology name from the object name using the predefined technology name generation rules.

5. Select an attribute type.

6. Select a data element from the list.

To reduce the number of data elements in the list, enter a search pattern in the Data element field. This field is case sensitive. You can include the wildcard characters % (percent) or * (asterisk) to represent several characters. Only those data elements matching the search pattern are included in the list. For example, if you know the data element you need begins with DA_C, you can type DA_C% or DA_C* to limit the data elements in the list to those that begin with DA_C.

If you cannot find a suitable data element in the list of data elements in the model, click Search to search for data elements in TeamConnection. If you still cannot find a suitable data element, click Create new.

You do not need to assign a data element to the attribute when you create it.

7. Click OK to create the attribute.

The attributes view is redisplayed with information about the new attribute added to it.

To model a multivalued attribute, create an attributive entity for the attribute.


Assigning a Data Element to an Attribute

When you create an attribute, you do not have to assign a data element to it straight away. To assign a data element to an attribute at a later stage:

1. Open the attributes view of the entity or relationship.

2. Lock the entity or relationship.

3. Select an attribute.

4. From the Selected menu, click Open as, then Settings.

The Settings window for the attribute opens.

5. Select a data element from the list of data elements.

If you cannot find a suitable data element in the list of data elements in the model, click Search to search for data elements in TeamConnection. If you still cannot find a suitable data element, click Create new.

6. Click OK to assign the data element to the attribute.

The attributes view is redisplayed with the data element information.


Creating a Constraint

To create a constraint for an entity or a relationship:

1. Open the attributes view of the entity or relationship.

2. Lock the entity or relationship.

3. Do one of the following:

• From the Entity or Relationship menu, click Create constraint.

• Select a constraint, and in the Selected menu, click Create another.

The Create Constraint window opens.

4. Fill in the window and click OK to create the constraint.

The attributes view of the entity is redisplayed with the constraint information.


Working with Entity Groups

Entity groups provide a way of grouping together entities that belong together. For example, you might want to group together all the entities involved in order processing into an entity group called OrderProcessing. You can also use entity groups as a way to let several people work on the same data model. You can create entity groups in the tree view of a data model and in the diagram view of an entity group.


Creating an Entity Group

To create an entity group:

1. Open the tree view or the diagram view.

2. Lock the entity group containing the entities you want to group together.

3. Select the entities that you want to group together.

4. In the Selected menu, click Group.

The Create Entity Group window opens.

5. Specify the name of the entity group.

6. You must specify either a name or a technology name for the entity group.

Use the = button to copy the name from one name field to another; the target name field must be blank. Use the v button to generate the technology name from the object name using the predefined technology name generation rules.

You can specify how the name appears in the diagram view by using an ampersand (&) to indicate where a new line in the name is to begin. For example, if you want the entity group name Order Processing to appear on two lines like this:

Order

Processing

In the Name field, type: Order&Processing.

7. Click OK to create the entity group.

In the tree view, the entity group is added as a new hierarchical level. In the diagram view, the entities are replaced by the entity group.


Ungrouping an Entity Group

You can ungroup an entity group from the tree view of a data model or from the diagram view of the next higher entity group.

To ungroup an entity group:

1. Do one of the following:

• Open the tree view of the data model.

• Open the diagram view of an entity group that contains the entity group you want to ungroup.

2. Lock the entity group that contains the entity group you want to ungroup.

3. Select the entity group you want to ungroup.

4. In the Selected menu, click Ungroup.

The objects in the entity group are moved to the entity group on the next higher level.


Moving a Ghost Entity to a Different Entity Group

To move a ghost entity to an open entity group:

1. Lock the target entity group and the parent entity group of the ghost entity.

Ensure that the ghost entity is not locked by anyone else. The locking information is shown in the Information Area when you select the ghost entity.

2. Select the ghost entity.

3. In the Selected menu, click Get entity.

The ghost entity is moved to the current entity group.


Moving Entities between Entity Groups

To move entities between entity groups:

1. Open the diagram view of the entity group.

2. Lock the target entity group.

3. Click a free position in the diagram.

4. In the Group menu, click Get entity.

A list of the entities that you can move to this entity group appears. Only entities that are in entity groups that are not locked by other users appear in this list.

5. Select the entities you want to move and then click OK.


Generalizing and Specializing

Generalization and specialization involve relating entities using an isa bundle.

You can:

• Create an isa bundle

• Add a subtype to an isa bundle

• Remove a subtype from an isa bundle


Creating an Isa Bundle

To create an isa bundle:

1. Open the diagram view of the entity group.

2. Lock the entity group.

3. Select the entity that is to be the supertype.

4. In the Selected menu, click Specialize.

The Create Isa Bundle window opens.

5. Fill in the window:

• Specify the name of the isa bundle.

• Click the existence rules that apply.

• Select a subtype from the list of available entities, and then click>> to include it in the isa bundle. Repeat this step for each of the subtypes you want to add to the isa bundle.

6. Click OK to create the isa bundle.

The newly created isa bundle is automatically locked.


Adding a Subtype to an Isa Bundle

To add a subtype to an existing isa bundle:

1. Open the diagram view of the entity group.

2. Lock the isa bundle and entity group to which it belongs.

3. Click the isa bundle.

4. In the Selected menu, click Add subtype.

The Add Subtype window opens.

5. Click the entity in the list of available entities that you want to add to the isa bundle, and then >> to include it in the subtypes list.

6. Click OK.

The entity is added as a subtype to the isa bundle.


Removing a Subtype from an Isa Bundle

To remove a subtype from an isa bundle:

1. Open the diagram view of the entity group.

2. Lock the isa bundle and the entity group to which it belongs.

3. Click the isa relationship connected to the subtype you want to remove.

4. In the Selected menu, click Delete.

The subtype is removed from the isa bundle.


Describing Objects in the Data Model

You can create a description for any of the following objects:

• Data model

• Entity group

• Entity

• Relationship

• Attribute

• Constraint

• Isa bundle

• Data element

This description can be included in any document created in DataAtlas Modeler.

To create a description for an object, do the following:

1. If the object is:

• An entity group, entity, relationship, isa bundle, or data element, lock the object.

• An attribute or a constraint, lock the entity or relationship to which it belongs.

2. Do one of the following:

• In an open view of the object, from the object menu (the one at the far left of the menu bar), click Open as, then Text.

• Select the object, and in the Selected menu, click Open as, then Text.

The text view of the object opens. If the object is the data model, lock the text view.

3. Enter the description of the object.

You can use formatting controls to specify how text is to be formatted when it is included in a document. Use capital letters for the formatting controls and place them at the beginning of a line. Do not include any other text in the same line as the control.

4. You can also include text that you have prepared in another text editor and saved as an ASCII file. To do this, do one of the following:

• Include the following format control:

.include path\filename.ext

   For example:

.include C:\OS2\README.TXT

• In the Edit menu, click Get.

The text in the file is added to the text view.

5. Close the text view when you have finished.


Retrieving Text from the Wastebasket

When you delete objects in the data model that have a description, the text is put into the wastebasket in the tree view. The text remains there as long as the data model is loaded.

To use the text in the wastebasket for another object, do the following:

1. Double-click on the text in the wastebasket to open its text view.

2. Do one of the following:

• Copy the text to the clipboard. Open the text view of the object where you want to use the text. In the Edit menu, click Paste.

• Save the text to a file. Open the text view of the object where you want to use the text. In the Edit menu, click Get.

The text from the wastebasket is added to the current text view.


Validating Objects in a Data Model

DataAtlas Modeler helps you check whether your data model is complete and follows the rules imposed by the entity-relationship modeling method. You can specify which rules are to be invoked during validation, for example, that all entity groups must have a description or that all entities must have attributes assigned.

You can validate your data model as often as you like and at any stage of its development. You can also validate a model before you transform it into a relational design.

You can validate the following objects:

• Data model

• Entity group

• Entity

• Relationship

• Isa bundle

• Data element

1. To validate all the objects in a view, from the object menu (the one at the far left of the menu bar), click Validate.

2. To validate one or more objects in a view, select the objects, and in the Selected menu, click Validate.

3. In the Validate window, click the rules DataAtlas Modeler is to use to validate the selected objects.

4. Click OK to start the validation.

If objects are found that do not comply with the selected validation rules, the Validation Object List containing these objects opens.

5. Select an object from the list and then click OK.

If the object is an entity group, entity, or relationship, DataAtlas Modeler opens a view containing the object and displays a list of validation messages associated with the object. For example, if you select an entity from the list, the attributes view of the entity opens.

For any other object, the object is selected in the view and the list of validation messages associated with the object is displayed.

6. Click OK.

DataAtlas Modeler closes the message window.

7. Use entries in the Messages menu to display the messages again.

8. To work on messages for other objects, return to the view from where you started the validation, and in the Messages menu, click Message list.

The Validation Object List is shown again.


Forward and Reverse Engineering

DataAtlas Modeler supports both the forward and reverse engineering of data models. During forward engineering, In DataAtlas Modeler, this data engineering process is called transformation.

During forward engineering, DataAtlas Modeler creates a relational design and instances of tables from a data model. During reverse engineering, DataAtlas Modeler creates a data model from a relational design.


Forward Engineering

DataAtlas Modeler supports transformation into relational designs for DB2 Universal Database, DB2 for OS/390, and Oracle. The transformation produces a relational design containing the table definitions, and instances of tables for the specified target database management system (DBMS).

You can transform all of the objects in a data model, or select some of the objects in the model and do a partial transformation on only these objects. You can transform objects into either a new relational design or into an existing relational design.

Before you transform objects you can validate them to ensure that they meet the requirements of the (DBMS).


Validating Objects in a Data Model for Transformation

If you validate objects in a model before you transform them, it can help you to resolve design problems that might otherwise cause problems during transformation. The validation checks that:

• Object names in the data model will produce valid table names according to SQL naming conventions for the target DBMS. This includes checking the name length, the valid characters, and the reserved words.

• Every entity has a primary key that is sufficient to uniquely identify each instance of the entity, and that it is not redundant.

• Every entity has attributes defined so that columns and column definitions can be created for the table instance and the table definition.

• Every attribute has a data element assigned to it, otherwise a complete definition of the column cannot be created.

Validate objects in a data model from the tree view of the data model:

1. Do one of the following:

• To validate all the objects in the model, in the Model menu, click Transform into, then Validate for transform, and then the target DBMS.

• To validate selected objects, in the Selected menu, click Transform into, then Validate for transform, and then the target DBMS.

The Validate for Transform window for the target DBMS opens.

2. Click the rules DataAtlas Modeler is to use to validate the data model, and then click OK to start the validation.

If objects are found that do not comply with the selected validation rules, the Validation Object List containing these objects opens.

3. Select an object from the list and then click OK.

If the object is an entity group, entity, or relationship, DataAtlas Modeler opens a view containing the object and displays a list of validation messages associated with the object. For example, if you select an entity from the list, the attributes view of the entity opens.

For any other object, the object is selected in the view and the list of validation messages associated with the object is displayed.

4. Click OK.

DataAtlas Modeler closes the message window.

5. Use entries in the Messages menu to display the messages for the view again.

6. To work on messages for other objects, return to the view from where you started the validation, and in the Messages menu click Message list.

The Validation Object List is shown again.


Transforming Objects in a Data Model into a Relational Design

You can transform objects in a data model into either a new relational design or into an existing relational design that resulted from a previous transformation of the data model.

To transform objects in a data model into a relational design:

1. Open the tree view of a data model.

2. Do one of the following:

• To transform all the objects in the model, in the Model menu, click Transform into, then Relational design, and then the target DBMS.

• To tranform only selected objects:

a.Select the entities; relationships between entities are automatically transformed. If you are carrying out a partial transformation into an existing relational design, the updates made to the relational design depend upon the objects you select. For further information on selecting objects for partial transformation, see "Transformation into an Existing Relational Design" in Chapter 6 of the DataAtlas Modeler User"s Guide.

b.In the Selected menu, click Transform into, then Relational design, and then the target DBMS.

The Transform into Relational Design window for the target DBMS opens. If the objects have already been transformed into a relational design, or the data model resulted from the transformation from a relational design, the settings specified for the last transformation are shown in the window.

3. Specify the transformation options.

The version, relational design, system, component, and creator or schema are mandatory fields. If you are transforming the data model into a relational design for DB2 Universal Database, the database field is also mandatory. If you specify a name for an object name that does not already exist in the TeamConnection database, a new object is created. This does not apply to the version or component.

• Relational design

If the objects have already been transformed into a relational design, the Relational design field contains a list of these designs. Select a design from this list or click Search to search all the relational designs in TeamConnection. When you select a relational design, the settings for the last transformation into this relational design are shown in the window.

 If you specify a new relational design name, a new relational design with its collection of table definitions and table instances is created.

• Physical design

The physical design associated with the selected relational design is shown in the Physical design field. If several physical designs are associated with the relational design, the physical design resulting from the last transformation is shown first.

If you retransform objects into an existing relational design but you specify a new physical design name, the tables created during the previous transformation are linked to the new physical design.

• System

The systems available for the selected version.

If you retransform into an existing relational design but you specify a different system, a new set of tables is created. These tables are linked to the table definitions created during the previous transformation.

For example, a data model contains the entity Department with the technology name DEPT. If you transform the data model into a relational design for the DB2 for OS/390 system SYS1, DataAtlas Modeler creates a table definition Department and a DB2 for OS/390 table SYS1:ADM:::DEPT. If you retransform the data model into the same relational design but change the system name to SYS2, DataAtlas Modeler creates a new DB2 for OS/390 table SYS2:ADM:::DEPT and links this to the existing table definition Department.

• Creator or Schema, Database

These fields list, where appropriate, the creators, schemas, and databases available for the selected system.

4. Click Transform.

DataAtlas Modeler starts the transformation. DataAtlas Modeler uses different rules for transforming into new designs and existing designs. For a partial transformation, the following also apply:

• All relationships between selected entities are automatically transformed.

• All attributes of selected entities are transformed.

• If you select a subtype in an isa bundle but not its corresponding supertype, both the subtype and the supertype are transformed.

You can stop the transformation at any time, and then resume it or cancel it altogether. When the transformation is finished, a report documenting the transformation is displayed. You can save this report to a file for printing.

5. If the transformation of an object results in a table or column name that violates the naming rules or in a table name that is too long, a Name Conflict window opens. Do one of the following:

• Assign a new name to the table or column and click OK.

• Click Cancel to end the transformation.


Transformation into a New Relational Design

When you transform a data model or selected objects into a new relational design, DataAtlas Modeler creates a collection of table definitions and tables for the specified target DBMS. It also creates a set of mapping objects for the transformation.

When you transform a data model into a new relational design, DataAtlas Modeler has a set of rules for transforming data model objects into relational design objects. There are rules for transforming entities, attributes, relationships, and isa bundles.

If you do a partial transformation on selected objects, the following also apply:

• Only the selected entities and the relationships between them are transformed. Many-to-many relationships and relationships with attributes are transformed automatically. If you used an associative entity to represent a many-to-many relationship or a relationship with attributes, you must also select the associative entity.

• Foreign key attributes of selected entities are transformed even if the corresponding entity is not transformed.

• If you select a subtype in an isa bundle but not its corresponding supertype, both the subtype and its supertype are transformed.


Mapping Objects

The mapping objects contain the following information for each data model object and its corresponding relational design object:

Data Model Object	Relational Design Object
Entity	Table definition, table
Attribute	Column definition
One-to-one or one-to-many relationship without attributes	Foreign key definition
Many-to-many relationship or relationship with attributes	Table definition, table, foreign key definition, column definitions
If you transform the data model or selected objects into an existing relational design, DataAtlas Modeler uses the mapping objects as the basis for the transformation. During transformation, the mapping objects are updated with changes to the data model objects.


Entities

Entities are transformed into new table definitions and new tables. The entity name becomes the table definition name and the entity technology name becomes the target DBMS table name. For example, when you transform a data model containing the entity Department with the technology name DEPT into a relational design for DB2 for OS/390, DataAtlas Modeler creates a table definition Department and a DB2 for OS/390 table DEPT.

If a table definition name already exists in the TeamConnection database, DataAtlas Modeler makes the name unique by adding a number to it. For example, if the data model contains the entity Employee and the table definition Employee already exists in the TeamConnection database, during transformation DataAtlas Modeler creates the table definition Employee1.


Attributes of Entities and Relationships

Attributes of entities and relationships are transformed into new column definitions:

• The attribute technology name becomes the column definition name.

• The shared data element associated with the attribute is associated with the column definition.

• The entity primary key becomes the primary key definition of the table definition.


Unary and Binary Relationships

Unary and binary relationships are transformed into new foreign key definitions or additional new table definitions and tables:

• For one-to-one or one-to-many relationships without attributes, the relationship is transformed into a foreign key definition according to the DataAtlas Modeler key propagation rules.

• For many-to-many relationships without attributes, and all relationships with attributes, the relationship is transformed into a new table definition and a new table (a correlation table).

Foreign keys are created in the new table definition from the primary keys of the entities participating in the relationship. If the primary key of an entity is a composite key, the corresponding foreign key is also a composite key.

• For a mandatory one-to-one relationship, the unique attribute is set to YES. For all other types of relationships, the unique attribute is set to NO.

DataAtlas Modeler also creates a constraint and reference clauses from the relationship.


Constraint

DataAtlas Modeler creates a constraint name based on the relationship technology name. The maximum length of the constraint name is 8 characters. The relationship technology name is shortened as follows:

1. Remove characters that are not valid SQL characters for the target DBMS.

2. Remove vowels starting at the end of the technology name.

3. Truncate the technology name.

If the resulting constraint name is not unique within the table definition, DataAtlas Modeler adds a number to the name.


Reference Clauses

During transformation, DataAtlas Modeler sets the delete rules and update rules for the referential integrity of the foreign key. The default setting depends on the minimum cardinality of the relationship of the dependent entity to the parent entity. The dependent entity is the entity to where the foreign key is passed from the parent entity. You can change these default settings in the Transform to Relational Design window before you transform the data model.

DataAtlas Modeler sets the default delete rules and update rules for the target DBMS as follows:

Relationship in Data Model	DB2 for Common Servers	DB2 for OS/390	Oracle
Dependent entity has optional relationship to its parent.		Delete rule: SET NULL Update rule:  NONE	Delete rule:  SET NULL  Update rule:  N/A   N/A
 Dependent entity has a mandatory relationship to its parent.
Delete rule:
RESTRICT
Update rule:
 RESTRICT
Delete rule:
 RESTRICT
Update rule:
 N/A
Delete rule:
NONE
 Update rule:
N/A
 Relationship with attributes or many-to-many relationship.
Delete rule:
RESTRICT
 Update rule:
RESTRICT
Delete rule:
RESTRICT
 Update rule:
N/A
Delete rule:
RESTRICT
 Update rule:
N/A


Isa Bundles

Isa bundles are transformed into table definitions and tables. DataAtlas Modeler creates a table definition and a table for the supertype and for each of the subtypes. The isa relationships are transformed in the same way as binary relationships.


Transformation into an Existing Relational Design

When you transform objects into an existing relational design that was the target of a previous transformation, DataAtlas Modeler uses the mapping objects to determine the changes you made to the data model since the last time you transformed it.

Note:   If you have made changes to the relational design in DataAtlas Designer or DataAtlas Dictionary, these changes are not affected by the transformation. For example, if you have added a new column to a table, the column is unaffected when you retransform the data model containing the corresponding entity into the same relational design.

If you added new objects to the data model, DataAtlas Modeler creates new relational design objects. If you modified objects in the data model, the following table shows how DataAtlas Modeler transforms these modified objects:

Action in Data Model	Result in Relational Design
On Entities
Change name	Table definition renamed.
Change technology name	Table renamed.
 Delete
Note: When you delete an entity, the attributes and relationships that belong to the entity are also deleted.
Corresponding table definition and all tables that use the table definition are deleted. All parts that belong to the table definition, such as the column definition and the foreign key definition, are also deleted with the table definition.
Note: This is applicable only when you transform all the objects in the model.
On Attributes
Change name	No effect.
Change technology name	Column renamed.
Change attribute type from optional to mandatory.	Column definition set to NOT NULL.
Change attribute type from mandatory to optional.	Column definition set to NOT NULL.
Delete	Column definition deleted.
Assign new data element.	Link from the column definition to the original data element deleted and link to the new data element created.
On Primary Keys
Add attribute	Column definition added to primary key definition.
Remove attribute	Column definition removed from primary key definition. If this column is the only column in the primary key definition, the primary key definition is deleted.
On Relationships
Change name	No effect.
Change technology name	Constraint renamed.
 Add attribute to primary key of parent entity
Column definition added to foreign key definition of the dependent table and to the primary key definition of the parent table.
Note: For a partial transformation, the column definition is deleted only if the dependent entity is also selected.
Remove attribute from primary key of parent entity	Column definition removed from foreign key definition in the dependent table and from the primary key definition of the parent table. If this column is the only column in the foreign key definition, the foreign key definition is deleted.
Delete	Column definition of the foreign key definition of the dependent table and the foreign key definition are deleted.
On Relationship Cardinality
Change one-to-one to one-to-many	Unique attribute set to NO.
Change one-to-many to mandatory one-to-one	Unique attribute set to YES.
Set relationship to the parent entity to optional	Default delete rule for the foreign key set to ON DELETE SET NULL.
Set relationship to the parent entity to mandatory	Default delete rule for the foreign key set to ON DELETE RESTRICT.
 Change a one-to-one or one-to-many relationship to a many-to-many relationship or to a relationship with attributes
1. Column definitions of the foreign key definition of the dependent table deleted.
2. Foreign key definition of the dependent table deleted.
3. New correlation table added.
4. Foreign key definitions added to the correlation table that references the participating tables.


Reverse Engineering

If you did not use DataAtlas Modeler to design your existing relational database, you can use it to help you when you want to add new tables to it. Use DataAtlas Dictionary to populate the TeamConnection database with the existing database catalog. You can then use DataAtlas Modeler to transform the resulting relational design into a data model.


Transforming a Relational Design into a Data Model

To transform a relational design into a data model:

1. Create a new data model object.

2. Open the tree view of the data model.

3. In the Model menu, click Transform from, then Relational design.

The Transform from Relational Design window opens.

4. Select the relational design that is to be transformed, the source database system, and then click Transform.

DataAtlas Modeler starts the transformation. It transforms the objects in the relational design into corresponding data model objects.

Depending on the size of the relational design, the transformation can take some time. You can stop the transformation at any time, and then resume it or cancel it altogether.

When the transformation is finished, a report documenting the transformation is displayed. You can save this report to a file for printing.


Transformation into a Data Model

When you transform a relational design and its corresponding tables into a data model, DataAtlas Modeler transforms:

• A table definition into an entity or a many-to-many relationship

A table definition is transformed into a many-to-many relationship when the primary key definition of the table definition is made up of two foreign key definitions and there are no other foreign key definitions.

In all other cases, a table definition is transformed into an entity. The table definition name is transformed into the entity name and the table name in the source DBMS is transformed into the entity technology name.

• A column definition into an attribute of an entity or a relationship

The column name becomes the attribute technology name. If the relational design resulted from a forward transformation of a data model, the attribute retains its object name. If the relational design was created in any other way, for example, by populating the TeamConnection database with the database catalog, the column name is also transformed into the attribute name. The data element associated with the column definition is associated with the attribute.

• The primary key definition of the table definition into the primary key for the entity

The primary key columns are transformed into attributes; the attribute type is set to P.

• Foreign key definitions into relationships:

-When the foreign key definition is also the primary key definition, a one-to-one relationship is created where the dependent entity has a mandatory relationship to the parent entity.

-When the primary key definition is made up of two foreign key definitions and there are no other foreign key definitions, a many-to-many relationship is created where the dependent entity has an optional relationship to the parent entity.

-In all other cases, the transformation depends on whether NULL values are allowed for the foreign key and whether the foreign key is unique. The following table shows the possible combinations.
NULL Value Allowed	Unique Attribute Value	Data Model Relationship
Yes	No	A one-to-many relationship where the dependent entity has an optional relationship to the parent entity.
No	No	A one-to-many relationship where the dependent entity has a mandatory relationship to the parent entity.
No	Yes	A one-to-one relationship where the dependent entity has a mandatory relationship to the parent entity.


Importing and Exporting Models Using VisualAge Exchange

If you have already modeled your data using a different data modeling tool, VisualAge Exchange provides a bridge from your data modeling tool to DataAtlas. Using VisualAge Exchange, you can import data models into DataAtlas Modeler and export data models from DataAtlas Modeler.

The VisualAge Exchange User's Guides describe in detail the translation to and from other modeling tools.


Importing a Data Model

If you want to use DataAtlas Modeler to work with models that you created with other data modeling tools, you must:

1. Translate the data model into a CASE model usingVisualAge Exchange.

2. Import the CASE model into TeamConnection.

3. Transform the CASE model into a data model using DataAtlas Modeler.


Translating a Data Model into a CASE Model

The VisualAge Exchange Feature User's Guide describes how to translate the data model. Ensure that you set the following for the target CASE model in VisualAge Exchange.

COMPONENT

The TeamConnection component to which the translated data model is to belong.

MODEL

The name for the translated model; the name must be unique within TeamConnection.

STRVER

The TeamConnection version context. This has the following format:

family|release|work area

The family name must be unique for every model you translate.

MAPNAME

The map name; this must be unique for every model you translate.

MAPDOM

The source used to populate the data elements in the CASE model. This parameter determines whether VisualAge Exchange uses defining attributes or domains in the source data model to create data elements in the CASE model. Specify one of the following:

N 	VisualAge Exchange uses defining attributes in the source data model to create data elements.

If the source modeling tool does not have defining attributes, VisualAge Exchange generates a defining attribute for every attribute in the source model. It then creates the data elements from the generated defining attributes.

Y 	VisualAge Exchange uses domains in the source data model to create data elements.

VisualAge Exchange generates a domain from the data type and size of every attribute. It then creates the data elements from the generated domains.

VARIATION and REVISION

It is recommended that you set the VARIATION, or the REVISION, or both to ensure that the translated data element names are unique in the TeamConnection database. If the names are not unique, you cannot import the translated model into TeamConnection.

TARFILNAM

The name of the file produced by the translation process.

NOTESWANTED

If your data modeling tool supports comment text as well as descriptive text, you can append the comments to the descriptive text in the translated data model.

N 	Translate only the descriptive text.

Y 	Append comment text to the descriptive text.


Importing a CASE model into TeamConnection

Use the TeamConnection work area import command to import the file produced by the translation process into TeamConnection.

For example, if you want to import the file d:\celdialwork area 3 in Release1, the syntax for the work area import command is:

teamc workarea -import 3 -release Release1 -file d:\celdial


Transforming a CASE Model into a Data Model

A CASE model is the TeamConnection internal representation of a data model. It is the form used for data models that were created with other data modeling tools and then imported into TeamConnection. To work with an imported model in DataAtlas Modeler, you must transform it into a DataAtlas Modeler data model.

To transform a CASE model into a data model:

1. Create a new data model object.

Ensure that you create the new model in the same TeamConnection family, release, and work area as the translated model.

2. Open the tree view of the data model.

3. In the Model pull-down menu, click Transform from, then CASE model.

The Transform from CASE model window opens.

4. Select the CASE model that is to be transformed and then click Transform. You can stop the transformation, and then resume it or cancel it altogether.

DataAtlas Modeler transforms the constructs in a CASE model into the equivalent DataAtlas Modeler constructs with the following exceptions:

• N-ary relationships

N-ary relationships are transformed as associative entities with binary relationships.

• Relationship constraints

Relationship constraints specify whether the occurrence of one relationship affects the occurrence of another relationship. DataAtlas Modeler does not transform relationship constraints.


Exporting a Data Model

If you want to use the ER data model you created in DataAtlas Modeler in another data modeling tool, you must:

1. Transform the data model into a CASE model.

2. Export the CASE model from TeamConnection.

3. Translate the CASE model into a data model for the source data modeling tool using VisualAge Exchange.


Transforming a Data Model into a CASE Model

To transform a CASE model into a data model:

1. Open the tree view of a data model.

2. In the Model pull-down menu, click Transform into, then CASE model.

The Transform into CASE Model window opens.

3. Specify the name of the CASE model; the name must be unique within the CASE models in TeamConnection.

4. Click Transform.

DataAtlas Modeler starts the transformation. You can stop the transformation at any time, and then resume it or cancel it altogether.


Exporting a CASE Model

Use the TeamConnection part export command to export the CASE model to a file.

For example, if you want to export the CASE model celdial in release Release1 and work area 3 to the file d:\celdial.exp, the syntax for the part export command is:

teamc part -export "<>celdial<:>"

-file d:\celdial.exp

-release Release1

-workarea 3

-type DSDataModel

-viewtype CDMPublicCASEModel


Translating the CASE Model into a Data Model

Translate the exported file to the format for the target data modeling tool using VisualAge Exchange Feature. The VisualAge Exchange Feature User's Guides describe how to translate the exported file.


Producing Documentation

DataAtlas Modeler allows you to produce documentation for a data model. You can either print a data model view, for example, a diagram view of an entity group, or create documents containing information about the objects in a data model.

To create a document, you need a document profile that defines the content, structure, and format of the document. DataAtlas Modeler contains a default document profile, DEFAULTS, that you can use to create a standard document. To create a customized document, you can create a document profile containing the elements you need for the document content and structure.

Tasks applicable to producing documentation are described here.

Double-click on an entry to link to the information.

Changing page settings, fonts, and scaling factors

Changing the settings for the Preview window

Creating a document

Getting information about a document

Navigating through a document

Previewing a document

Printing a document

Printing a view of an object

Saving a document


Printing a View of an Object

You can print a view of an object, for example, the diagram view of an entity group. Use the Layout window to specify the orientation, the paper size, and the font used for printing.

1. Do one of the following:

• Open the view you want to print, and click Print from the object menu (the one at the far left of the menu bar).

• Open a view that contains the object you want to print, click the object, and click Print in the Selected menu.

The Print window opens.

2. Specify the number of copies, the print range, and the printer, and click Print. The printer can also be a fax printer.


Creating a Document

You can create documents for the complete model or part of the model. The settings you specified in the Layout window for each object or text block are used when you create the document. A default font is used for all other text in the document. You can change these font settings after you create the document. For example, in the preview window you can change the font used for the main text of the document.

To create a document:

1. Open the tree view of the data model.

2. To ensure that you include the latest data element information, refresh the tree view.

3. Do one of the following:

• If you want to create a document for all the objects in a model, in the Model menu, click Create document.

Note:   If you restricted the view using Display selected only, or excluded objects from the tree view using the Exclude choice, the document includes only those objects contained in the current view.

• If you want to create a document for only some of the objects in the data model, select the objects you want to include in the document, and from the Selected menu, click Create document.

The Create Document window opens.

4. Select a document profile and the title page, header, footer, and document structure from this document profile that you want to use for this document.

If you decide that you do not want to include a particular document element in the document, you must still select a document element for this type. In this case, the document element is an empty document element. For example, if you decide that you do not want a header in your document, you must create an empty header in the document profile, and select this header when you create the document.

If a suitable profile does not already exist, click Create new to create a new profile or Copy to copy and change an existing profile.

5. Documents are not automatically saved. If you want to save the generated document, click Save.

The Save Document File window opens.

6. To preview the document before printing it, click Preview.

The Preview window containing the formatted document opens.

7. To print the document from this window using the printer defaults, click Use default values for print window, and click Print.

To select a printer and the output type before printing the document, click Print.

The Print window opens.


Previewing a Document

DataAtlas Modeler lets you check and fine-tune the format of a document before you print it.

When you preview a document, you can do the following:

• Go to a section or page in the document.

• Change the page settings, fonts, or scaling factors in a document.

• Get information about the document.

• Change the settings for the preview window.

• Save the document.

• Print the document.


Navigating through a Document

A document is divided into sections: title page, table of contents, body, and appendix. You can use these sections to navigate through a document or go direct to a specific page number.

When you preview a document, to go to another place in it:

1. Click View in the menu bar.

2. To go to another page in the document, click the Page choice from the menu. You can specify the number of the new page relative to the first page in the section or the absolute page in the document.

The current page number in the section and the absolute page number in the document are shown in the Information Area at the bottom of the window.

3. To jump to the first page in another section, click that section from the menu.

You can also use the navigation choices in the tool bar to navigate through the document:

  First page in document

  First page in current section

  Previous page

  Next page

  First page in next section

  Last page in document


Changing Page Settings, Fonts, and Scaling Factors

In a document preview, you can change certain layout aspects for the document before you print it, for example the font size used for headings, or the size of the graphics. These changes then apply throughout the document.

To change the layout of the document:

1. In the Document menu, click Layout, then click one of the following:

• Page, to change page settings, for example the page size and margins.

The Page window opens.

• Font, to change the font for a particular document element, for example the font for the running footers.

The Fonts window opens.

• Scaling Factors, to rescale the graphics.

The Scaling Factors window opens.

2. Make your changes, and click OK to activate them.


Getting Information about a Document

To get information about the document, for example, when the document was created, and the total number of pages it has:

1. In the Document menu, click Information.

DataAtlas Modeler displays the information about the document.


Changing the Settings for the Preview Window

You can change the way the Preview window looks without affecting how your finished document looks. You can change the following settings for the Preview window:

• Borders

• Graphics

• Scroll position

To change the settings for a Preview window:

1. In the Document menu, click Open as settings.

The Preview Settings window opens.

2. Make the changes.

3. Click OK to change the settings for the window.


Saving a Document

When you create a document and print it, the document is not saved automatically. You might not want to print your document directly from the Preview window, or you might want to save the document in a format that you can use elsewhere.

1. To save a document:

• In the Create Document window, click Save.

• From the Preview window, Save to document file from the Document menu.

The Save Document File window opens.

2. In the Save Document File window, specify the:

• File path where the file is to be saved to

If the output format is PostScript, the default path shown in the window enables you to work with the document in the documents view.

• File name

If the output type is PCX or TIF, DataAtlas Modeler shortens the name you enter here to 5 characters.

• Output type

If you selected a format other than PostScript, DataAtlas Modeler creates a separate file for each page in the document. It adds a number starting with 000 to the file name for each file it creates.

3. Click OK to save the document.


Printing a Document

You can print PostScript documents in DataAtlas Modeler when you create them from the Create Document window, view them from the Document Preview window, or after you have created and saved them from the documents view.

To print a document from the:

• Create Document window, click Print.

• Preview window, click Print in the Document menu.

• Documents view:

1. Move the mouse pointer to the document and press mouse button 2 to display the object pop-up menu.

2. In the object menu, click Print.

The Print window opens.

3. Specify the number of copies, the print range, and the printer, and click Print. The printer can also be a fax printer.


Customizing Documents

Document profiles define the content, structure, and format of documents created within DataAtlas Modeler. You can create a document at any time using the DEFAULTS document profile delivered with DataAtlas Modeler. You can also create document profiles to create customized documents.

Tasks applicable to customizing documents are described here.

Double-click on an entry to link to the information.

Changing the order of sections

Creating a document profile

Creating a text block

Defining a document structure

Defining headers and footers

Defining title pages

Deleting a text block from a document structure

Displaying the document outline

Excluding and including a section in a document structure

Finding where a text block is used

Including a text block in a document structure

Listing text blocks used in a document structure

Specifying settings for a chapter or section


Creating a Document Profile

When you create a new document profile, you can either copy an existing profile or create a new profile.

To create a new document profile object:

1. Open the document profiles view of DataAtlas Modeler.

2. Do one of the following:

• Move the mouse pointer to an empty area in the document profiles view. Press mouse button 2 to display the pop-up menu for the view. In the pop-up menu, click Create.

• Move the mouse pointer to an existing document profile. Press mouse button 2 to display the pop-up menu for the object. In the object pop-up menu, click Create another or Copy.

The Create Document Profile window opens.

3. Specify a profile name and click OK to create the new document profile.

You can also create a new document profile if, when creating a document, you realize none of the existing document profiles meets your needs. To do this, from the Create Document window, click Create or Copy.

If you created the document profile using any of the Create choices, the new profile is a copy of the DEFAULTS profile delivered with DataAtlas Modeler.


Defining Title Pages

A title page is divided into three text areas: top, center, and bottom. The text in any of these areas can be several lines long and you can justify the text separately for each area. All title pages have a default font. When you create a document, you can change the font for the title page from the document preview.

To define a title page:

1. Open the tree view of the document profile.

2. Do one of the following:

• Double-click on the Title node.

• Click the Title node, and in the Selected menu, click Create element.

• Click an existing title, and in the Selected menu, click Copy.

If you double-clicked on the node or clicked Create element, the Create Title window opens. If you clicked Copy, the Settings window for the title opens.

3. Specify a name for the title page.

4. Enter the text for the title page and specify how the text is to be justified.

You can enter text for the top, center, and bottom of the title page and specify how you want the text to be justified.You can use document variables in any of these fields.

If you want the text in any of these areas to appear on several lines, use the new line variable $(nl) to indicate where you want the new line to start. For example, if you want the text in the center of the title page to appear like this:

CELDIAL CORPORATION

Data Model

Type the following in the Center field: CELDIAL CORPORATION$(nl)Data Model

5. Click OK to create the title page.


Defining Headers and Footers

Headers and footers are divided into three text areas: left, center, and right. The text in any of these areas can be several lines long. Headers and footers have a default font. When you create a document, you can change the font used in the document from the document preview.

To define a header or a footer:

1. Open the tree view of the document profile.

2. Do one of the following:

• Double-click on the document element node, for example, Header.

• Click the document element node, and in the Selected menu, click Create element.

• Click an existing document element of the type you want to define. In the Selected menu, click Copy.

If you double-clicked on the node or clicked Create element, the Create window for the selected document element type opens. If you clicked Copy, the Settings window for the document element opens.

3. Fill in the window and click OK. You can use document variables in any of the fields.

4. Click OK.


Creating a Text Block

You can create additional text for documents that is independent of the data model and its objects. These text blocks can be specific to a particular document, or common to all documents created using the document profile. To include the text in the document you must include it in a document structure.

To create a text block:

1. Open the tree view of the document profile.

2. Do one of the following:

• Double-click on the Text blocks node.

• Click the Text blocks node, and in the Selected menu, click Create element.

• Click an existing text block, and in the Selected menu, click Copy.

If you double-clicked on the node or clicked Create element, the Create Text Block window opens. If you clicked Copy, the Settings window for the text block opens.

3. Specify the name of the text block.

4. To create the text for the text block, click Open.

DataAtlas Modeler opens the text view of this text block.

5. Enter the text.

You can use formatting controls to specify how text is to be formatted when it is included in a document. Use capital letters for the formatting controls and place them at the beginning of a line. Do not include any other text in the same line as the control.

6. You can also include text that you have prepared in another text editor and saved as an ASCII file. To do this, do one of the following:

• Include the following format control:

.include path\filename.ext

   For example:

.include C:\OS2\README.TXT

• In the Edit menu, click Get.

The text in the file is added to the text view.

7. Close the text view when you have finished.


Finding Where a Text Block Is Used

You can include the same text block in several document structures. It can be useful to find out where a text block is used, for example, when you want to change or delete a text block and you want to check whether it is used anywhere else.

To find where a text block is used:

1. Open the tree view of a document profile.

2. Select a text block.

The Information Area shows how many times the text block is used.

3. From the Selected menu, click Where used.

DataAtlas Modeler displays a list of the document structures that use the selected text block.


Defining a Document Structure

The document structure controls the content of a document. It defines the parts of a data model and the text blocks that are included in a document and the order in which they are to appear.

To define a document structure:

1. Open the tree view of the document profile.

2. Do one of the following:

• Double-click on the Structure node.

• Click the Structure node, and in the Selected menu, click Create element.

• Select an existing document structure, and in the Selected menu, click Copy.

If you double-clicked on the node or clicked Create element, the Create Document Structure window opens. If you clicked Copy, the Settings window for the document structure opens.

3. Specify the name of the document structure.

4. To define the structure, click Open to open the document structure tree.

DataAtlas Modeler displays the tree view of the structure, from which you can:

• Specify settings for a chapter or section.

• Change the order of sections in a document section.

• Exclude and include document sections.

• Include text blocks.

• List text blocks used in the structure.

• Delete a text block.

• Display the document outline.

When you have finished, close the tree view.


Specifying Settings for a Chapter or Section

You can define the following settings for the chapters and sections in a document structure:

• The text of a heading

• Whether the heading is to appear for a particular section

• Whether the heading is to be numbered and what sort of numbering is to be used

• Page breaks

• For text chapters and sections, the text format

• For chapters and sections containing graphics, the graphic position and the scaling factor for the graphics

To define document settings:

1. Do one of the following:

• To define settings for all the elements in the document, for example, page breaks, select all the chapters and all the sections in the structure tree.

• To define settings for a chapter or a section, select the chapter or the section.

2. In the Selected menu, click Open as settings.

The Settings window for the selected chapter or section opens.

If the selected section contains graphics, the fields in Graphic position and Graphic scale are available. If the selected section is added text or text belonging to an object, the fields in Text format are available.

3. Make your changes to the settings.

If the description of an object or a text block contains formatting controls, click Unformatted and proportional as the text format.

4. Click OK.


Changing the Order of Sections

The document structure in the document structure tree is the default document structure. You can change this structure by dragging a node and dropping it in a different place in the structure tree. You can move nodes only within the same hierarchical level in the tree.

The sort order settings for the tree view of the data model also affect the order of the sections in the document.


Excluding and Including a Section in a Document Structure

The default document structure contains all the possible sections a document can have. You might not need all these sections in your document structure.

To exclude sections from a document structure:

1. Click the sections that you want to exclude.

2. In the View menu, click Exclude.

The excluded sections are highlighted in the document structure tree and the name of the section appears in square brackets. If the section has subsections, DataAtlas Modeler collapses the section to hide the subsections.

To include sections in a document structure that you have previously excluded:

1. Click the section.

2. From the View menu, click Include.

The sections are no longer highlighted. If the section has subsections, the section is expanded to show them.


Including a Text Block in a Document Structure

You can include text blocks defined in the document profile tree in any structure in the document profile. You cannot add text blocks to chapters generated from the contents of the data model; you can only add them as new chapters or to existing text chapters.

If the added text block contains text formatting controls, you must update the settings for the new section in the document structure.

To include a text block as a new chapter in a document structure:

1. Open the tree view of the document structure.

2. Click an existing chapter, for example, Entity Groups.

3. From the Selected menu, click Insert text block.

The Insert Text Block window opens.

4. Select a text block from the list, and specify whether the new chapter is to come before or after the selected chapter.

5. If you want to view the text block, click Open.

Note:   Because text blocks are shared between document structures, if you change the text block here, it is also changed for all document structures that include this text block.

6. Click OK to add the text block as a new chapter to the document structure.

To add a text block to an existing text chapter in the document structure:

1. Click an existing text block.

2. In the Selected menu, click Insert text block.

The Insert Text Block window opens.

3. Select a text block from the list.

4. Do one of the following:

• To add the text block on the same structure level as the selected text block, click This level, then specify whether the added element is to come before or after the selected element.

• To add the text block on the structure level above that of the selected element (supersection), click Next higher level.

• To add the text block on the structure level below that of the selected element (subsection), click Next lower level.

5. Click OK to add the text block to the document structure.


Listing Text Blocks Used in a Document Structure

To list the text blocks used in a document structure:

1. In the Structure menu, click List text blocks.

A list of the text blocks used in the structure appears. It shows the name of the text block as defined in the document profile and the name used in the document structure.


Deleting a Text Block from a Document Structure

To delete a text block from a document structure:

1. Select a text block.

2. In the Selected menu, click Delete.

The text block is removed from the structure tree. If the text block has dependents, these move up a level in the document structure.


Displaying the Document Outline

If you have made a lot of changes to the default document structure, it can be difficult to see what your current document contains.

To display the current document outline:

1. In the Structure menu, click Outline.

DataAtlas Modeler displays all the chapters and sections that are included in the document structure.


Modeler Reference

Double-click on an entry to link to the information.

Object views, windows, and notebooks

Menu choices

Buttons

Window menu

Pop-up menu

Notebook pages

Tool-bar choices

Key propagation in DataAtlas Modeler.

Document variables


Object Views, Windows, and Notebooks

Double-click on an entry to link to the information.

Add Data Elements

Add Subtype

Attribute Settings

Attributes View of an Entity or a Relationship

Change TeamConnection. Family

Column Name Conflict

Constraint Settings

Copy Data Model

Copy Document

Copy Document Profile

Create Attribute

Create Constraint

Create Data Element

Create Data Model

Create Document

Create Document Profile

Create Entity

Create Entity Group

Create Footer

Create Header

Create Isa Bundle

Create Relationship

Create Text Block

Create Title

Data Element Settings

Data Model Settings

Data Model Tree

Data Models View

Delete All Listed Objects

Document Fonts

Document Preview

Document Preview Settings

Document Profile Settings Window

Document Profile Settings Notebook

Document Profile Tree

Document Profiles View

Document Profiles View Settings

Document Settings

Document Structure Settings

Document Structure Tree

Documents View

Documents View Settings

Entity Group Diagram

Entity Group Settings

Entity Settings

Find and Replace

Font (Layout)

Font (View Settings)

Footer Settings

Get Entity

Header Settings

Information

Insert Text Block

Isa Bundle Settings

Layout

Lines

Naming Rules

Object

Object Size

Page

Partner Entity

Print

Print Document

Relationship Settings

Save Document File

Scaling Factors

Search

Search Data Elements in TeamConnection.

Search Relational Designs in TeamConnection.

Section Settings

Show Columns

Sort Order

Table Name Conflict

Text Block Settings

Text View (Data Model Objects)

Text View (Document Profiles)

Title Settings

Transform from CASE Model

Transform from Relational Design

Transform into CASE Model

Transform into Relational Design for DB2 Universal Database.

Transform into Relational Design for DB2 for OS/390.

Transform into Relational Design for Oracle

Transformation Progress

Unload Data Model

User Profile

Validate Data Element

Validate Entity

Validate Entity Group

Validate Model

Validate for Transform

Window List


Add Data Elements

Use this window to add data elements from TeamConnection to a data model. If the data model does not already have any data elements added to it, the Available in model list is empty.

The Available in TeamConnection list shows the results of the last search for data elements in TeamConnection in the current data modeling session. To search for data elements in TeamConnection, click Search.

Fields

Available in TeamConnection

Lists the results of the last search in TeamConnection for data elements. To add a data element from this list to the model, click it, and then click Add >>.

Available in model

Lists the data elements added to the data model. For a new model, this list is empty.

Buttons

Add >>

Adds the selected data element to the data model. The data element is still available in TeamConnection.

OK

Adds the selected data element in the Available in TeamConnection list to the data model and closes the window.

Search

Opens the Search Data Elements in TeamConnection window. From here you can search for data elements in TeamConnection. The results of the search appear in the Available in TeamConnection list.

Remove

Removes the selected data element from the data model. The data element is still available in TeamConnection.

Cancel

Help

Window Menu


Add Subtype

Use this window to add a subtype to an isa bundle.

Fields

Supertype

The entity you selected in the diagram view to be the supertype.

Available entities and Subtypes

The list of available entities contains all the entities that can participate in the isa bundle as subtypes. To move an entity from one list to the other, click it, and then click one of the arrow (>> and <<) buttons.

Buttons

>>

Add the selected entity to the isa bundle.

<<

Remove the selected subtype from the isa bundle.

OK

Cancel

Help

Window Menu


Attribute Settings

Use this window to change the settings for an attribute.

Fields

Name

The name of the attribute.

Technology name

The technology name of the attribute.

Entity or Relationship

The entity or relationship to which the attribute belongs.

Type

The attribute type.

Data element

The data element associated with this attribute. The list contains all the data elements added to the data model.

If you enter a search pattern in this field, only those data elements that match the search pattern appear in the list.  Click List in model to return the contents of the list to all data elements in the model.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

List in model

After you have done a search of the data elements in TeamConnection or restricted the list of data elements using wildcard characters, click this button to return to the list of data elements added to a model.

Search

Open the Search Data Elements in TeamConnection window. From here you can search for data elements in the TeamConnection database. The results of the search appear in the Data element list.

Create new

Create a new data element, and add it to the current model and the TeamConnection database.

OK

Cancel

Help

Window Menu


Attribute or Constraint Name

The name you use:

• Must be unique within the entity or the relationship.

• Can be up to 63 characters long.

• Cannot contain any of the following characters: less than (<), greater than (>), backslash (\) vertical bar (|), colon (:), hex 00-hex 1F.

DataAtlas Modeler is case sensitive. For example, it regards the names CUST1, Cust1, and cust1 as three different, distinct names.


Attribute or Constraint Technology Name

The technology name you use:

• Must be unique within the entity or relationship.

• Can contain up to 18 characters.

• Can contain only the following characters: A-Z, a-z, 0-9, number sign (#), dollar ($) at sign (@), underscore (_).

• Cannot begin with an underscore (_) or 0-9.


Attribute Type

The attribute type can be one of the following:

P or PF

Primary key. This attribute is used to identify each entity instance. Its value must be unique.

m or mF

Mandatory. The value of this attribute must be non-null.

o or oF

Optional. The value of this attribute can be null.

If more than one attribute has type P, the primary key is composite, that is, it is made up of several attributes.

If a type contains an F ( PF, oF, or mF), the attribute is a foreign key. A foreign key depends on the cardinality of the relationship along which it is generated. To change a mandatory foreign key into an optional foreign key, or vice versa, you must change the cardinality of the corresponding relationship in the Relationship Settings window. You cannot change a foreign key to be a local attribute.


Data Element

This list contains the data elements that have already been added to the data model.

To reduce the number of data elements in the list, enter a search pattern in the Data element field. This field is case sensitive. You can include the wildcard characters % (percent) or * (asterisk) to represent several characters. Only those data elements matching the search pattern are included in the list. For example, if you know the data element you need begins with DA_C, you can type DA_C% orDA_C* to limit the data elements in the list to those that begin with DA_C.

If the data element you need is not among the data elements added to the model, click Search to search the data elements defined in the TeamConnection database.

If the data element you need still is not among those in the list, click Create new to create a new one.


Attributes View of an Entity or a Relationship

The attributes view of an entity or relationship shows all its attributes and all the constraints on it. Use the Show columns choice in the View menu to specify the information shown for each attribute. By default, the attribute type, name, data element, and DB2 type are shown.

When you transform a data model to a relational design, the order of the attributes determines the order of the columns in tables in the resulting relational design.

Attribute Fields

Type

The attribute type.

Name

The name of the attribute.

Technology Name

The technology name of the attribute.

Data Element

The name of the data element associated with this attribute.

DB2

The specification of the data type for a DB2 database.

If this field contains Invalid Data Type for an attribute, the data type defined for the data element in TeamConnection is not a valid DB2 data type. For example, the data element might have the COBOL data type INDEX and this is not a valid DB2 data type.

Oracle

The specification of the data type for an Oracle database.

If this field contains Invalid Data Type for an attribute, the data type defined for the data element in TeamConnection is not a valid Oracle data type.

Constraint Fields

Name 	The name of the constraint.

When 	When a program that accesses this data is to check whether this constraint is satisfied:

EOT 	At the end of a transaction in which at least one elemental access method of the type specified in the EAM column is carried out.

EEAM 	Immediately after each elemental access method of the type specified in the EAM is carried out.

EAM 	After which types of elemental access methods a program that accesses this data checks whether this constraint is satisfied.

Menu Choices

Tool Bar

Window Menu


Attributes View Menu Choices

Double-click on an entry to link to the information.

• Entity (or Relationship)

-Open as

-Settings <F3>

-Text <Ctrl+F3>

-Lock <F4>

-Unlock <Ctrl+F4>

-Create attribute... <F6>

-Create constraint... <Ctrl+F6>

-Validate... <Ctrl+Shift+V>

-Layout... <Ctrl+Shift+Y>

-Print... <Ctrl+Shift+P>

• Selected

-Open as

-Settings <F7>

-Text <Ctrl+F7>

-Open data element <Shift+F9>

-Create another... <Alt+Insert>

-Delete <Delete>

-Show primary key <F9>

-List foreign keys... <Ctrl+F9>

-Show relationship <Ctrl+Alt+F9>

-Primary <Ctrl+P>

-Mandatory <Ctrl+M>

-Optional <Ctrl+L>

-After each EAM <Ctrl+C>

-End of transaction <Ctrl+T>

• View

-New item placement

-Before <Ctrl+B>

-After <Ctrl+A>

-Show columns <Ctrl+S>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Refresh now <F5>

• Messages

-Message list <F10>

-Next message <Ctrl+F10>

-Previous message <Ctrl+Alt+F10>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

-Data model <Ctrl+Shift+F11>

-Parent entity group <Shift+F11>

-Object... <Ctrl+Alt+F11>

• Help


Attributes View Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Lock

  Unlock

  Create attribute

  Create constraint

  Delete

  Open as settings

  Open as text

  Primary

  Mandatory

  Optional

  After each EAM

  End of transaction


Change TeamConnection Family

Use this window to switch to another TeamConnection family. You must have entries for both the new TeamConnection family and the DataAtlas Modeler control server in your TCP/IP Services file.

Note:   You cannot switch to another family if you have a data model open.

Fields

Family

Select a TeamConnection family from the list or enter a family name.

Control Server

The name of the control server where the family is located. Select a control server from the list or enter a control server name.

Buttons

OK

Cancel

Help

Window Menu


Column Name Conflict

The Column Name Conflict window appears when DataAtlas Modeler detects a problem during the transformation of an attribute of an entity or a relationship into a column of a table. Use this window to correct the problem and continue with the transformation, or to stop the transformation.

Fields

Message text

Text that explains the nature of the name conflict.

Entity or relationship name

The name of the entity or relationship that contains the attribute that is the source of the naming conflict.

Attribute name

The technology name of the attribute that is the source of the naming conflict.

Column name

The name of the column that was created from the technology name of the attribute.

Specify a new column name and click OK to continue the transformation, or click Cancel to stop the transformation.

Buttons

OK

Continue with the transformation.

Cancel

Stop the transformation.

Help

Window Menu


Constraint Settings

Use this window to change the information about a constraint. Constraint information is for documentation purposes only.

Fields

Name

The name of the constraint.

Technology name

The technology name of the constraint.

Entity or relationship

The entity or relationship to which this constraint belongs.

When to check whether a constraint is satisfied

When a program that accesses this data is to check whether this constraint is satisfied:

• Immediately after each elemental access method of a type you specified is carried out (EEAM).

• At the end of a transaction in which at least one elemental access method of a type you specified is carried out (EOT).

Elemental access methods

A program that accesses this data checks whether the constraint is satisfied after the types of elemental access specified here. The access methods are insert (i), delete (d), and update (u).

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Cancel

Help

Window Menu


Copy Data Model

Use the Copy Data Model window to copy an existing data model. You must have the authority to perform the TeamConnection action PartExtract on the model you want to copy.

If the data model you are copying is already loaded, DataAtlas Modeler copies the last stored version of the model in TeamConnection.

Fields

Name

The name of the new data model.

Component

Select a TeamConnection component from the list to which the new data model is to belong. This list contains only those components for which you have the authority to perform the TeamConnection action PartAdd.

Buttons

OK

Cancel

Help

Window Menu


Copy Document

Use the Copy Document window to copy an existing document.

Fields

Name

The name of the new document.

Buttons

OK

Cancel

Help

Window Menu


Document Name

The name you use:

• Can be at most 8 characters long for a PostScript (.PS) document and 5 characters long for any other document type.

• Cannot contain any of the following characters: less than (<), greater than (>), slash (/), back slash (\), vertical bar (|), colon (:), asterisk (*), question mark (?), quotation mark ("), period (.), comma (,), semicolon (;), plus (+), equals (=), brackets ([ ]), ampersand (&), hex 00-hex 1F, or blanks.


Copy Document Profile

Use the Copy Document Profile window to copy an existing document profile.

Fields

Name

The name of the new document profile.

Buttons

OK

Cancel

Help

Window Menu


Create Attribute

Use this window to create an attribute.

Fields

Name

The name of the attribute. The name is optional if you specify a technology name.

Technology name

The technology name of the attribute. The technology name is optional if you specify an attribute name.

Entity or Relationship

The entity or relationship to which the attribute belongs.

Type

Click one of the following to indicate the attribute type:

• Primary key (P)

The primary key or part of a composite primary key

• Mandatory non-key (m)

Not a key, but must have a non-null value

• Optional non-key (o)

Not a key, and need not have any value

Data element

This list contains all the data elements added to the data model. Select a data element from this list to be associated with the attribute.

If you enter a search pattern here, only the data elements that match the search pattern appear in the list. Click List in model to return the contents of the list to all data elements in the model.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

List in model

After you have done a search of the data elements in TeamConnection or restricted the list of data elements using wildcard characters, click this button to return to the list of data elements added to a model.

Search

Open the Search Data Elements in TeamConnection window. From here, you can search for data elements in the TeamConnection database. The results of the search appear in the Data element list.

Create new

Create a new data element, and add it to the current model and to the TeamConnection database.

OK

Apply

Cancel

Help

Window Menu


Create Constraint

Use this window to create a constraint. Constraint information is for documentation purposes only.

Fields

Name

The name of the constraint. The name is optional if you specify a technology name.

Technology name

The technology name of the constraint. The technology name is optional if you specify a constraint name.

Entity or relationship

The entity or relationship to which this constraint belongs.

When to check whether constraint is satisfied

When a program that accesses this data is to check whether this constraint is satisfied:

• Immediately after each elemental access method of a type you specified is carried out (EEAM).

• At the end of a transaction in which at least one elemental access method of a type you specified is carried out (EOT).

Elemental access methods

A program that accesses this data checks whether the constraint is satisfied after the types of elemental access specified here. The access methods are insert (i), delete (d), and update (u).

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Apply

Cancel

Help

Window Menu


Create Data Element

Use this window to create a data element. The new data element is added to the model and to the TeamConnection database.

Fields

Name

The name of the data element.

Variation

A qualifier that becomes part of the full name of the object in the TeamConnection database. The qualifier can be useful for distinguishing between similar objects that have different uses. For example, you could use a variation to distinguish between zip codes with 5 characters and those with 8 characters.

Revision

A qualifier that becomes part of the full name of the object in the TeamConnection database. The qualifier can be useful for distinguishing between similar objects that have to be available at the same time.

Component

Select a TeamConnection component from the list to which the data element is to belong. This list contains only those components for which you have the authority to perform the TeamConnection action PartAdd.

Representation

Select the implementation form for the data element either DB2 or Oracle. Your selection determines the other fields that are shown in the Definition group.

Buttons

OK

Creates a new data element, adds it to the model and to the TeamConnection database, and closes the window.

Apply

Creates a new data element, adds it to the model and to the TeamConnection database, but leaves the window open. This is helpful when you want to create several data elements one after the other.

Cancel

Help

Window Menu


DB2 Definition

When you click DB2 in the Representation list, the following fields are displayed in the Definition group:

DB2 type

Select a data type for the data element from this list. The other fields in the Definition group are enabled or disabled based on your selection.

Length

Enter the length of the column in this field. The number you enter represents:

• Bytes for CHAR, VARCHAR, DATE, TIME, and TIMESTAMP.

• Double bytes for GRAPHIC and VARGRAPHIC.

• Digits for zoned decimal and floating point numbers (special types of CHAR).

• Kilobytes, megabytes, or gigabytes for CLOB, BLOB, and DBCLOB. Use the field to the right of the Length field to specify the appropriate units.

The limits of the value are 1-254 for CHAR, 1-4000 for VARCHAR, 1-127 for GRAPHIC, and 1-2000 for VARGRAPHIC.

An entry is required for CHAR, GRAPHIC, VARCHAR, and VARGRAPHIC.

Precision

Enter the precision of the data type in this field. The number you enter represents digits for DECIMAL, NUMERIC, and FLOAT, and bits for REAL and DOUBLE.

The limits are 1-31 for DECIMAL and NUMERIC, and 1-52 for FLOAT.  If you enter 21 or 53, the type is changed to REAL or DOUBLE, respectively, on subsequent viewings of the relational representation.

An entry is required for DECIMAL, FLOAT, and NUMERIC.

Scale

Enter the scale of the data type in this field.  The number you enter represents digits. This field is optional, but if you enter a value, it must be less than or equal to the precision value.

Bit data

Check this field if the internal representation of the data is composed of bits. This field is available only if the Type is CHAR, VARCHAR, or LONG CHAR.


Oracle Definition

When you click Oracle in the Representation list, the following fields are displayed in the Definition group:

Oracle type

Select a data type for the data element from this list. The other fields in the Definition group are enabled or disabled based on your selection.

Length

Enter the length in bytes of a CHAR (255 maximum), VARCHAR2 (2000 maximum), or RAW (255 maximum) data type. The default length is 1 byte.

Precision

Enter the precision of the data type in this field. This field applies only to the NUMBER data type.

Specify a value between 1 and 38 for a fixed-point number. Specify a precision of 0 only for a floating-point number; a precision of 38 is implied even though the field contains a 0.

Scale

The scale of the data type. This field applies only to the NUMBER data type. Specify the position of the decimal or binary point relative to the rightmost digit.


Create Data Model

Use the Create Data Model window to create a new data model.

Fields

Name

The name of the new data model.

Component

Select a TeamConnection component from the list to which the data model is to belong. This list contains only those components for which you have the authority to perform the TeamConnection action PartAdd.

Buttons

OK

Cancel

Help

Window Menu


Data Model Name

The name you use:

• Can be at most 63 alphanumeric characters long.

• Cannot contain any of the following characters: less than (<), greater than (>), slash (/), back slash (\), vertical bar (|), colon (:), asterisk (*), question mark (?), quotation mark ("), period (.), comma (,), semicolon (;), plus (+), equals (=), brackets ([ ]), ampersand (&), hex 00-hex 1F, or blanks.


Create Document

Use the Create Document window to specify the document profile and the elements of that profile that are to be used for creating a document. You can either preview or print the document from here.

Note:   If you restricted the tree view using Display selected only, or excluded objects from the tree view using the Exclude choice, the document contains only those objects contained in the current view.

You can also use this window to maintain your document profiles.

Fields

Document profile

Lists the document profiles you have access to. When you select a profile from the list, its document elements are shown in the Document elements fields.

Document elements

The title page, header, footer, and document structure elements that are available in the selected document profile. For each element type, select the element to be used for the document from the list of available elements.

If you decide you do not want to use a particular document element type in the document, for example, a header, you must create an empty header in the document profile, and select this header when you create the document.

If a suitable document element is not already available, click Open to open the document profile and create a new element.

Use default values for print window

If checked, DataAtlas Modeler does not display the Print window, but uses the last values you set in this window as the default. This field is available only if you have previously defined a printer in the Print window.

Buttons

Open

Open the selected document profile.

Settings

Rename the selected document profile.

Create new

Create a new document profile. The new profile is a copy of the DEFAULTS document profile.

Copy

Copy the selected document profile.

Delete

Delete the selected document profile. This is not available for the DEFAULTS document profile.

Preview

Display the formatted document in the Document Preview window.

Print

Open the Print window, so you can specify parameters for printing the document.

Save

Open the Save Document File window, so you can specify how the document is to be saved.

Cancel

Help

Window Menu


Create Document Profile

Use this window to create a document profile. The new document profile is a copy of the DEFAULTS profile delivered with DataAtlas Modeler.

Fields

Name

The name of the document profile.

Buttons

OK

Cancel

Help

Window Menu


Document Profile Name

The name you use:

• Can be at most 8 alphanumeric characters long.

• Cannot contain any of the following characters: less than (<), greater than (>), slash (/), back slash (\), vertical bar (|), colon (:), asterisk (*), question mark (?), quotation mark ("), period (.), comma (,), semicolon (;), plus (+), equals (=), brackets ([ ]), ampersand (&), hex 00-hex 1F, or blanks.


Create Document Structure

Use this window to create a document structure.

Fields

Name

The name of the document structure.

Buttons

OK

Open

Open the document structure tree. This is helpful if you want to specify the structure of the document immediately after specifying the name in this window.

Cancel

Help

Window Menu


Create Entity

Use this window to create an entity.

Fields

Name

The name of the entity. The name is optional if you specify a technology name.

Technology name

The technology name of the entity. The technology name is optional if you specify an entity name.

Type

Click one of the buttons to indicate whether the entity is fundamental, associative, or attributive.

Focal

Click this choice if you want to highlight the entity in the diagram view.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Apply

Cancel

Help

Window Menu


Create Entity Group

Use this window to create an entity group.

Fields

Name

The name of the entity group. The name is optional if you specify a technology name.

Technology name

The technology name of the entity group. The technology name is optional if you specify an entity group name.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Cancel

Help

Window Menu


Create Footer

Use this window to create a footer for a document.

When you create a document in the Create Document window, you must select a footer. If you do not want a footer to appear in the document, you must create an empty footer, and use this as the footer element.

All footers have a default font. You can change this font from the Preview window when you create a document.

Fields

Name

The name of the footer.

Left, Center, Right

The text that is to appear in the left, center, and right of the footer. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. This text can also contain other variables, for example the page number and the model name.

Draw line above footer

Whether you want a line drawn between the footer and the main body of the text.

Buttons

OK

Cancel

Help

Window Menu


Create Header

Use this window to create a header for a document.

When you create a document in the Create Document window, you must select a header. If you do not want a header to appear in the document, you must create an empty header, and use this as the header element.

All headers have a default font. You can change this font from the Preview window when you create a document.

Fields

Name

The name of the header.

Left, Center, Right

The text that is to appear in the left, center, and right of the header. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. The text can also contain other variables, for example, the date and time the document was created.

Draw line below header

Whether you want a line drawn between the header and the main body of the text.

Buttons

OK

Cancel

Help

Window Menu


Create Isa Bundle

Use this window to create an isa bundle.

Fields

Name

The name of the isa bundle.

Supertype

The entity you selected in the diagram view to be the supertype.

Existence rules

The rules determining the existence of the instances of the subtypes in the isa bundle.

Available entities and Subtypes

The list of available entities contains all the entities that can participate in the isa bundle as subtypes. To move an entity from one list to the other, click it, and then click one of the arrow (>> or <<) buttons.

Buttons

>>

Add the selected entity to the isa bundle.

<<

Remove the selected subtype from the isa bundle.

OK

Cancel

Help

Window Menu


Create Relationship

Use this window to create a relationship.

Fields

Entity 1 and Entity 2

The names of the entities that participate in the relationship. Entity 1 is the entity you selected first.

Verb1 and Verb2

The verb associated with the relationship in the direction from Entity 1 to Entity 2 (Verb1), and in the direction from Entity 2 to Entity 1 (Verb2). Verbs are optional.

For example, if Entity 1 is author and Entity 2 is publication, a relationship between the two entities might have writesas its verb. This would result in the phrase author writes at least zero and at most many publications.

Cardinality

The minimum cardinality (0 or 1) and the maximum cardinality (1 or many) of the relationship in each direction. You must specify a maximum and minimum cardinality for each direction.

Name

The name of the relationship.

The name is optional. If you do not enter a relationship name, DataAtlas Modeler creates a name by concatenating the names of the entities and Verb1, for example, Entity1_Verb1_Entity2.

Technology name

The technology name of the relationship.

The technology name is optional.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Cancel

Help

Window Menu


Create Text Block

Use this window to create a text block.

Fields

Name

The name of the text block.

Buttons

OK

Open

Open the text editor. This is helpful if you want to edit the text block immediately after specifying the name in this window.

Cancel

Help

Window Menu


Create Title

Use this window to create a title page for a document.

When you create a document in the Create Document window, you must select a title page. If you do not want a title page to appear in the document, you must create an empty title page, and use this as the title page element.

All title pages have a default font. You can change this font from the Preview window when you create a document.

Fields

Name

The name of the title page.

Top, Center, Bottom

The text that is to appear at the top, center, and bottom of the title page. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. The text can also contain other variables, for example, the model name and the name of the person who created the document.

Justify top, center, bottom

How the text at the top, in the center, and at the bottom of the title page is to be aligned.

Buttons

OK

Cancel

Help

Window Menu


DataAtlas Modeler

DataAtlas Modeler is the component of DataAtlas that you use to work with data models. It offers the following views of your data modeling environment:

Data models view

Document profiles view

Documents view


Data Element Settings

Use this window to change the settings for a data element.

Fields

Name

The name of the data element.

Variation

A qualifier that becomes part of the full name of the object in the TeamConnection database. The qualifier can be useful for distinguishing between similar objects that have different uses. For example, you could use a variation to distinguish between zip codes with 5 characters and those with 8 characters.

Revision

A qualifier that becomes part of the full name of the object in the TeamConnection database. The qualifier can be useful for distinguishing between similar objects that have to be available at the same time.

Component

Select a TeamConnection component from the list to which the data element is to belong. This list contains only those components for which you have the authority to perform the TeamConnection action PartCheckOut.

Representation

Select an implementation form for the data element, either DB2 or Oracle. Your selection determines the other fields that are shown in the Definition group.

Modify date

The date on which the data element was last modified.

Buttons

OK

Modify the data element in the model and in the TeamConnection database, and close the window.

Cancel

Help

Window Menu


Data Element Name

The name you use:

• Must be unique within the TeamConnection family.

• Can be up to 99 characters long when it is concatenated with the Prefix, Variation, and Revision.

• Cannot contain any of the following characters: less than (<), greater than (>), backslash (\) vertical bar (|), colon (:), hex 00-hex 1F.


Type

Select a data type for the data element from this list. The other fields in the Details group are enabled or disabled based on your selection.

If this field contains INVALID DATA TYPE, the data type defined for the data element in TeamConnection is not a valid DataAtlas Modeler data type. For example, the data element might have the COBOL data type INDEX and this is not a valid DataAtlas Modeler data type. In this case, all the other fields in the Details group are disabled.

Note:   If you select Numeric as the type, DataAtlas Modeler automatically maps this to Decimal.


Data Model

A data model is a representation of the way data is organized.

Views

Settings

Tree

Pop-up menu


Data Model Settings

This notebook contains the settings that apply to a data model.

Pages

• Name


Data Model Tree

The tree view of an ER model is divided into:

Diagram elements

Shows the entity groups, entities, relationships, and isa bundles in the data model.

Data elements

Shows the data elements added to the model from TeamConnection.

Wastebasket

Holds descriptive text from objects that have been deleted during this DataAtlas Modeler session.

The symbols in the tree view have the following meaning:

  	The object is unlocked.

  	The object is locked.

This symbol can be either gray or yellow. If the symbol is gray, the object is locked by you. If the symbol is yellow, the object is locked by someone else. When you select a locked object, the Information Area shows who has locked the object.

  	The data model has descriptive text.

  	The descriptive text for the data model is locked.

This symbol can be either gray or yellow. If the symbol is gray, the object is locked by you. If the symbol is yellow, the object is locked by someone else.

Menu Choices

Tool Bar

Window Menu


Data Model Tree Menu Choices

Double-click on an entry to link to the information.

• Model

-Open as text <Ctrl+F3>

-Lock all objects <F4>

-Unlock all objects <Ctrl+F4>

-Add data elements... <F6>

-Create data element... <Ctrl+D>

-Remove unused data elements <Ctrl+U>

-Information <Ctrl+I>

-Transform into

-Relational design...

-DB2 for OS/390...

-DB2  Uiversal Database...rl+F>

-Oracle...

-Validate for transform...

-ANSI SQL...

-DB2  Universal Database...

-DB2 for OS/390...

-Oracle...

-CASE model...

-Transform from

-Relational design... <Ctrl+R>

-CASE model... <Ctrl+Shift+S>

-Validate... <Ctrl+Shift+V>

-Layout... <Ctrl+Shift+Y>

-Technology name generation rules...

-Object size... <Ctrl+Shift+Z>

-Print... <Ctrl+Shift+P>

-Create document... <Ctrl+Shift+C>

• Selected

-Open as

-Settings <F7>

-Diagram <Shift+F7>

-Attributes <Ctrl+Alt+F7>

-Constraints <Ctrl+Alt+F7>

-Text <Ctrl+F7>

-Lock <F8>

-Unlock <Ctrl+F8>

-Group... <Ctrl+G>

-Ungroup <Ctrl+N>

-Create entity... <Ctrl+E>

-Create data element... <Ctrl+D>

-Remove data element <Ctrl+M>

-Delete <Delete>

-Expand <Ctrl+F9>

-Collapse <F9>

-Transform into

-Relational design...

-DB2 for OS/390...

-DB2  Uiversal Database...rl+F>

-Oracle...

-Validate for transform...

-ANSI SQL...

-DB2  Universal Database...

-DB2 for OS/390...

-Oracle...

-Validate... <Ctrl+V>

-Layout... <Ctrl+Y>

-Object size... <Ctrl+Z>

-Print... <Ctrl+P>

-Create document... <Ctrl+C>

• View

-Display selected only <Ctrl+L>

-Display all <Ctrl+A>

-Select next sibling <Ctrl+X>

-Select previous sibling <Ctrl+F12>

-Select first child <Ctrl+Alt+F12>

-Select parent <Shift+F12>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Sort order... <Ctrl+S>

-Search... <Ctrl+H>

-Refresh now <F5>

• Messages

-Message list <F10>

-Next message <Ctrl+F10>

-Previous message <Ctrl+Alt+F10>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

-Object... <Ctrl+Alt+F11>

• Help


Data Model Tree Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Create entity

  Delete

  Group

  Lock

  Unlock

  Open as settings

  Open as diagram

  Open as attributes or Open as constraints

  Open as text

  Search

  Object

  Select previous sibling

  Select next sibling

  Select first child

  Select parent


Data Models View

The data models view lists the data models in the current TeamConnection family, release, and work area.

If you open the data models view and the Release and Work area fields contain question marks (?), check your TeamConnection settings. You must have specified a valid release name and the work area must have the status working. You can change your TeamConnection settings within DataAtlas Modeler by clicking the  [image]  choice in the tool bar.

Fields

Name

The name of the data model.

Loaded

The work area where the data model is loaded. Load a data model either by using the Load action or by opening the data model. Each model is loaded onto a server at most once-this ensures that users all work on the same copy of any one model.

A data model can be unloaded either by using the Unload action or when the last user closes the model.

Component

The TeamConnection component to which the data model belongs.

Size

The size, in bytes, of the data model.

Creation date

The date on which the model was created.

Creation time

The time at which the model was created.

Update date

The date on which the model was last changed.

Update time

The time at which the model was last changed.

Tool Bar

Pop-up menu

Window Menu


Data Models View Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Open

  Create another

  Copy

  Delete

  Sort in ascending alphanumeric order

  Sort in descending alphanumeric order

  User profile

  Settings

  Help menu-bar choice

  Data models view

  Document profiles view

  Documents view


Data Models View Settings

This notebook contains the settings for the data models view.

Pages

View

TeamConnection.


Delete All Listed Objects

The Delete window lists the objects that will be deleted if you confirm the delete command.

Buttons

Delete

Confirm that the objects listed are to be deleted.

Cancel

Help


Document

A DataAtlas Modeler document describes a data model.

Views

Settings

Preview

Pop-up menu


Document Preview

The Document Preview window shows a document as it will appear when printed. You can modify the layout, but not the contents of the document, then either print it or save it to a file.

Menu Choices

Tool Bar

Window Menu


Document Preview Menu Choices

Double-click on an entry to link to the information.

• Document

-Open as settings <F3>

-Save to document file... <Ctrl+F2>

-Information <Ctrl+I>

-Print... <Ctrl+Shift+P>

-Layout

-Page... <Ctrl+G>

-Fonts... <Ctrl+N>

-Scaling factors... <Ctrl+S>

• View

-Title page <Ctrl+T>

-Table of contents <Ctrl+C>

-Body <Ctrl+B>

-Appendix <Ctrl+A>

-Next page <Ctrl+E>

-Previous page <Ctrl+R>

-First page in current section <Ctrl+U>

-First page in next section <Ctrl+X>

-Page... <Ctrl+P>

-First page in document <Ctrl+F>

-Last page in document <Ctrl+L>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

• Help


Document Preview Tool Bar

Double-click on an entry to link to the information.

  First page in document

  First page in current section

  Previous page

  Next page

  First page in next section

  Last page in document

  Print

  Display a border around margins, headers, and footers


Document Preview Settings

Use this window to specify settings for a Preview window. These settings do not affect the document.

Fields

Borders

Display a border around margins, headers, and footers.

Graphics

Include the data model graphics in the Preview window.

Keep scroll position

Keep the cursor position when you page through the document.

Buttons

OK

Cancel

Help

Window Menu


Document Profile

A document profile contains elements that define what information a document contains and how this information looks. Each profile can contain several definitions for one element of a document, for example 5 different title page definitions and 4 different structure definitions.

Views

Settings

Tree

Pop-up menu


Document Profile Settings

Use this window to rename a document profile.

Fields

Name

The name of the document profile.

Buttons

OK

Cancel

Help

Window Menu


Document Profile Settings Notebook

This notebook contains the settings that apply to a document profile.

Pages

Name

Buttons

Undo

Help


Document Profile Tree

The tree view of a document profile shows all the title pages, headers, footers, text blocks, and document structures in this document profile. A profile can contain several of these elements. When you create a document using this profile, you select the appropriate elements for the document.

If you want additional text in your document that is not part of the data model, you must create a text block in the document profile for this information and then include this text block in a document structure.

This view does not contain TeamConnection status information.

The symbols in the document profile tree have the following meaning:

  	The text is closed.

  	The text is open.

Menu Choices

Tool Bar

Window Menu


Document Profiles Menu Choices

Double-click on an entry to link to the information.

• Profile

-Layout... <Ctrl+Shift+Y>

-Print... <Ctrl+Shift+P>

• Selected

-Open as

-Settings <F7>

-Text <Ctrl+F7>

-Tree <Shift+F7>

-Create element... <F4>

-Copy... <Ctrl+Insert>

-Delete <Delete>

-Where used <Ctrl+W>

-Collapse <F9>

-Expand <Ctrl+F9>

• View

-Display selected only <Ctrl+L>

-Display all <Ctrl+A>

-Select next sibling <Ctrl+X>

-Select previous sibling <Ctrl+P>

-Select first child <Ctrl+T>

-Select parent <Ctrl+R>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Refresh now <F5>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

• Help


Document Profiles Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Delete

  Open as settings

  Open as text

  Select previous sibling

  Select next sibling

  Select first child

  Select parent


Document Profiles View

The document profiles view lists the document profiles you have access to. You can open a document profile only if you are connected to a TeamConnection family.

Tool Bar

  Refresh now

  Open

  Create another

  Copy

  Delete

  Sort in ascending alphanumeric order

  Sort in descending alphanumeric order

  User profile

  Settings

  Help menu-bar choice

  Data models view

  Document profiles view

  Documents view

Pop-up menu

Window Menu


Document Profiles View Settings

This notebook contains the settings that apply to the document profiles view of DataAtlas Modeler.

Pages

View

Buttons

Undo

Help


Document Settings

This notebook contains the settings that apply to a document.

Pages

Name


Document Structure Settings

Use this window to change the name of a document structure. If you are copying a document structure, use this window to specify the name of the new document structure.

Fields

Name

The name of the document structure.

Buttons

OK

Open

Open the document structure tree. This is helpful if you want to specify the structure of the document immediately after specifying the name in this window.

Cancel

Help

Window Menu


Document Structure Tree

The document structure tree represents a default document structure based on all objects in a data model. Use this view to define the contents of a document. This view does not contain the TeamConnection status information.

You can change the order of the chapters and sections in the document structure, by dragging the appropriate node to a new position anywhere within the same hierarchical level. For example, you can change the order of the Attributes and Constraints sections in the Relationships chapter, but you cannot move them to the Entities chapter.

The headings for each section containing objects are shown as variables prefixed by the object type. For example, in the entity group chapter the heading for the individual entity group sections is shown as:

Entity Group '$(eg.name)'

When you create a document, the variable is replaced with the name of the entity group.

Note:   When you create a document, the sort order settings for the tree view of the data model also affect the order of the chapters and sections in the document.

Menu Choices

Tool Bar

Window Menu


Document Structure Tree Menu Choices

Double-click on an entry to link to the information.

• Structure

-Outline <Ctrl+O>

-List text blocks <Ctrl+B>

-Layout... <Ctrl+Shift+Y>

-Print... <Ctrl+Shift+P>

• Selected

-Open as

-Settings <F7>

-Text <Ctrl+F7>

-Insert text block... <Ctrl+N>

-Delete <Delete>

-Include <F9>

-Exclude <Ctrl+F9>

• View

-Display selected only <Ctrl+L>

-Display all <Ctrl+A>

-Select next sibling <Ctrl+X>

-Select previous sibling <Ctrl+P>

-Select first child <Ctrl+T>

-Select parent <Ctrl+R>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Refresh now <F5>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

• Help


Document Structure Tree Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Delete

  Open as settings

  Open as text

  Select previous sibling

  Select next sibling

  Select first child

  Select parent


Default Document Structure

The default document structure contains the following chapters:

• Table of Contents

• Chapter 1: Description

• Chapter 2: ER Model

Includes the tree view of the data model.

• Chapter 3: Entity Groups

Includes all the entity groups in the data model. For each entity group, it includes its technology name, description, diagram view, a list of objects in the entity group, and the entity group on the next higher level that contains this entity group (references).

• Chapter 4: Entities

Includes all the entities in the data model. For each entity, it includes its technology name, description, attributes, constraints, and in which entity group the entity is located. Each attribute and constraint includes its technology name and description and each constraint also has information about its elemental access methods.

• Chapter 5: Relationships

Includes all relationships in the data model. For each relationship, it includes its technology name, description, attributes, constraints, and the entities participating in the relationship. Each attribute and constraint includes its technology name and description and each constraint also has information about its elemental access methods.

• Chapter 6: Isa Bundles

Includes all isa bundles in the data model. For each isa bundle, it includes its description, participating entities, existence rules, and the entity group where the isa bundle is located.

• Chapter 7: Data Elements

Includes the data elements added to the data model. For each data element, it includes its description, the DBMS representation, and a list of the attributes that use the data element.

Note:   If you create a document containing only data elements or the document structure contains only data elements, the resulting document will not contain the where-used list of attributes.

• Chapter 8: Index


Documents View

The documents view shows PostScript documents created using DataAtlas Modeler that you have access to.

Tool Bar

  Refresh now

  Copy

  Delete

  Sort in ascending alphanumeric order

  Sort in descending alphanumeric order

  User profile

  Settings

  Help menu-bar choice

  Data models view

  Document profiles view

  Documents view

Pop-Up Menu

Window Menu


Documents View Settings

This notebook contains the settings that apply to the documents view of DataAtlas Modeler.

Pages

View


Entity Group Diagram

The diagram view shows the ER diagram of an entity group. It contains the entities, relationships, and if applicable, isa bundles belonging to the entity group. If a relationship involves an entity in another entity group, the entity is shown as:

Such an entity is called a ghost entity.

The diagram view is divided into pages indicated by the dashed lines. A page corresponds to a printed page.

Menu Choices

Tool Bar

Window Menu


Entity Group Diagram Menu Choices

Double-click on an entry to link to the information.

• Group

-Open as

-Settings <F3>

-Text <Ctrl+F3>

-Lock <F4>

-Unlock <Ctrl+F4>

-Create entity... <Ctrl+E>

-Get entity... <Ctrl+Shift+G>

-Validate... <Ctrl+Shift+V>

-Layout... <Ctrl+Shift+Y>

-Object size... <Ctrl+Shift+Z>

-Print... <Ctrl+Shift+P>

• Selected

-Open as

-Settings <F7>

-Diagram <Shift+F7>

-Attributes <Ctrl+Alt+F7>

-Constraints <Ctrl+Alt+F7>

-Text <Ctrl+F7>

-Lock <F8>

-Unlock <Ctrl+F8>

-Group... <Ctrl+G>

-Ungroup <Ctrl+N>

-Create another... <Alt+Insert>

-Create relationship <Ctrl+Alt+F9>

-Specialize... <Ctrl+S>

-Add subtype <Ctrl+B>

-Delete <Delete>

-Get entity <Ctrl+I>

-Go to <Ctrl+T>

-Validate... <Ctrl+V>

-Layout... <Ctrl+Y>

-Print... <Ctrl+P>

• View

-Zoom in <F12>

-Zoom out <Ctrl+F12>

-Undo zoom <Shift+F12>

-Zoom to fit in window <Ctrl+Alt+F12>

-Add column of pages <Ctrl+C>

-Delete column of pages <Ctrl+L>

-Add row of pages <Ctrl+O>

-Delete row of pages <Ctrl+W>

-Remove pages <Ctrl+R>

-Align horizontally <Ctrl+H>

-Align vertically <Ctrl+A>

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Refresh now <F5>

• Messages

-Message list <F10>

-Next message <Ctrl+F10>

-Previous message <Ctrl+Alt+F10>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

-Data model <Ctrl+Shift+F11>

-Parent entity group <Shift+F11>

-Object... <Ctrl+Alt+F11>

• Help


Entity Group Diagram Tool Bar

Double-click on an entry to link to the information.

  Refresh now

  Lock

  Unlock

  Create entity

  Create relationship

  Specialize

  Delete

  Group

  Lock

  Unlock

  Open as settings

  Open as diagram

  Open as attributes or Open as constraints

  Open as text

  Zoom in

  Zoom out

  Undo zoom

  Zoom to fit in window

  Align horizontally

  Align vertically


Entity Group Settings

Use this window to change the name or the technology name of an entity group.

Fields

Name

The name of the entity group.

Technology name

The technology name of the entity.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other.

OK

Cancel

Help

Window Menu


Entity Group Name

The name you use:

• Must be unique within the data model.

• Can contain up to 63 characters, including up to 8 ampersand (&) characters. Use an ampersand to indicate where to break the name when it is displayed in a diagram view. For example, if you want the entity group name Order Processing to appear on two lines like this:

Order

Processing

In the Name field, type: Order&Processing.

The ampersands are not part of the name, and are ignored for all other purposes, for example, when DataAtlas Modeler displays the name in the tree view of a model or when DataAtlas Modeler uses the name to automatically generate a table name.

• Cannot contain any of the following characters: less than (<), greater than (>), backslash (\) vertical bar (|), colon (:), or hex 00-hex 1F.

DataAtlas Modeler is case sensitive. For example, it regards the names CUST1, Cust1, and cust1 as three different, distinct names.


Entity Group Technology Name

The technology name you use:

• Must be unique among the entity groups the model.

• Can contain up to 18 characters.

• Can contain only the following characters: A-Z, a-z, 0-9, number sign (#), dollar ($), at sign (@), underscore (_).

• Cannot begin with an underscore (_) or 0-9.


Entity Settings

Use this window to change the settings for an entity.

Fields

Name

The name of the entity.

Technology name

The technology name of the entity.

Type

Click one of the buttons to indicate whether the entity is fundamental, associative, or attributive.

Focal

Click this choice if you want to highlight the entity in the diagram view.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Cancel

Help

Window Menu


Entity Name

The name you use:

• Must be unique among the entities and relationships in the data model.

• Can contain up to 63 characters, including up to 8 ampersand (&) characters. Use an ampersand to indicate where to break the name when it is displayed in a diagram view. For example, if you want the entity name Service Representative to appear on two lines like this:

Service

Representative

In the Name field, type: Service&Representative.

The ampersands are not part of the name, and are ignored for all other purposes, for example, when DataAtlas Modeler displays the name in the tree view of a model or when DataAtlas Modeler uses the name to automatically generate a table name.

• Cannot contain any of the following characters: less than (<), greater than (>), backslash (\) vertical bar (|), colon (:), hex 00-hex 1F.

DataAtlas Modeler is case sensitive. For example, it regards the names CUST1, Cust1, and cust1 as three different, distinct names.


Technology Name for Entities and Relationships

The technology name you use:

• Must be unique among the entities and relationships in the model.

• Can contain up to 18 characters.

• Can contain only the following characters: A-Z, a-z, 0-9, number sign (#), dollar ($), at sign (@), underscore (_).

• Cannot begin with an underscore (_) or 0-9.


Find and Replace

Use the Find and Replace window to find a text string in a text view and, if necessary, replace it with another.

Fields

Find

The text you want to find or change. You can include wildcard characters in this text; use a percent sign (%) to represent several characters.

If you check Case sensitive, uppercase and lowercase characters in the text must exactly match the text you are looking for.

Replace with

The text that is to replace the text in the Find field.

If you leave the Replace with field empty and click Replace, the Find text is deleted from the text.

In the text view of a data model object, this field is available only when you have locked the text view or the object to which the text belongs.

Replace this occurrence

Click Replace this occurrence if you want to change only the next occurrence of the text in the Find field to the text in the Replace with field.

In the text view of a data model object, this field is available only when you have locked the text view or the object to which the text belongs.

Replace all occurrences

Click Replace all occurrences if you want to change all occurrences of the text in the Find field to the text in the Replace with field.

If you click Wrap, all occurrences of the text in the Find field are replaced; if you do not click Wrap, only those occurrences from the current cursor position to the end of the text are changed.

In the text view of a data model object, this field is available only when you have locked the text view or the object to which the text belongs.

Case sensitive

Indicates that the case of the text in the Find and Replace with fields is to be respected.

Wrap

Indicates that the entire text is to be searched.

Buttons

Find

Search for the next occurrence of the text in the Find field.

Replace

Change the text in the Find field to the text in the Replace with field.

In the text view of a data model object, this button is available only when you have locked the text view or the object to which the text view belongs.

Cancel

Help

Window Menu


Document Fonts

Use this window to change the fonts for text elements of a particular type throughout a document. For example, you can change the font for a specific heading level, or for the running footer.

Fields

Text type

The text element types. Click one of the following:

• TextStandard

Sections in the document with the text format set to justified in the Section Settings window in the tree view of the document structure.

• TextFixed

Sections in the document with the text format set to unformatted in the Section Settings window in the tree view of the document structure.

• TextTitle

Text in the title page.

• Heading1 through 7

Heading levels in the document. For example, the chapter headings are heading1.

• HeadingTOC

The heading for the table of contents.

• Header

Header text.

• Footer

Footer text.

When you click an element in the list, the current font setting is shown in the Font field.

Font

Shows the current font setting for the selected document element. The list contains all the fonts available for the selected text type. To change the font, click a font in the list and then Assign.

Buttons

OK

Assign

Assign the selected font to the selected document element.

Cancel

Help

Window Menu


Font (Layout)

Use the Font window to specify individual font parameters. The window also shows a sample of the new font.

Buttons

OK

Reset

Reset the font to the font that was set when you opened the window.

Cancel

Help

Window Menu


Font (View Settings)

Use this window to change the font used to display the text of the current data models view, document profiles view, or documents view.

Fields

Name

This list contains the fonts available on your system. Click a font in this list. The font you select is displayed in the Sample field.

Size

Select a size from the list in which to display the selected font. The size you select is displayed in the Sample field.

Style

Select a style from the list in which to display the selected font. The style you select is displayed in the Sample field.

Display

Click Display if you want the font settings to apply to the view when it is displayed in the current window.

Printer

Click Printer if you want the font settings to apply to the view when it is printed from the current window.

Sample

When you make changes in this window, the Sample field changes to give you a preview of what the text will look like.

Outline

Click Outline to display an outline around each text character.

Underline

Click Underline to underline each text character.

Strikeout

Click Strikeout to display a horizontal line through each text character.

Buttons

OK

Reset

Reset the font to the font that was set when you opened the window.

Cancel

Help


Footer Settings

Use this window to change the name and the text of a footer. If you are copying an existing footer, specify a new name for the copied footer.

Fields

Name

The name of the footer.

Left, Center, Right

The text that is to appear in the left, center, and right of the footer. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. This text can contain other variables, for example, the page number and the model name.

Draw line above footer

Whether you want a line drawn between the footer and the main body of the text.

Buttons

OK

Cancel

Help

Window Menu


Get Entity

Use this window to move entities from other entity groups in the data model to the current entity group.

Fields

Entity group

Lists all the entity groups in the model. Select an entity group from this list.

Entity

Lists all the entities in the selected entity group. If you have not selected an entity group, this list contains all the entities in the model that you can select. Click the entity that you want to move.

Buttons

OK

Cancel

Help

Window Menu


Header Settings

Use this window to change the name and the text of a header. If you are copying an existing header, specify a new name for the copied header.

Fields

Name

The name of the header.

Left, Center, Right

The text that is to appear in the left, center, and right of the header. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. The text can also contain other variables, for example the date and time the document was created.

Draw line below header

Whether you want a line drawn between the header and the main body of the text.

Buttons

OK

Cancel

Help

Window Menu


Information

The Information window displays messages and information. You can save the information to a file for printing.

Menu Choices

Window Menu


Information Menu Choices

Double-click on an entry to link to the information.

• Contents

-Save as... <Ctrl+F2>

-Clear <Delete>

-Lines... <Ctrl+N>

-Layout... <Ctrl+Shift+Y>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

• Help


Insert Text Block

Use the Insert Text Block window to specify where a text block is to be included in a document structure. You can add text blocks only as new chapters or as part of an existing text chapter; you cannot add them to chapters generated from the contents of the data model;

If the text block contains text formatting controls, update the settings for the section of the document containing the text block.

Fields

Text block

Lists the text blocks defined for the current document profile. Select a text block from the list.

To view a text block, click Open.

Insert at

Indicates the heading level at which the text block is to be inserted into the document. If you selected a chapter in the document structure generated from the contents of the model, only This level is available.

To add the text block on the same structure level as the selected text block, click This level, then specify whether the added element is to come before or after the selected element.

To add the text block on the structure level above that of the selected element (supersection), click Next higher level.

To add the text block on the structure level below that of the selected element (subsection), click Next lower level.

Where

Indicates whether the text block is inserted before or after the selected section.

This field is available only if you selected This level in the Insert at field.

Buttons

Open

Open the selected text block for viewing and editing.

OK

Cancel

Help

Window Menu


Isa Bundle Settings

Use this window to change the name or the existence rules that apply to an isa bundle.

Fields

Name

The name of the isa bundle.

Supertype

The entity you selected in the diagram view to be the supertype.

Existence rules

The rules determining the existence of the instances of the subtypes in the isa bundle.

Subtypes

The subtypes that are part of the isa bundle. You cannot add or remove subtypes here.

Buttons

OK

Cancel

Help

Window Menu


Isa Bundle Name

The name you use:

• Must be unique among isa bundles in the data model.

• Can contain up to 63 characters.

• Cannot contain any of the following characters: less than (<), greater than (>), backslash (\) vertical bar (|), colon (:), or hex 00-hex 1F.

DataAtlas Modeler is case sensitive. For example, it regards the names CUST1, Cust1, and cust1 as three different, distinct names.


Layout

Use this window to define the appearance of a view of an object. The same layout settings are used for the appearance of the object view on the workstation and for printed graphic views of the object. They also affect views opened by other users.

You can also use the Layout window to change the default position and size of the windows used to display the object views.

If the selected object is in a tree view, diagram view, or attributes view, the fields in the Graphic view part of the window are available. If the view is a text view, only the fields in the Text view part of the window are available.

Fields

 Graphic view

Font

The fonts to be used when displaying a graphic view (tree, diagram, or attributes view) of an object.

Select a font from the list, or click Font to specify individual font parameters.

Paper size

The size of the paper your printer uses.

Orientation

How each page of a graphic view (tree, diagram, or attributes view) is to be oriented:

• Portrait (the long side of the page is vertical)

• Landscape (the long side of the page is horizontal)

This setting is also used for the orientation of the object view when it is included in a document created in DataAtlas Modeler.

 Margins

The size of the top, bottom, left, and right margins to be left around a graphic view (tree, diagram, or attributes view). The Units field determines the units of the values you specify here.

 Text view

Use these fields to specify the fonts for the main text and the history information in the text view. Select a font from the list, or click Font to specify the individual font parameters.

Buttons

Font

Open the Font window, to specify individual font parameters and see a sample of the new font.

OK

Apply

Save

Save the current layout settings as your default layout settings. When you create a new object of the same type as the selected object, your default layout settings are used.

Cancel

Help

Window Menu


Lines

Use this window to specify the number of lines that are to be displayed in the Information window. The default is 100 000 lines. If the information report is longer than 100 000 lines and you have not changed the default value, only the last 100 000 lines are shown.

Buttons

OK

Cancel

Help

Window Menu


Object

Use this window to open a view of an object or a view that contains an object. The view that is opened depends on the selected object type:

Type Selected	View Opened

Entity group 	Diagram view of that entity group

Entity 	Attributes view of that entity

Relationship 	Attributes view of that relationship

Attribute 	Attributes view of the entity or relationship to which it belongs

Constraint 	Attributes view of the entity or relationship to which it belongs

Data element 	Settings view of that data element

Isa bundle 	Settings view of that isa bundle

Fields

Type

The type of object you want to open a view of.

Name

The name of the object you want to open a view of.

Buttons

OK

Cancel

Help

Window Menu


Object Size

Use this window to specify how objects in an entity group are to be sized. These settings are used for displaying and printing diagram views.

Objects can either have a fixed size or be sized dynamically depending on the length of the longest object name. The default for entity groups in a new model is Fixed.

If you opened this window from the Model menu in the tree view, the settings apply to new entity groups only. Existing entity groups are not affected by changes you make here.

Fields

Fixed

All the objects in the entity group have a fixed size as specified in the Width and Height fields. The Units field determines the units of the size values. This size remains fixed even when the font is changed.

The actual size applies only to printed views of the entity group. The default fixed size of an object is 25 x 13 mm.

If an object name is too long for the object symbol, DataAtlas Modeler truncates the name so that it fits into the symbol. Object names that have been truncated end in periods (...) in the diagram view.

Dynamic

The size of the objects in the diagram view changes dynamically according to the width and height required for the longest object name in the font that is currently set for the entity group. When the length of the longest object name changes or when the font changes, the size of all the objects changes.

Minimum characters

The minimum number of characters you want to appear in each line of the object name. The default is 10 characters.

Minimum lines

The minimum number of lines you want to use for the object name. The default is 2 lines.

Buttons

OK

If you opened this window by clicking Object size in the Model menu, OK changes the default size settings for all new entity groups in the model, and closes the window.

If you opened this window with any other action, OK sets the object size for the entity group, and closes the window.

Apply

If you opened this window by clicking Object size in the Model menu, Apply changes the default size settings for all new entity groups in the model, but does not close the window.

If you opened this window with any other action, Apply sets the object size for the entity group, but does not close the window.

Cancel

Help

Window Menu


Page

Use this window to change the page layout in a formatted document. These settings affect all pages in the document, not any one particular page.

Fields

Orientation

The orientation of the pages in the document.

Units

The units of measurement to be used for entries in the Page size group, the Margin group, and the Distance group.

Page size

The size of a page in the formatted document.

Page width and height

The width and height of the pages in the finished document. If you select a Page size, the width and height for the selected size are shown here.

If you do not select a Page size, you can enter the width and height of the pages here. If these sizes correspond to a standard page size, this is shown in the Page size field.

Margin

The width of the margins in the formatted document.

Distance

The distance between the header and footer from the top and bottom of the document text.

Buttons

OK

Cancel

Help

Window Menu


Partner Entity

Use this window to select an entity from another entity group that is to participate in a relationship.

Fields

Entity group

Lists all the entity groups in the model. Select an entity group from this list.

Entity

Lists all the entities in the selected entity group. If you have not selected an entity group, this list contains all the entities in the model that can participate in the relationship. Select an entity from this list.

Buttons

OK

Cancel

Help

Window Menu


Print

Use the Print window to specify information about your print job. Use the Layout window to specify the orientation, the paper size, and the font used for printing.

Fields

Copies

The number of copies you want to print.

Print range

The pages that are to be printed.

Note:   The pages in a document are numbered starting from the title page. When you specify a page range for a document, you must specify absolute page numbers (the page number including the title page and pages used for the table of contents). In the preview of a document, the absolute page numbers are shown in the Information Area.

Printer

The printer you want to send the print job to. This printer can also be a fax printer.

Buttons

Print

Send the print job to the specified printer.

Cancel

Help

Window Menu


Print Document

Use the Print window to specify the number of copies of the document you want to print and on which printer the document is to be printed.

Fields

Copies

The number of copies you want to print.

Printer

The printer you want to send the print job to. This printer can also be a fax printer.

Buttons

Print

Send the print job to the specified printer.

Cancel

Help

Window Menu


Relationship Settings

Use this window to change the settings for a relationship.

Fields

Entity 1 and Entity 2

The names of the entities that participate in the relationship.

Verb1 and Verb2

The verb associated with the relationship in the direction from Entity 1 to Entity 2 (Verb1), and in the direction from Entity 2 to Entity 1 (Verb2). Verbs are optional.

Cardinality

The minimum cardinality (0 or 1) and the maximum cardinality (1 or many) of the relationship in each direction. You must specify a maximum and minimum cardinality for each direction.

Name

The name of the relationship.

Technology name

The technology name of the relationship.

Direction of key propagation

The direction in which the foreign key is propagated.

Buttons

v

Generate the technology name from the object name using the technology name generation rules. This button is available only if the name field is not blank.

=

Copy the specified name from one name field to the other. This button is available only if the target name field is blank.

OK

Cancel

Help

Window Menu


Relationship Name

The name you use:

• Must be unique within the data model.

• Can contain up to 63 characters.

• Cannot contain any of the following characters: less than (<), greater than (>), back slash (\), vertical bar (|), colon (:), or hex 00-hex 1F.

DataAtlas Modeler is case sensitive. For example, it regards the names CUST1, Cust1, and cust1 as three different, distinct names.


Save Document File

Use this window to specify the directory, name, and output type for a document print file.

Fields

Path

The path to the directory in which DataAtlas Modeler places the output files. If the document is a PostScript document, the default path is the path to the directory shown by the documents view.

Name

The name to be given to the generated file. The file extension is generated automatically based on the output type.

Note:   If the file name already exists, the file or files are overwritten.

Output type

Select one of the following output types. If you select an output type other than PostScript (PS), DataAtlas Modeler creates a file for every page in the document. For each file it creates, it adds a number to the file name, starting with 000 for the title page. If you save the document as a set of PCX or TIF files, you can import these files into document management tools or word processor tools.

• PostScript (PS)

Produces a PostScript file with an end-of-document line, so you can send it directly to a PostScript printer. This file has the extension .PS.

• Encapsulated PostScript (EPS)

Produces PostScript files that contain no end-of-document line, so you can imbed them in another PostScript file. The files have the extension .EPS.

• Picture exchange (PCX)

Produces PCX files that you can process with an image processing utility that handles PCX files, such as the IBM WIN-OS/2 Paintbrush utility that is included in OS/2. The files have the extension .PCX.

• Tag image file format (TIFF)

Produces TIFF files that you can process with an image processing utility that handles TIFF files. The files have the extension .TIF.

• Compressed tag image file format (CTIFF)

Produces CTIFF files that you can process with an image processing utility that handles CTIFF files. The files have the extension .TIF.

Buttons

OK

Cancel

Help

Window Menu


Scaling Factors

Use this window to change the scale of the graphics in a formatted document. When you open this window, the scaling factors are set to 100%. This means that the scaling factor corresponds to the value you set in the Section Settings window in the tree view of the document structure.

If you change the scaling factors here, all the graphics in the document are affected by the change.

Fields

Graphics in body, Graphics in appendix

The graphics the scaling factors apply to; those in the body or those in the appendix.

Portrait, Landscape

The graphics the scaling factors apply to; those that have a portrait orientation, or those that have a landscape orientation. The orientation (portrait or landscape) of a graphic is set in the Layout window for the corresponding graphic view.

Horizontal, Vertical

The percentage by which the corresponding dimension is to be changed. You can enter values between 20% and 300%.

Ensure that all the graphics still fit onto one page. If you specify a percentage that causes a graphic to be too large to fit on a page, only that part of the graphic that fits onto one page appears in the document.

Buttons

OK

Cancel

Help

Window Menu


Search

Use the Search window to locate objects in the tree view of a data model.

Fields

Pattern

Any part of the name to be searched for. The case (uppercase or lowercase) of the letters you enter is unimportant. You can include a wildcard character in the search pattern; use a percent sign (%) to represent several characters.

Subtrees

The subtrees of the tree view that are to be searched; Diagram elements includes entity groups, entities, relationships, and isa bundles.

Results

After you click Search, this field lists the objects that contain strings that match the search pattern specified in the Pattern field.

Buttons

Search

Start the search.

Select

Causes the object that you selected in the Results field to be selected in the tree view of the model.

Cancel

Help

Window Menu


Search Data Elements in TeamConnection

Use this window to search for data elements in TeamConnection. The fields are case sensitive. You can use wildcard characters in any of the fields; use an underscore (_) to represent one character and a percent sign (%) to represent several characters.

Buttons

Search

Start the search in TeamConnection.

Cancel

Help

Window Menu


Search Relational Designs in TeamConnection

Use this window to search for relational designs in TeamConnection. The fields are case sensitive. You can use wildcard characters in any of the fields; use an underscore (_) to represent one character and a percent sign (%) to represent several characters.

Buttons

Search

Start the search in TeamConnection.

Cancel

Help

Window Menu


Search Results

This window lists the relational designs in TeamConnection that satisfy the search criteria. When you select an item from this list, DataAtlas Modeler updates the Transform into Relational Design window with information about the last transformation to this relational design.

Buttons

• OK

• Cancel

• Help

Window Menu


Section Settings

Use this window to specify the settings for a chapter or section in a document structure.

Fields

Heading

The heading of the section as it appears in the formatted document. If you selected several document sections, this field is unavailable.

The headings for each section containing objects are shown as variables prefixed by the object type. For example, in the entity group chapter the heading for the individual entity group sections is shown as: Entity Group '$(eg.name)' When you create a document, the variable is replaced with the name of the entity group. You can change the name used for the object type, but you cannot change the variable or use the variable elsewhere.

Hide heading

Excludes the heading for this section and all its subsections. This is available only if Hide heading for a section to which this section belongs is not checked.

Number subheadings

Numbers the heading of the selected section and enables numbering for its subsections. If you click this field, select a numbering method from those shown.

Note:   Only numbered subheadings appear in the table of contents in a document.

This field is available only if all of the following are true:

• Hide heading is not selected for this section

• If this is a subsection, Number subheadings is enabled for the section to which it belongs.

Page break

Includes a page break before or after the selected section.

Text format

Whether text is unformatted or justified. These buttons are available only when a section containing text (not a graphic) is selected.

If the text contains formatting controls, click Unformatted and proportional to format the text in the document.

Graphic position

Where and how the model graphics are to appear in the formatted document. These buttons are available only when a section containing a graphic is selected.

All graphics in the main body of the document ( Inline, Centered, and Absolute) are left justified; graphics in the appendix are centered. The graphic position also determines the reference point for the Graphic scale.

• Inline

The reference point is the top left corner of the graphic. The graphic is placed so that its reference point appears directly after any other text on the page.

• Centered

The reference point is the center of the left edge of the graphic. The graphic is placed so that its reference point is in the center of the remaining space available on the page.

• Absolute

The reference point is the bottom left corner of the graphic. The graphic is placed so that its reference point is at the bottom left corner of the page.

• Appendix

The reference point is the center of the page.

Graphic scale

How graphics are to be scaled in the formatted document. If you specify auto, DataAtlas Modeler automatically adjusts the scale of the graphics so that they fit the current layout. This field is available only when a section containing graphics is selected.

Buttons

OK

Cancel

Help

Window Menu


Show Columns

Use the Show Columns window to specify what attribute information is shown in the attributes view and the order in which it appears. By default, the attribute type, name, data element, and DB2 data type are shown. You can also include the attribute technology name and the Oracle data type.

Fields

Available columns

Lists the information you can add to the attributes view.

Visible columns

Lists the attribute information shown in the attributes view in the order in which it appears in the view.

Buttons

>> 	Add the selected entries to the list of visible columns.

<< 	Remove the selected entries from the list of visible columns. If you select the attribute name or the attribute type, this button is unavailable.

Up 	Move the selected column up one place in the list. This button is available only if exactly one column is selected.

Down 	Move the selected column down one place in the list. This button is available only if exactly one column is selected.

OK 	Perform the action and close the window.

Cancel

Help

Window Menu


Sort Order

Use the Sort Order window to specify how DataAtlas Modeler is to sort the order of the objects in the following groups: Entity groups, Entities, Relationships, Isa bundles, and Data elements.

If you specify User defined or Alphabetically as the sort order, this order is kept in documents you create in DataAtlas Modeler. If you specify By creation date or By modification date as the sort order, the objects are sorted alphabetically in documents you create in DataAtlas Modeler.

To sort the order of the objects in any of these groups, click the appropriate group node. For example, to change the sort criteria for relationships, click the Relationships node.

Fields

 Sort order

Click one of the following sort criteria:

• User defined

Allows you to drag an object wherever you want to within the same hierarchical level. For example, you can drag an entity anywhere within its own entity group but you cannot drag it to another entity group.

This is not available for data elements.

• Alphabetically

Sorts the elements in ascending alphabetical order. To reverse the alphabetical order, click Reverse as the Sort type.

• By creation date

Lists the most recently created objects first. To show the oldest objects first, click Reverse as the Sort type.

This is not available for data elements.

• By modification date

Lists the most recently modified objects first. To show the oldest modifications first, click Reverse as the Sort type.

 Sort type

Use these selections to modify the Sort order:

• Reverse

Reverses the sort order. For example, if you selected Alphabetically as the sort order, this sorts the members of the selected node in descending alphabetical order.

This is not available when you select User defined as the sort order.

• Hierarchical

Lists entity groups and their entities according to how they are related to one another. Subentity groups are nested in the entity group that contains them.

This is only available if you selected the Entity groups node in the tree view.

Buttons

OK

Apply

Cancel

Help

Window Menu


Table Name Conflict

The Table Name Conflict window appears when DataAtlas Modeler detects a problem during the transformation of an entity or relationship into a table. Use this window to correct the problem and continue with the transformation, or to stop the transformation.

Fields

Message text

Explains the nature of the name conflict.

Entity or relationship name

The technology name of the entity or relationship that is the source of the naming conflict.

Table name

The name of the table that was created from the technology name of the entity or relationship.

Enter a new table name and click OK to continue the transformation, or click Cancel to stop the transformation.

Buttons

OK

Continue with the transformation.

Cancel

Stop the transformation.

Help

Window Menu


Technology Name Generation Rules

Use this window to specify the rules used for automatically generating technology names. The rules apply to all new or changed objects in the data model.

Fields

Remove characters

Click this choice to generate the technology name from the object name.

Specify whether the name is to be generated by removing characters from the end of the object name or by removing the vowels.

Characters are removed from the object name until the generated technology name complies with the length restrictions for the object type. If the resulting technology name is not unique, DataAtlas Modeler adds a number to the end of the generated name to make it unique.

Use prefix and number

Click this choice to generate the technology name from an object-specific prefix and a number sequence.

Specify a prefix for each object type and the number of digits to be used for the number. The prefixes you specify for entity groups, entities, relationships, attributes, and constraints must conform to the technology naming rules for the object type.

When you create an object, DataAtlas Modeler generates a number with the specified number of digits and adds it to the object-specific prefix. It ensures that the generated technology name is unique.

Buttons

OK

Default 	Reset the name generation rules to Remove characters and Vowels.

Cancel

Help

Window Menu


Text Block Settings

Use this window to change the name of a text block. If you are copying a text block, use this window to specify a name for the copied text block.

Fields

Name

The name of the text block.

Buttons

OK

Open

Save these settings and open the text editor. This is helpful if you want to edit the text block immediately after specifying the settings in this window.

Cancel

Help

Window Menu


Text View (Data Model Objects)

Use the text view to add or modify descriptive text for a data model object. DataAtlas Modeler automatically saves your text when you:

• Close the text view.

• Unlock the text object.

• Switch to another view or window.

You can use formatting controls to specify how text is to be formatted when it is included in a document. To change the font for the text, click Layout from the Text menu.

Menu Choices

Tool Bar

  Refresh now

  Lock

  Unlock

  Find and replace

Window Menu


Text View (Data Model Objects) Menu Choices

Double-click on an entry to link to the information.

• Text

-Save as... <Ctrl+F2>

-Lock <F4>

-Unlock <Ctrl+F4>

-Layout... <Ctrl+Shift+Y>

• Edit

-Cut <Shift+Delete>

-Copy <Ctrl+Insert>

-Paste <Shift+Insert>

-Delete <Delete>

-Find and replace... <Ctrl+F>

-Get... <Ctrl+G>

• View

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

-Refresh now <F5>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

-Data model <Ctrl+Shift+F11>

-Object... <Ctrl+Alt+F11>

• Help


Text View (Document Profiles)

Use the text view to create or modify user-defined text blocks. DataAtlas Modeler automatically saves your text when you:

• Close the text view.

• Switch to another view or window.

You can use formatting controls to specify how text is to be formatted when it is included in a document. To change the font for the text, click Layout from the Text menu.

Menu Choices

Tool Bar

  Find and replace

Window Menu


Text View (Document Profiles) Menu Choices

Double-click on an entry to link to the information.

• Text

-Save as... <Ctrl+F2>

-Layout... <Ctrl+Shift+Y>

• Edit

-Cut <Shift+Delete>

-Copy <Ctrl+Insert>

-Paste <Shift+Insert>

-Delete <Delete>

-Find and replace... <Ctrl+F>

-Get... <Ctrl+G>

• View

-Hide tool bar <Ctrl+Shift+I>

-Show tool bar <Ctrl+Shift+O>

• Windows

-Window list <F11>

-DataAtlas Modeler <Ctrl+F11>

• Help


Title Settings

Use this window to change the name and the text of a title page. If you are copying a title page, specify a new name for the copied title page.

Fields

Name

The name of the title page.

Top, Center, Bottom

The text that is to appear at the top, center, and bottom of the title page. In a document, this text can be several lines long. Use the $(nl) variable in these fields to indicate where a new line is to begin. The text can also contain variables, for example the title of the document and the date that the document was created.

Justify top, center, bottom

How the text at the top, in the center, and at the bottom of the title page is to be aligned.

Buttons

OK

Cancel

Help

Window Menu


Transform from CASE Model

Use this window to transform a CASE model into a data model that you can work with in DataAtlas Modeler. The progress of the transformation is shown in the Transformation Progress window.

Fields

CASE model

The name of the CASE model that is to be transformed into a data model.

Delete CASE model after successful transformation

Click this choice to delete the CASE model from the TeamConnection database.

Buttons

Transform

Start the transformation.

Cancel

Help

Window Menu


Transform from Relational Design

Use this window to transform a relational design into a data model.

The progress of the transformation is shown in the Transformation Progress window. When the transformation is finished, an Information window opens showing the results of the transformation. You can save this report to a file for printing.

During transformation, DataAtlas Modeler creates a set of mapping objects with links to tables in the source database. If you retransform the resulting data model into the same relational design, DataAtlas Modeler uses these mapping objects to determine the tables and columns that need to be updated.

Fields

Relational design

The name of the relational design that is to be transformed into a data model.

Source DB system

The source database system of the relational design.

Buttons

Transform

Start the transformation.

Cancel

Help

Window Menu


Transform into CASE Model

Use this window to transform a DataAtlas Modeler data model into a CASE model. The progress of the transformation is shown in the Transformation Progress window.

Fields

CASE model

The name of the CASE model. This name must be unique among the CASE models in the TeamConnection database.

Buttons

Transform

Start the transformation.

Cancel

Help

Window Menu


Transform into Relational Design for DB2 Universal Database

Use this window to specify settings for the transformation of a data model, or selected objects in the data model, into a relational design for DB2 Universal Database. You can transform the data model into a new relational design or an existing design.

If the data model or the selected objects have already been transformed into a relational design, or if the data model was the target of a transformation from a relational design, the settings for the last transformation are shown.

Fields

Version

The DB2 Universal Database version. This release of DataAtlas Modeler supports Version 5.1 only.

This field is mandatory.

Relational design

The name of the target relational design.

This field is mandatory.

Physical design

The name of the physical design.

This field is optional.

System

The name of the database management system (DBMS).

This field is mandatory.

Schema

The schema to which the created tables belong.

This list contains all schemas that belong to the selected system. Select a schema from the list or enter a schema name. If the schema name does not already exist in TeamConnection, an object with the specified name is created.

This field is mandatory.

Database

The name of the database the tables belong to.

This list contains all databases that belong to the selected system. Select a database from the list or enter a database name; the database name can have a maximum of 8 characters. If the database name does not already exist in TeamConnection, an object with the specified name is created.

This field is mandatory.

Component

The TeamConnection component to which newly created relational design objects belong to. This list contains those components for which you have the authority to perform the TeamConnection actions PartAdd and PartCheckOut.

This field is mandatory.

Prefix

The string that is added to the front of every table name that DataAtlas Modeler generates.

For example, if you specify the prefix T1_, when DataAtlas generates a table that corresponds to the entity PERSON, it generates a table with the name T1_PERSON.

This field is optional.

Name reduction rules

The name reduction rules that are to apply if the generated table name is too long.

Reference clauses

The foreign key reference clauses for mandatory and optional relationships.

Buttons

Search

Search TeamConnection for a relational design.

Transform

Start the transformation.

Cancel

Help

Window Menu


Transform into Relational Design for DB2 for OS/390

Use this window to specify settings for the transformation of a data model, or selected objects in the data model, into a relational design for DB2 for OS/390. You can transform the data model into a new relational design or an existing design.

If the data model or the selected objects have already been transformed into a relational design, or if the data model was the target of a transformation from a relational design, the settings for the last transformation are shown.

Fields

Version

The target DB2 for OS/390 version. This release of DataAtlas Modeler supports Versions 3.2, 4.1, and 5.1.

Relational design

The name of the target relational design.

This field is mandatory.

Physical design

The name of the physical design.

This field is optional.

System

The name of the database management system (DBMS).

This field is mandatory.

Creator

The creator of the DB2 tables.

This list contains all creators that belong to the selected system. Select a creator from the list or enter a creator name. If the creator name does not already exist in TeamConnection, an object with the specified name is created.

This field is mandatory.

Database

The name of the database the tables belong to.

This list contains all databases that belong to the selected system. Select a database from the list or enter a database name; the database name can have a maximum of 8 characters. If the database name does not already exist in TeamConnection, an object with the specified name is created.

This field is mandatory.

Component

The TeamConnection component to which newly created relational design objects belong to. This list contains only those components for which you have the authority to perform the TeamConnection actions PartAdd and PartCheckOut.

This field is mandatory.

Prefix

The string that is added to the front of every table name that DataAtlas Modeler generates.

For example, if you specify the prefix T1_, when DataAtlas generates a table that corresponds to the entity PERSON, it generates a table with the name T1_PERSON.

This field is optional.

Name reduction rules

The name reduction rules that are to apply if the generated table name is too long.

Reference clauses

The foreign key reference clauses for mandatory and optional relationships.

Buttons

Search

Search TeamConnection for a relational design.

Transform

Start the transformation.

Cancel

Help

Window Menu


Transform into Relational Design for Oracle

Use this window to specify settings for the transformation of a data model, or selected objects in the data model, into a relational design for Oracle. You can transform the data model into a new relational design or an existing design.

If the data model or the selected objects have already been transformed into a relational design, or if the data model was the target of a transformation from a relational design, the settings for the last transformation are shown.

Fields

Version

The target Oracle version. This release of DataAtlas Modeler supports Version 7.3 only.

Relational design

The name of the target relational design.

This field is mandatory.

Physical design

The name of the physical design.

This field is optional.

System

The name of the database management system (DBMS).

This field is mandatory.

Schema

The schema to which the created tables belong.

This list contains all schemas that belong to the selected system. Select a schema from the list or enter a schema name. If the schema name does not already exist in TeamConnection, an object with the specified name is created.

This field is mandatory.

Component

The TeamConnection component to which newly created relational design objects belong to. This list contains only those components for which you have the authority to perform the TeamConnection actions PartAdd and PartCheckOut.

This field is mandatory.

Prefix

The string that is added to the front of every table name that DataAtlas Modeler generates.

For example, if you specify the prefix T1_, when DataAtlas generates a table that corresponds to the entity PERSON, it generates a table with the name T1_PERSON.

This field is optional.

Reference clauses

The foreign key reference clauses for mandatory relationships.

Buttons

Search

Search TeamConnection for a relational design.

Transform

Start the transformation.

Cancel

Help

Window Menu


Relational Design

The name of the relational design into which the objects in the data model are to be transformed. If the data model has already been transformed into this target database management system, the list contains all the resulting relational designs.

Select an item from the list or Search to search all the relational designs in TeamConnection. When you select a relational design, the settings for the last transformation into this relational design are shown.

If you specify a new relational design name, a relational design with its corresponding collection of table definitions and tables is created.


Physical Design

The name of the physical design. This list contains all physical designs that belong to the selected relational design. If several designs are associated with the relational design, the physical design resulting from the last transformation of the data model into the selected relational design is shown first. Select an item from the list or enter a physical design name.

If you retransform a data model into the same relational design but you specify a new physical design name, the tables created during the previous transformation of this data model into the specified relational design are linked to the new physical design.


System

The name of the database management system (DBMS). This list contains all the DBMSs for the selected version. Select an item from the list or enter the name of a DBMS. If the system name does not already exist in TeamConnection, an object with the specified name is created.

If you are retransforming a data model into the same relational design and you specify a different system, a new set of tables is created. These tables are linked to the table definitions created during the previous transformation of this data model into the specified relational design.


Name Reduction Rules

DataAtlas Modeler generates the name of a relational design object from the technology name of the corresponding data model object. Although the technology name meets the naming rules for the target DBMS, if you have specified a prefix, the resulting table name might be too long.

DataAtlas Modeler always removes the characters not allowed by TeamConnection from the object names before shortening them according to the rules you select here. If you select both of these rules, first the vowels are removed, and only if the name is still too long is the name truncated.

• Exclude vowels

Excludes vowels starting at the end of the name until either the name is the correct length, or there are no more vowels left to remove. DataAtlas Modeler does not exclude vowels from the prefix.

For example, DB2 Universal Database allows table names to be at most 18 characters long. If you specify the prefix T1_, when DataAtlas Modeler generates a table that corresponds to the entity WARM_BLOODED_ANIMAL, it gives this table the name T1_WARM_BLOODD_NML.

• Truncate

Truncates the name of the table (including its prefix) to the maximum length allowed by the target database system.

For example, if you specify the prefix T_ for a DB2 Universal Database table, when DataAtlas Modeler generates a table that corresponds to the entity CUSTOMER_VALIDATION_PROCESS, it creates a table with the name T_CUSTOMER_VALIDAT, which is 18 characters long.

This field is optional. If you leave this field blank, naming conflicts might occur during transformation.


DB2 Reference Clauses

The reference clauses you want DataAtlas Modeler to assign to tables that refer to other tables via foreign keys. The reference clauses that apply depend on the cardinality of the corresponding relationships.

For relational designs for DB2 Universal Database and for DB2 for OS/390 the reference clauses can have the following values:

• For mandatory relationships:

RESTRICT 	The delete rule is set to ON DELETE RESTRICT; the update rule to ON UPDATE RESTRICT.

CASCADE 	The delete rule is set to ON DELETE CASCADE; the update rule to ON UPDATE RESTRICT.

NO ACTION 	The delete rule is set to ON DELETE NO ACTION; the update rule is set to ON UPDATE NO ACTION

<none> 	A reference clause is not generated.

• For optional relationships:

RESTRICT 	The delete rule is set to ON DELETE RESTRICT; the update rule to ON UPDATE RESTRICT.

SET NULL 	The delete rule is set to ON DELETE SET NULL; the update rule is not set.

NO ACTION 	The delete rule is set to ON DELETE NO ACTION; the update rule is set to ON UPDATE NO ACTION

<none> 	A reference clause is not generated.


Oracle Reference Clauses

The reference clauses you want DataAtlas Modeler to assign to tables that refer to other tables via foreign keys. The reference clauses that apply depend on the cardinality of the corresponding relationships.

For relational designs for Oracle, the reference clauses are created for mandatory relationships only. They can take the following values:

<none> 	A reference clause is not generated.

CASCADE 	The delete rule is set to ON DELETE CASCADE; the update rule to ON UPDATE RESTRICT.


Transformation Progress

The Transformation Progress window shows you the status of the transformation.

Buttons

Stop

End the transformation and close the window.

Pause

Temporarily suspend the transformation. Click Continue to resume the transformation.

Continue

Resume the transformation.

Cancel

Help

Window Menu


Unload Data Model

Use this window to specify how you want to end your DataAtlas Modeler modeling session. Click one of the following:

Keep data model loaded

This ends the data modeling session but keeps the data model loaded; the data model is not checked into TeamConnection.

Unload data model and save changes

This ends the data modeling session and checks the changes to the data model into TeamConnection.

Unload data model and discard changes

This ends the data modeling session and discards all changes made to the data model since the model was checked out of the TeamConnection database. This discards all changes made by all users except for changes made to shareable data elements.

This selection is not available if the DataAtlas Modeler control server was started with the parameter /N (No unload and discard changes).

Window Menu


User Profile

The user profile notebook lets you specify certain aspects of the behavior and appearance of DataAtlas Modeler. These settings are valid only for your user ID and the workstation you are working on.

Changes to the user profile become effective when you open a data model; they have no effect on models that are already open.

Fields

Confirm delete

Specifies whether DataAtlas Modeler is to display a message asking you to confirm each delete action you issue.

Minimum font size

Specifies the minimum size, in points, that the text in the diagram view of an entity group must have if it is to be displayed. Set this to the smallest font size you can still read comfortably.

Show

Specify which of the following aspects are shown in a view:

• Tree graphic

Show each element of a tree view of a data model, document profile, or document structure in a box that is connected by lines to its parents and children. This makes the graphic easier to read, but reduces the density of the information it contains.

• Frame

Draw a frame around the view. When you print diagrams made up of several pages, the frame helps you deduce the position of a page relative to the other pages.

• History

Show the history information in the diagram view of each entity group, in the attributes view of each entity and relationship, and in every text view.

• Page breaks

Use dashed lines to show in the view where the borders of the pages would be if you printed this view, or if you created a document that included it.

Buttons

Undo

Help


Validate Model

Use this window to specify the rules DataAtlas Modeler uses to validate a data model, and the objects it contains, for completeness and correctness:

Fields

 Data Model

Missing data model text

 Entity Group

Missing entity group text

Isolated entity/entity group

 Entity

Missing entity text

No attributes

Missing attribute text

Attribute without data element

Key

Missing constraint text

 Relationship/Isa Bundle

Missing relationship/isa bundle text

Isa bundle with only one subtype

Missing attribute text

Attribute without data element

Key

Missing constraint text

 Data Element

Unused data elements

Missing data element text

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of a data model.

Cancel

Help

Window Menu


Missing Text

Select this rule to check whether a description of the object has been entered in its text view.


Isolated Entity or Entity Group

Select this rule to check the entity group for isolated entities or entity groups.

• An entity group is isolated if the entities it contains do not participate in any relationships with entities outside the group.

• An entity is isolated if it does not participate in a relationship with any other entity.


No Attributes

Select this rule to check for entities without attributes. An entity should have at least one attribute.


Attribute without Data Element

Select this rule to check for attributes without data elements. Data element assignments are required if you are going to transform the data model into a relational design.

In the Validate Relationship/Isa Bundle window this rule is available for relationships only.


Key

Select this rule to check that entities have a primary key. In addition, this rule checks for both entities and relationships that the primary key is sufficient and not redundant.

In the Validate Relationship/Isa Bundle window this rule is available for relationships only.


Sufficient Primary Key

A primary key must be sufficient to uniquely identify each instance of an entity or relationship. DataAtlas Modeler uses the cardinalities of the relationships along which foreign keys are passed to check this.

In DataAtlas Modeler, a primary key is sufficient when one of the following is true:

• It is a local primary key, that is, the entity or relationship has one or more attributes that were not generated along a relationship.

• It is made up of at least one primary foreign key generated along a single one-to-one relationship.

• It is made up of at least two primary foreign keys generated along several different relationships.

• It is made up of at least one primary foreign key generated along an isa bundle.

For example, if one person can own many automobiles, and you specify the person ID, which is passed to AUTOMOBILE as a foreign key, to be its primary key, DataAtlas Modeler recognizes that this primary key is not sufficient to uniquely identify each of the several automobiles that can belong to one person. They would all have the same primary key, namely the person ID of their owner, and this would be insufficient.


Redundant Primary Key

A primary key must contain only sufficient primary key information to uniquely identify each instance of an entity or a relationship. Any further key information is redundant. DataAtlas Modeler uses the cardinalities of the relationships along which foreign keys are passed to check this.

In DataAtlas Modeler, a primary key contains redundant keys when more than one of the following are true:

• It is a local primary key, that is, the entity or relationship has one or more attributes that were not generated along a relationship.

• It is made up of at least one primary foreign key generated along a single one-to-one relationship.

• It is made up of at least two primary foreign keys generated along several different relationships.

• It is made up of at least one primary foreign key generated along an isa bundle.

For example, assume that one manager can manage a department and a department can be managed by exactly one manager:

:ARTWORK NAME='CDMU7S02.BMP'.

If you specify the primary key of Manager to be PERSON_ID, this is passed to Dept as a foreign key, where it becomes the primary key. PERSON_ID is sufficient to uniquely identify each department. If you specify another attribute to form a composite key for Dept, DataAtlas Modeler recognizes that this primary key contains more information than it needs to be unique, and therefore it is redundant.


Isa Bundle with Only One Subtype

Select this rule to check for isa bundles with only one subtype. You use an isa bundle to specialize a supertype into several subtypes, or generalize several subtypes into one supertype. An isa bundle with only one subtype is incomplete.

In the Validate Relationship/Isa Bundle window this rule is available for isa bundles only.


Unused Data Elements

Select this rule to check whether you have used all the data elements you added to the model.


Validate Entity Group

Use this window to specify the rules DataAtlas Modeler uses to validate an entity group, and the objects it contains, for completeness and correctness.

Fields

 Entity Group

Missing entity group text

Isolated entity/entity group

 Entity

Missing entity text

No attributes

Missing attribute text

Attribute without data element

Key

Missing constraint text

 Relationship/Isa Bundle

Missing relationship/isa bundle text

Isa bundle with only one subtype

Missing attribute text

Attribute without data element

Key

Missing constraint text

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of an entity group.

Cancel

Help

Window Menu


Validate Entity

Use this window to specify the rules DataAtlas Modeler uses to validate entities for completeness and correctness.

Fields

Missing entity text

No attributes

Missing attribute text

Attribute without data element

Key

Missing constraint text

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of an entity.

Cancel

Help

Window Menu


Validate Relationship or Isa Bundle

Use this window to specify the rules DataAtlas Modeler uses to validate relationships or isa bundles for completeness and correctness.

Fields

Missing relationship/isa bundle text

Isa bundle with only one subtype

Missing attribute text

Attribute without data element

Key

Missing constraint text

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of a relationship or an isa bundle.

Cancel

Help

Window Menu


Validate Data Element

Use this window to validate whether a data element is used in the data model and to check if it has a description.

Fields

Unused data elements

Missing data element text

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of a data element.

Cancel

Help

Window Menu


Validate for Transform

Use this window to check whether the data model is complete for transformation into a relational design for the selected target DBMS.

Fields

Key

Entity without attributes

Attribute without data element

SQL naming

Buttons

OK

Save

Save the selected validation rules as the default setting for the validation of a data model for transformation.

Cancel

Help

Window Menu


SQL Naming

Select this rule to check that the object names in the data model will produce table and column names in the relational design that conform to the ISO/ANSI entry level SQL standard (ISO 9075-1992, ANSI X3.135-1992). This includes checking the name length, the valid characters, and the reserved words.


View Page

Use this window to go to a specific page number either in the current section or in the complete document. The Information Area shows the page number in both the current section and the document.

Buttons

OK

Cancel

Help

Window Menu


Window List

This window lists all the open windows in your current DataAtlas Modeler session.

Buttons

Show

Go to the selected window.

Cancel

Help

Window Menu


Menu Choices

Double-click on an entry to link to the information.

Add column of pages

Add data elements

Add row of pages

Add subtype

After each EAM

Align horizontally

Align vertically

Clear

Collapse

Copy

Copy (Text View)

Create another

Create attribute

Create constraint

Create data element

Create document

Create element

Create entity

Create relationship

Cut

DataAtlas Modeler

Data model

Delete

Delete column of pages

Delete row of pages

Display all

Display selected only

End of transaction

Exclude

Expand

Find and replace

Fonts

Get

Get entity (Selected)

Get entity (Group)

Go to

Group

Help menu-bar choice

Hide tool bar

Include

Information (for Document)

Information (for Model)

Insert text block

Layout

Lines

List foreign keys

List text blocks

Load

Lock

Lock all objects

Mandatory

Message list

New item placement

Next message

Object

Object size

Open

Open as attributes

Open as constraints

Open as diagram

Open as settings

Open as text

Open as tree

Open data element

Optional

Outline

Page

Parent entity group

Paste

Previous message

Primary

Print

Refresh now

Remove data element

Remove pages

Remove unused data elements

Save as

Save to document file

Scaling factors

Search

Select first child

Select next sibling

Select parent

Select previous sibling

Settings

Show columns

Show primary key

Show relationship

Show tool bar

Sort order

Specialize

Transform from CASE model

Transform from relational design

Transform into CASE model

Transform into relational design

Undo zoom

Ungroup

Unload and discard changes

Unload and save changes

Unlock all objects

Unlock

User profile

Validate

Validate for transform

View (in Preview menu bar)

Where used

Window list

Zoom in

Zoom out

Zoom to fit in window


Add column of pages

Click the Add column of pages choice to add one column of pages to the right of the current page set.

Location: Entity group (diagram view), View menu

Available: Only available if the following are true:

• The entity group is locked by you.

• The diagram view contains less than 32 columns of pages.

Tool-bar choice: None.

Shortcut key: Ctrl+C

Associated window: None.


Add data elements

Click the Add data elements choice to add existing data elements in the TeamConnection database to the current data model.

Location: Model (tree view), Model menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: F6

Associated window: Add Data Elements


Add row of pages

Click the Add row of pages choice to add one row of pages to the bottom of the current page set.

Location: Entity group (diagram view), View menu

Available: Only available if the following are true:

• The entity group is locked by you.

• The diagram view contains less than 32 rows of pages.

Tool-bar choice: None.

Shortcut key: Ctrl+O

Associated window: None.


Add subtype

Click the Add subtype choice to add a subtype to an existing isa bundle.

Location: Entity group (diagram view), Selected menu

Available: Only available if the following are true:

• The entity group and the isa bundle are locked by you.

• You have selected an isa bundle.

• There is at least one entity that can be added to the isa bundle.

Tool-bar choice: None.

Shortcut key: Ctrl+B

Associated window: Add Subtype


After each EAM

Click the After each EAM choice to specify that a program that accesses this data is to check whether each of the selected constraints is satisfied immediately after each elemental access method specified for that constraint is carried out. This specification is for documentation purposes only.

Location:

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if the following are true:

• The entity or relationship is locked by you.

• The When value for the selected constraint is set to EOT.

Tool-bar choice:

Shortcut key: Ctrl+C

Associated window: None.


Align horizontally

Click the Align horizontally choice to fix the horizontal position of two or more selected entities and entity groups. Choose an object from the selected objects that is to determine the horizontal position of all of the selected objects.

Location: Entity group (diagram view), View menu

Available: Only if the following are true:

• The entity group is locked by you.

• You have selected at least two objects.

Tool-bar choice:

Shortcut key: Ctrl+H

Associated window: None.


Align vertically

Click the Align vertically choice to fix the vertical position of two or more selected entities and entity groups. Choose an object from the selected objects that is to determine the vertical position of all of the selected objects.

Location: Entity group (diagram view), View menu

Available: Only if the following are true:

• The entity group is locked by you.

• You have selected at least two objects.

Tool-bar choice:

Shortcut key: Ctrl+A

Associated window: None.


Clear

Click the Clear choice to delete the contents of an Information window.

Location: Information, Contents menu

Available: Only if there is at least one entry in the Information window.

Tool-bar choice: None.

Shortcut key: Delete.

Associated window: None.


Collapse

Click the Collapse choice to collapse the selected object in a tree view and hide its dependent objects. Use the Expand choice to undo this choice.

Location:

• Model (tree view), Selected menu

• Document Profile (tree view), Selected menu

Available: Only if the selected object is expanded.

Tool-bar choice: None.

Shortcut key: F9

Associated window: None.


Copy

Click the Copy choice to create a new object by copying and changing an existing one.

Location:

• Data models view

• Document profiles view

• Documents view

• Document profile (tree view), Selected menu

Available: Only if exactly one data model, document profile, document, or document profile element is selected.

Tool-bar choice:    (Not in document profile tree view.)

Shortcut key: Ctrl+Insert (not in data models view, document profiles view, or documents view)

Associated window: One of:

Copy Data Model

Copy Document Profile

Copy Document

Document Structure Settings

Footer Settings

Header Settings

Text Block Settings

Title Settings


Copy (Text View)

Click the Copy choice to copy the selected text to the clipboard.

Location: Text view, Edit menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+Insert

Associated window: None.


Create another

Click the Create another choice to create a new object of the same type as the one that is selected.

Note:   You cannot create an entity group or an isa bundle using this choice.

Location:

• Data models view

• Document profiles view

• Entity group (diagram view), Selected menu

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if the following are true:

• Exactly one object is selected in the view.

• If the object is in the diagram view, the entity group and the selected object must be locked by you.

• If the object is in the attributes view, the entity or relationship must be locked by you.

Tool-bar choice:    in data models view and document profiles view

Shortcut key: Alt+Insert (not in data models view or document profiles view)

Associated window: One of:

Create Data Model

Create Document Profile

Create Entity

Create Relationship

Create Attribute

Create Constraint


Create attribute

Click the Create attribute choice to create a new attribute.

Location:

• Entity (attributes view), Entity menu

• Relationship (attributes view), Relationship menu

Available: Always available if the entity or relationship is locked by you.

Tool-bar choice:

Shortcut key: F6

Associated window: Create Attribute


Create constraint

Click the Create constraint choice to create a new constraint.

Location:

• Entity (attributes view), Entity menu

• Relationship (attributes view), Relationship

Available: Always available if the entity or relationship is locked by you.

Tool-bar choice:

Shortcut key: Ctrl+F6

Associated window: Create Constraint


Create data element

Click the Create data element choice to create a data element. The new data element is added to the data model and the TeamConnection database.

Location: Model (tree view), Model and Selected menus

Available:

• In Model menu, always available

• In Selected menu, only if the Data elements node or a data element is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+D

Associated window: Create Data Element


Create document

Click the Create document choice to create a document. If you click this choice in the Model menu, the document contains all the objects in the model and their descriptions.

Note:   If you restricted the view using the Display selected only choice, or excluded objects from the tree view using the Exclude choice, the document includes only those objects contained in the current view.

If you click this choice in the Selected menu, the document contains the selected objects and their related objects. The related objects that are included depend on the objects you selected:

Selected Object	Entity Group	Entity	Relatio- nship	Attrib- ute or Constr- aint	Isa Bundle	Data Element
Entity group	1
Entity		1	2	2	2	2
Relationship		3	1	2		2
Isa bundle		3		2	1	3
Data element				3		1
 Legend:

1 	Information about the selected object.

2 	Detailed information about objects of this type that are associated with the selected object.

3 	A list of objects of this type that are referenced by the selected object.

Location: Model (tree view), Model and Selected menus

Available: Always available except when you have a document profile open.

Tool-bar choice: None.

Shortcut key:

• In the Model menu, Ctrl+Shift+C

• In the Selected menu, Ctrl+C

Associated window: Create Document


Create element

Click the Create element choice to create a new document profile element of the same type as the selected node in the profile tree. It opens a Create window for the new element. For example, if the Header node is selected, this choice opens a Create Header window.

Location: Document profile (tree view), Selected menu

Available: Only if exactly one node in a document profile is selected.

Tool-bar choice: None.

Shortcut key: F4

Associated window: One of:

Create Document Structure

Create Footer

Create Header

Create Text Block

Create Title


Create entity

Click the Create entity choice to create a new entity.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Group menu

Available:

• In the tree view of a data model, only if exactly one entity group is selected and locked by you.

• In the diagram view of an entity group that is locked by you and you have selected a position for the new entity.

Tool-bar choice:

Shortcut key: Ctrl+E

Associated window: Create Entity


Create relationship

Click the Create relationship choice to create a relationship between two entities:

• If one entity is selected, DataAtlas Modeler highlights all the entities in the current entity group, including the selected entity itself. If there is more than one entity group in the model, it also displays a  [image] symbol. If you click this symbol, DataAtlas Modeler displays the Partner Entity window, which you can use to list the entities in any other entity group in the model, and select a partner entity from this list. After you select a partner entity, whether from the diagram or from the list, DataAtlas Modeler opens a Create Relationship window.

• If two entities are selected, DataAtlas Modeler opens a Create Relationship window for the new relationship.

Location: Entity group (diagram view), Selected menu

Available: Only if the following are true:

• The entity group is locked by you.

• You have selected exactly one or two entities, neither of which is a ghost entity in the current entity group.

Tool-bar choice:

Shortcut key: Ctrl+Alt+F9

Associated window: Create Relationship


Cut

Click the Cut choice to cut the selected text out of the text view and put it in the clipboard.

Location: Text view, Edit menu

Available:

• In the text view of a data model object, only if the text object is locked by you.

• In the document profiles text view, this choice is always available.

Tool-bar choice: None.

Shortcut key: Shift+Delete

Associated window: None.


DataAtlas Modeler

Click the DataAtlas Modeler choice to go to the view of DataAtlas Modeler (data models, document profiles, or documents) that you have open.

Location:

• Model (tree view, text view), Windows menu

• Entity group (diagram view, text view), Windows menu

• Entity (attributes view, text view), Windows menu

• Relationship (attributes view, text view), Windows menu

• Information, Windows menu

• Document profile (tree view), Windows menu

• Document structure (tree view), Windows menu

• Document (preview), Windows menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+F11

Associated window: One of:

Data Models View

Document Profiles View

Documents View


Data model

Click the Data model choice to go to the tree view of the data model containing the entity group, entity, or relationship that is currently displayed.

Location:

• Entity group (diagram view, text view), Windows menu

• Entity (attributes view, text view), Windows menu

• Relationship (attributes view, text view), Windows menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+Shift+F11

Associated window: Data Model Tree


Delete

Click the Delete choice to delete the selected objects. If an object has a description, this is put in the wastebasket in the tree view of the data model.

Location:

• Data models view

• Document profiles view

• Documents view

• Model (tree view), Selected menu

• Entity group (diagram view), Selected menu

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

• Document profile (tree view), Selected menu

• Document structure (tree view), Selected menu

Available:

• Always in the data models view and the documents view.

• In the document profiles view, only if you have not selected the DEFAULTS document profile.

• In the tree view of a model, or the diagram view of an entity group, only if one or more objects (entity, relationship, or isa bundle) that are all locked by you are selected. The entity group to which these objects belong must also be locked by you.

Delete is not available for data elements. Use Remove data element or Remove unused data elements.

• In the attributes view of an entity or a relationship, only if one or more attributes are selected and the entity or relationship is locked by you.

• In a document structure tree, only if exactly one text block is selected.

Tool-bar choice:

•  [image] in data models view, document profiles view, and documents view

•  [image] in any graphic view of a data model object

Shortcut key: Delete (not in data models view, document profiles view, or documents view)

Associated window: None.


Delete (Text View)

Click the Delete choice to delete marked text. If you have not marked any text, this choice deletes one character to the right of the cursor position.

Location: Text view, Edit menu

Available:

• In a text view of a data model object, only if the text view is locked by you.

• Always available in document profiles text view.

Tool-bar choice: None.

Shortcut key: Delete

Associated window: None.


Delete column of pages

Click the Delete column of pages choice to remove the rightmost column of pages from the current page set.

Location: Entity group (diagram view), View menu

Available: Only if the following are true:

• The entity group is locked by you.

• Nothing is on the rightmost column of pages.

Tool-bar choice: None.

Shortcut key: Ctrl+L

Associated window: None.


Delete row of pages

Click the Delete row of pages choice to remove the bottommost row of pages from the current page set.

Location: Entity group (diagram view), View menu

Available: Only if all the following are true:

• The entity group is locked by you.

• Nothing is on the bottommost row of pages.

Tool-bar choice: None.

Shortcut key: Ctrl+W

Associated window: None.


Display all

Click the Display all choice to display all the objects in a tree view. Use it to undo the Display selected only choice.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if the current view was restricted using Display selected only.

Tool-bar choice: None.

Shortcut key: Ctrl+A

Associated window: None.


Display selected only

Select the Display selected only choice to display only the selected object and its dependent objects in a tree view, and to exclude all other objects.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if exactly one object is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+L

Associated window: None.


End of transaction

Click the End of transaction choice to specify that a program that accesses this data checks that the selected constraint is satisfied at the end of a transaction in which at least one of the elemental access methods specified for that constraint is carried out. This specification is for documentation purposes only.

Location:

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if all the following are true:

• The entity or relationship is locked by you.

• The When value for the selected constraint is set to EEAM.

Tool-bar choice:

Shortcut key: Ctrl+T

Associated window: None.


Exclude

The Exclude choice excludes the selected elements from the document structure. A document created using this structure will not contain the excluded elements. Use the Include choice to undo this choice.

Location: Document Structure (tree view), Selected menu

Available: Only if the selected elements have not already been excluded from the document structure.

Tool-bar choice: None.

Shortcut key: Ctrl+F9

Associated window: None.


Expand

Click the Expand choice to expand the selected object in a tree view to show its dependent objects. Use this choice to undo the Collapse choice.

Location:

• Model (tree view), Selected menu

• Document Profile (tree view), Selected menu

Available: Only if the selected object is collapsed.

Tool-bar choice: None.

Shortcut key: Ctrl+F9

Associated window: None.


Find and replace

Click the Find and replace choice to find the next occurrence of a specified text string and, if necessary, replace it with another text string.

Location: Text view, Edit menu

Available: Always available.

Tool-bar choice:

Shortcut key: Ctrl+F

Associated window: Find and Replace


Fonts

Click the Fonts choice to change the font used for a document element throughout a document, for example, the main text of the document, or the text for a specific heading level.

Location: Document (preview), Document menu, Layout cascaded menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+N

Associated window: Document Fonts


Get

Click the Get choice to get text you have already created and stored in another file and add it to the text view.

Location: Text view, Edit menu

Available:

• In the text view of a data model object, only if the text object is locked by you.

• Always available in document profiles text view.

Tool-bar choice: None.

Shortcut key: Ctrl+G

Associated window: None.


Get entity (Selected)

Click the Get entity choice to move the entity that corresponds to the selected ghost entity to the current entity group.

Location: Entity group (diagram view), Selected menu

Available: Only available if the following are true:

• You have locked both the target entity group and the parent entity group of the ghost entity.

• You have selected exactly one ghost entity.

• The entity corresponding to the ghost entity is not locked by anyone else.

Tool-bar choice: None.

Shortcut key: Ctrl+I

Associated window: None.


Get entity (Group)

Click the Get entity choice to move an entity from another entity group into the current one.

Location: Entity group (diagram view), Group menu

Available: Only if the following are true:

• You have locked the entity group.

• You have selected a free position in the diagram view of an entity group.

• There is at least one entity that you can move to the current entity group.

Tool-bar choice: None.

Shortcut key: Ctrl+Shift+G

Associated window: Get Entity


Go to

Click the Go to choice to open the diagram view of the entity group that contains the entity represented by the selected ghost entity, and select that entity.

Location: Entity group (diagram view), Selected menu

Available: Only if exactly one ghost entity is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+T

Associated window: None.


Group

Click the Group choice to move all the selected entities into a new entity group with the name you specify. It adds one hierarchical level to the data model. It is the opposite of Ungroup.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Selected menu

Available: Only if the following are true:

• You have locked the entity group.

• You have selected one or more entities or entity groups.

• In the diagram view, if you have selected a relationship or an isa bundle, you have also selected the associated entities or the associated subtypes and supertypes.

Tool-bar choice:

Shortcut key: Ctrl+G

Associated window: Create Entity Group


Help menu-bar choice

Click this menu-bar choice to get help on using DataAtlas. In OS/2, this menu-bar choice contains:

• Current window <F1>

• Modeler tasks <Ctrl+Shift+F1>, that is, a list of DataAtlas Modeler tasks, with links to information on how to perform each one

• Help index <Ctrl+F1>

• Using help

• Help contents <Alt+F1>

• Product information

In Windows NT, this menu-bar choice contains:

• Current window <F1>

• Modeler tasks <Ctrl+Shift+F1>, that is, a list of DataAtlas Modeler tasks, with links to information on how to perform each one

• Help topics <Ctrl+F1>

• Using help

• Product information

The accelerator keys are not available in the data models view, the document profiles view, or the documents view.

Location: All menu bars.

Available: Always available.

Tool-bar choice: None.

Associated window: None.


Hide tool bar

Click the Hide tool bar choice to hide the tool bar. This provides a larger area in which to show the view.

Location:

• Model (tree view, text view), View menu

• Entity group (diagram view, text view), View menu

• Entity (attributes view, text view), View menu

• Relationship (attributes view, text view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

• Document (preview), View menu

Available: Only if the tool bar is currently not hidden.

Tool-bar choice: None.

Shortcut key: Ctrl+Shift+I

Associated window: None.


Include

Click the Include choice to include the selected element in the document structure. A document created using this structure will contain the included elements.

Location: Document structure (tree view), Selected menu

Available: Only if the selected element was previously excluded.

Tool-bar choice: None.

Shortcut key: F9

Associated window: None.


Information (for Document)

Click the Information choice to get information about the document you are previewing, for example, when it was created, and how many pages it has. You can print this information or save it in a file.

Location: Document (preview), Document menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+I

Associated window: Information


Information (for Model)

Click the Information choice to get a list of the authorized users of this model. This list shows which of these users are currently working on the model. You can print this information or save it in a file.

Location: Model (tree view), Model menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+I

Associated window: Information


Insert text block

Click the Insert text block choice to insert a text block into a document structure.

Location: Document Structure (tree view), Selected menu

Available: Only if a chapter heading, for example, Table of Contents or Entities, or a text block in the structure is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+N

Associated window: Insert Text Block


Layout

Click the Layout choice to modify the appearance of a view of an object. The same layout settings are used for displaying a view of the object on the workstation and for a printed view of the object.

You can also use the Layout choice to change the default position and size of windows used to display object views.

Location:

• Model (tree view), Model and Selected menus

• Entity group (diagram view), Group and Selected menus

• Entity (attributes view), Entity menu

• Relationship (attributes view), Relationship menu

• Document profile (tree view), Profile menu

• Document structure (tree view), Structure menu

• All objects (text view), Text menu

• Information, Contents menu

Available:

• For a data model object, this choice is available only if the object is locked by you.

• For a document profile, structure, or the Information window, this choice is always available.

Tool-bar choice: None.

Shortcut key:

• Ctrl+Shift+Y corresponds to the choice in an object menu

• Ctrl+Y corresponds to the choice in a Selected menu

Associated window: Layout


Lines

Click the Lines choice to specify the number of lines you want to display in the Information window. The default is 100 000. If the report is longer than 100 000 lines and you have not changed the default value, only the last 100 000 lines are shown.

Location: Information, Contents menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+N

Associated window: Lines


List foreign keys

Click the List foreign keys choice to list the entities that refer to the selected primary key as a foreign key. You can select an entity from the list and open its attributes view; the corresponding foreign key is already selected.

Location: Entity (attributes view), Selected menu

Available: Only if exactly one component of the primary key of an entity is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+F9

Associated window: None.


List text blocks

Click the List text blocks choice to list the text blocks used in the document structure.

Location: Document Structure (tree view), Structure menu

Available: No matter what is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+B

Associated window: None.


Load

Click the Load choice to start the data model server for the selected data model.

Location: DataAtlas Modeler (data models view)

Available: Only when a data model is selected.

Tool-bar choice: None.

Shortcut key: None.

Associated window: None.


Lock

Click the Lock choice to lock an object in all of its views. If the object is an entity or a relationship, this also locks the text view of all the attributes and constraints associated with this object.

In an object menu, this locks the corresponding object (entity group, entity, or relationship). In a Selected menu, it locks the selected objects. If several objects are selected and some are not lockable, or are already locked, this choice has no affect on those objects.

In a text view, this locks the corresponding object, for example, if you lock the text view of an entity or relationship, this locks the object in all of its views and the text view of all its associated attributes and constraints. If you lock the text view of an attribute or constraint, it locks the corresponding entity or relationship in all of its views.

Location:

• Data model (tree view), Selected menu

• Data model (text view), Text menu

• Entity group (diagram view), Group and Selected menus

• Entity group (text view), Text menu

• Entity (attributes view), Entity menu

• Entity (text view), Text menu

• Relationship (attributes view), Relationship menu

• Relationship (text view), Text menu

• Attribute (text view), Text menu

• Constraint (text view), Text menu

Available:

• In an object menu, only if the corresponding object is unlocked.

• In a Selected menu, only if at least one of the selected objects is unlocked.

Tool-bar choice:

•  [image] corresponds to the choice in an object menu

•  [image] corresponds to the choice in a Selected menu

Shortcut key:

• F4 corresponds to the choice in an object menu

• F8 corresponds to the choice in a Selected menu

Associated window: None.


Lock all objects

Click the Lock all objects choice to lock all the objects in the model that are not already locked by someone else.

Location: Model (tree view), Model menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: F4

Associated window: None.


Mandatory

Click the Mandatory choice to specify that each of the selected attributes must have a non-null value. This setting affects the delete rules that are set for this entity or relationship when you transform it into a relational database table.

If you use this choice to change a primary key to a mandatory attribute, the foreign keys that were generated from this primary key are also deleted.

Location:

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if at least one attribute is selected, and all the following are true for the selected attributes:

• You have locked the entity or relationship.

• At least one is not already set to mandatory.

• If the attribute is part of a foreign key, it is a primary foreign key.

Tool-bar choice:

Shortcut key: Ctrl+M

Associated window: None.


Message list

Click the Message list choice to display a list of the messages from the last validation you carried out in this window.

Location:

• Model (tree view), Messages menu

• Entity group (diagram view), Messages menu

• Entity (attributes view), Messages menu

• Relationship (attributes view), Messages menu

Available: Only if the last validation produced messages.

Tool-bar choice: None.

Shortcut key: F10

Associated window: None.


New item placement

Click the New item placement choice to specify whether newly created attributes or constraints are placed before or after the currently selected one.

Location:

• Entity (attributes view), View menu

• Relationship (attributes view), View menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+B (before) or Ctrl+A (after)

Associated window: None.


Next message

Click the Next message choice to display the next validation message in the validation message list.

Location:

• Model (tree view), Messages menu

• Entity group (diagram view), Messages menu

• Entity (attributes view), Messages menu

• Relationship (attributes view), Messages menu

Available: Only if the following are true:

• The last validation produced messages

• There is a next message to go to.

Tool-bar choice: None.

Shortcut key: Ctrl+F10

Associated window: None.


Object

Click the Object choice to list all the objects of a certain type that are in the model, and open any one of them.

Location:

• Model (tree view, text view), Windows menu

• Entity group (diagram view, text view), Windows menu

• Entity (attributes view, text view), Windows menu

• Relationship (attributes view, text view), Windows menu

Available: Always available.

Tool-bar choice:    (only in the tree view)

Shortcut key: Ctrl+Alt+F11

Associated window: Object


Object size

Click the Object size choice to specify the size of objects in a diagram view. Click this choice in the tree view of a data model to specify the default size for all new entity groups that you create; this does not change the size of objects in existing entity groups.

Location:

• Model (tree view), Model and Selected menus

• Entity group (diagram view), Group menu.

Available:

• In the Model menu, this choice is always available.

• In the Selected menu, this choice is available only if one entity group is selected and this entity group is locked by you.

• In the Group menu, it is always available if the entity group is locked by you.

Tool-bar choice: None.

Shortcut key:

• Ctrl+Shift+Z corresponds to the choice in the object menu

• Ctrl+Z corresponds to the choice in the Selected menu

Associated window: Object Size


Open

Click the Open choice to open the selected object in a view of DataAtlas Modeler.

Location:

• Data models view

• Document profiles view

Available: Only if exactly one object is selected.

Tool-bar choice:

Shortcut key: Enter

Associated window: One of:

Data Model Tree

Document Profile Tree


Open as attributes or Open as constraints

Click the Open as attributes or Open as constraints choice to open the attributes views of the selected entities and relationships. Each attributes view lists both the attributes and constraints of the corresponding entity or relationship.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Selected menu

Available: Only if one or more entity or relationship is selected.

Tool-bar choice:

Shortcut key: Ctrl+Alt+F7

Associated window:

Attributes View of an Entity or a Relationship


Open as diagram

Click the Open as diagram choice to open the diagram views of the selected entity groups.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Selected menu

Available: Only if one or more entity group is selected.

Tool-bar choice:

Shortcut key: Shift+F7

Associated window: Entity Group Diagram


Open as settings

Click the Open as settings choice to open the settings view of the corresponding object.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Group and Selected menus

• Entity (attributes view), Entity and Selected menus

• Relationship (attributes view), Relationship and Selected menus

• Document profile (tree view), Selected menu

• Document structure (tree view), Selected menu

• Document (preview), Document menu

Available:

For a tree view of a data model, a diagram view, or an attributes view, this choice is available:

• Always in an object menu.

• In a Selected menu, only if exactly one object is selected.

For a tree view of a document profile, if exactly one document element is selected.

For a tree view of a document structure, if at least one document section is selected.

Always for a document preview.

Tool-bar choice:

• None for the choice in an object menu

•  [image] corresponds to the choice in a Selected menu

Shortcut key:

• F3 corresponds to the choice in an object menu

• F7 corresponds to the choice in a Selected menu

Associated window: One of:

Entity Group Settings

Entity Settings

Relationship Settings

Attribute Settings

Constraint Settings

Isa Bundle Settings

Data Element Settings

Document Structure Settings

Document Preview Settings

Header Settings

Footer Settings

Title Settings

Text Block Settings


Open as text

Click the Open as text choice to open the text view of the corresponding objects. This choice is also available for text in the wastebasket in the tree view.

Location:

• Model (tree view), Model and Selected menus

• Entity group (diagram view), Group and Selected menus

• Entity (attributes view), Entity and Selected menus

• Relationship (attributes view), Relationship and Selected menus

• Document profile (tree view), Selected menu

• Document structure (tree view), Selected menu

Available:

• In an object menu, always.

• In the Selected menu of the tree view of a document profile or a document structure, only if exactly one text block is selected.

• In other Selected menus, only if at least one object is selected.

Tool-bar choice:

• None for the choice in an object menu.

•  [image] corresponds to the choice in a Selected menu in the tree view of a data model, a diagram view, and an attributes view.

Shortcut key:

• Ctrl+F3 corresponds to the choice in an object menu

• Ctrl+F7 corresponds to the choice in a Selected menu

Associated window: One of:

Text View (Data Model Objects)

Text View (Document Profiles)


Open as tree

Click the Open as tree choice to open the tree view of the selected document structure.

Location: Document profile (tree view), Selected menu

Available: This choice is available only if exactly one document structure is selected.

Tool-bar choice: None.

Shortcut key: Shift+F7

Associated window: Document Structure Tree


Open data element

Click the Open data element choice to open the settings view of the data element assigned to the selected attribute.

Location:

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if the following are true:

• You have locked the entity or relationship.

• You have selected exactly one attribute and that attribute has a data element assigned to it.

• You have locked that data element in the tree view of the data model.

Tool-bar choice: None.

Shortcut key: Shift+F9

Associated window: Data Element Settings


Optional

Click the Optional choice to specify that each of the selected attributes can have a null value. This setting affects the delete rules that are set for this entity or relationship when you transform it into a relational database table.

If you use this choice to change a primary key to an optional attribute, the foreign keys that were generated from this primary key are deleted.

Location:

• Entity (attributes view), Selected menu

• Relationship (attributes view), Selected menu

Available: Only if at least one attribute is selected and, for the selected attributes, all the following are true:

• You have locked the entity or relationship.

• At least one is not already set to optional.

• None are part of the foreign key.

Tool-bar choice:

Shortcut key: Ctrl+L

Associated window: None.


Outline

Click the Outline choice to display the outline that a document produced using this document structure would have.

Location: Document structure (tree view), Structure menu

Available: No matter what is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+O

Associated window: None.


Page

Click the Page choice to change the settings for all the pages in a formatted document.

Location: Document (preview), Document menu, Layout cascaded menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+P

Associated window: Page


Parent entity group

Click the Parent entity group choice to open the diagram view of the entity group that contains the current entity group, entity, or relationship.

Location:

• Entity group (diagram view), Windows menu

• Entity (attributes view), Windows menu

• Relationship (attributes view), Windows menu

Available:

• For an entity group, only if this entity group is the child of another entity group.

• For an entity or relationship, only if they belong to an entity group that is a child of another entity group.

Tool-bar choice: None.

Shortcut key: Shift+F11

Associated window: Entity Group Diagram


Paste

Click the Paste choice to paste text from the clipboard into the text view.

Location: Text view, Edit menu

Available:

• In the text view of a data model object, if the text object is locked by you.

• Always available in the text view of a document profile object.

Tool-bar choice: None.

Shortcut key: Shift+Insert

Associated window: None.


Previous message

Click the Previous message choice to display the previous validation message in the validation message list.

Location:

• Model (tree view), Messages menu

• Entity group (diagram view), Messages menu

• Entity (attributes view), Messages menu

• Relationship (attributes view), Messages menu

Available: Only if the following are true:

• The last validation produced messages

• There is a previous message to go to.

Tool-bar choice: None.

Shortcut key: Ctrl+Alt+F10

Associated window: None.


Primary

Click the Primary choice to specify which attribute or attributes form the primary key of an entity.

Location: Entity (attributes view), Selected menu

Available: Only if all of the following are true:

• You have locked the entity.

• At least one attribute is selected.

• The attribute is not a primary key.

Tool-bar choice:

Shortcut key: Ctrl+Y

Associated window: None.


Print

Click the Print choice to print any of the following:

• Tree view of a data model, document profile, or document structure

• Diagram view of an entity group

• Attributes view of an entity or a relationship

• Document

• Contents of the Information window

Location:

• Documents view

• Model (tree view), Model and Selected menus

• Entity group (diagram view), Group and Selected menus

• Entity (attributes view), Entity menu

• Relationship (attributes view), Relationship menu

• Document profile (tree view), Profile menu

• Document structure (tree view), Structure menu

• Document (preview), Document menu

• Information, Contents menu

Available:

• In the object menu, always available.

• In the Selected menu, when at least one entity group, entity, or relationship is selected.

Tool-bar choice:    (document preview only)

Shortcut key:

• Ctrl+Shift+P corresponds to the choice in an object menu

• Ctrl+P corresponds to the choice in a Selected menu

Associated window: Print


Refresh now

Click the Refresh now choice to see the most up-to-date state of a view.

The contents of a view can be affected by changes made elsewhere, by you or by someone else. However, such changes are not reflected until the view is refreshed.

For example, the attributes view of an entity, which shows foreign attributes, might be affected when someone creates a new relationship with that entity-it might suddenly contain new foreign attributes. However, this change is not reflected until you refresh the attributes view.

Location:

• Data models view

• Document profiles view

• Documents view

• Model (tree view, text view), View menu

• Entity group (diagram view, text view), View menu

• Entity (attributes view, text view), View menu

• Relationship (attributes view, text view), View menu

• Attributes (text view), View menu

• Constraint (text view), View menu

• Isa bundle (text view), View menu

• Data element (text view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

• Document (preview), Document menu

Available:

• In the text view, only if the view is not locked by you.

• Always available in all other views.

Tool-bar choice:

Shortcut key: F5 (not in data models view, document profiles view, or documents view)

Associated window: None.


Remove data element

Click the Remove data element choice to remove the selected data elements from the model, without deleting them from TeamConnection.

Location: Model (tree view), Selected menu

Available: Only available if the following are true:

• You have selected and locked at least one data element.

• None of the selected data elements is assigned to an attribute in the data model.

Tool-bar choice: None.

Shortcut key: Ctrl+M

Associated window: None.


Remove unused data elements

Click the Remove unused data elements choice to remove all data elements from the data model that are not assigned to an attribute. This choice does not delete data elements from TeamConnection.

Note:   This removes only those unused data elements that are locked by you.

Location: Model (tree view), Model menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+U

Associated window: None.


Remove pages

Click the Remove pages choice to remove empty pages from the current page set.

Location: Entity group (diagram view), View menu

Available: Only if the following are true:

• You have locked the entity group.

• There are pages that are candidates for removal, that is, empty pages other than those needed to form a complete rectangle.

Tool-bar choice: None.

Shortcut key: Ctrl+R

Associated window: None.


Save as

Click the Save as choice to specify the name of the file where the contents of the current text view are to be saved.

Location:

• Text view, Text menu

• Information, Contents menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+F2

Associated window: Save as.


Save to document file

Click the Save to document file choice to save the document you are viewing.

Location: Document (preview), Document menu

Available: Always available.

Shortcut key: Ctrl+F2

Associated window: Save Document File


Scaling factors

Click the Scaling factors choice to adjust the size of the graphics in a document.

Location: Document (preview), Document menu, Layout cascaded menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+S

Associated window: Scaling Factors


Search

Click the Search choice to locate objects in the tree view of a data model.

Location: Model (tree view), View menu

Available: Always available.

Tool-bar choice:

Shortcut key: Ctrl+H

Associated window: Search


Select first child

Click the Select first child choice to select the first child of the selected object.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if the selected object has at least one child.

Tool-bar choice:

Shortcut key:

• Ctrl+Alt+F12 in the tree view of the data model

• Ctrl+T in the tree view of the document profile and document structure

Associated window: None.


Select next sibling

Click the Select next sibling choice to select the sibling of the currently selected object that is below it in the tree.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if the currently selected object has at least one sibling lower than it in the tree.

Tool-bar choice:

Shortcut key: Ctrl+X

Associated window: None.


Select parent

Click the Select parent choice to select the parent of the selected object.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if the selected object has a parent.

Tool-bar choice:

Shortcut key:

• Shift+F12 in the tree view of the data model

• Ctrl+R in the tree view of the document profile and document structure

Associated window: None.


Select previous sibling

Click the Select previous sibling choice to select the sibling of the currently selected object that is above it in the tree.

Location:

• Model (tree view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

Available: Only if the selected object has at least one sibling higher than it in the tree.

Tool-bar choice:

Shortcut key:

• Ctrl+F12 in the tree view of the data model

• Ctrl+P in the tree view of the document profile and document structure

Associated window: None.


Settings

Click the Settings choice to open the Settings notebook for the data models view, the document profiles view, or the documents view. For the data models view, you can use the Settings notebook to change the TeamConnection family, release, or work area.

Location:

• Data models view

• Document profiles view

• Documents view

Available: Always available.

Tool-bar choice:

Shortcut key: None.

Associated window: One of:

Data Models View Settings

Document Profiles View Settings

Documents View Settings


Show columns

Click the Show columns choice to specify what attribute information is  shown in the attributes view and the order in which it appears.

Location:

• Entity (attributes view), View menu

• Relationship (attributes view), View menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+S

Associated window: Show Columns


Show primary key

Click the Show primary key choice to open the attributes view of the entity containing the primary key corresponding to the selected foreign key. The primary key is selected.

Location: Entity (attributes view), Selected menu

Available: Only if exactly one foreign key is selected.

Tool-bar choice: None.

Shortcut key: F9

Associated window: None.


Show relationship

Click the Show relationship choice to open the diagram view of the entity group containing the relationship associated with this foreign key, and select that relationship in the diagram view.

Location: Entity (attributes view), Selected menu

Available: Only if exactly one foreign key is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+Alt+F9

Associated window: None.


Show tool bar

Click the Show tool bar choice to show the tool bar after it has been hidden.

Location:

• Model (tree view, text view), View menu

• Entity group (diagram view, text view), View menu

• Entity (attributes view, text view), View menu

• Relationship (attributes view, text view), View menu

• Document profile (tree view), View menu

• Document structure (tree view), View menu

• Document (preview), View menu

Available: Only if the tool bar is currently hidden.

Tool-bar choice: None.

Shortcut key: Ctrl+Shift+O

Associated window: None.


Sort order

Click the Sort order choice to specify criteria for sorting the members of the selected node in a tree view.

Location: Model (tree view), View menu

Available: Available only if exactly one of the Diagram elements, Entities, Relationships, Isa bundles, or Data elements nodes is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+S

Associated window: Sort Order


Specialize

Click the Specialize choice to create an isa bundle between an entity (supertype) and one or more other entities (subtypes).

Location: Entity group (diagram view), Selected menu

Available: Only if the following are true:

• You have locked the entity group.

• You have selected exactly one entity.

Tool-bar choice:

Shortcut key: Ctrl+S

Associated window: Create Isa Bundle


Technology name generation rules

Click the Technology name generation rules choice to specify the rules to be used for automatically generating object technology names.

Location: Model (tree view), Model menu

Available: Always available

Tool-bar choice: None.

Shortcut key: None

Associated window: Technology Name Generation Rules


Transform from CASE model

Click the Transform from CASE model choice to transform a model that you imported into the TeamConnection database into a model that you can work with in DataAtlas Modeler.

Location: Model (tree view), Model menu

Available: Only if the data model is empty and not locked by anyone.

Tool-bar choice: None.

Shortcut key: Ctrl+Shift+S

Associated window: Transform from CASE Model


Transform from relational design

Click the Transform from relational design choice to create a data model from table definitions in a relational design.

Location: Model (tree view), Model menu

Available: Only if the data model is empty and not locked by anyone.

Tool-bar choice: None.

Shortcut key: Ctrl+R

Associated window: Transform from Relational Design


Transform into CASE model

Click the Transform into CASE model choice to transform a data model into a CASE model. You can export the resulting CASE model from TeamConnection to, for example, another data modeling tool.

Location: Model (tree view), Model menu

Available: Only available when the data model contains objects.

Tool-bar choice: None.

Shortcut key: None.

Associated window: Transform into CASE Model


Transform into relational design

Click the Transform into relational design choice to transform a data model or selected objects in the model into a relational design for one of the target database management systems.

Location: Model (tree view), Model and Selected menus

Available:

• In the Model menu, only when the data model contains objects.

• In the Selected menu, only when you have one or more entities selected.

Tool-bar choice: None.

Shortcut key: Ctrl+F (DB2 Universal Database only)

Associated window: One of:

Transform into Relational Design for DB2 Universal Database

Transform into Relational Design for DB2 for OS/390

Transform into Relational Design for Oracle


Undo zoom

Click the Undo zoom choice to undo the last zoom action.

Location: Entity group (diagram view), View menu

Available: After you zoom in or out at least once.

Tool-bar choice:

Shortcut key: Shift+F12

Associated window: None.


Ungroup

Click the Ungroup choice to move all the entities in the selected entity group into the next higher entity group. It deletes the selected entity group and eliminates one hierarchical level from the data model. This choice is the opposite of the Group choice.

Location:

• Model (tree view), Selected menu

• Entity group (diagram view), Selected menu

Available: Only if the following are true:

• You have locked and selected one or more entity groups.

• You have locked the entity group on the next higher level.

Tool-bar choice: None.

Shortcut key: Ctrl+N

Associated window: None.


Unload and discard changes

Click the Unload and discard changes choice to end the data modeling session and discard all changes made to the data model since the model was checked out of the TeamConnection database. This discards all changes made by all users except for changes made to shareable data elements.

Location: Data models view

Available: Only if the following are true:

• A data model is selected and no one else is working on the data model.

• The DataAtlas Modeler control server was not started with the parameter /N (No unload and discard changes).

Tool-bar choice: None.

Shortcut key: None.

Associated window: None.


Unload and save changes

Click the Unload and save changes choice to end the data modeling session and check all changes made to the data model into the TeamConnection database.

Location: Data models view

Available: Only when a data model is selected and no one else is working on the data model.

Tool-bar choice: None.

Shortcut key: None.

Associated window: None.


Unlock all objects

Click the Unlock all objects choice to unlock all the objects in the model that are locked by you.

Location: Model (tree view), Model menu

Available: Always available.

Tool-bar choice: None.

Shortcut key: Ctrl+F4

Associated window: None.


Unlock

Click the Unlock choice to unlock an object.

In an object menu, this unlocks all the views of the corresponding object. In a Selected menu, it unlocks the selected objects. If several objects are selected and some are already unlocked, this choice has no affect on those objects.

In the text view, this choice unlocks all the views of the object. In the text view of an attribute or constraint, this choice unlocks all the views of the corresponding entity or relationship and all text views of the attributes and constraints associated with the entity or relationship.

Location:

• Data model (tree view), Selected menu

• Data model (text view), Text menu

• Entity group (diagram view), Group and Selected menus

• Entity group (text view), Text menu

• Entity (attributes view), Entity menu

• Entity (text view), Text menu

• Relationship (attributes view), Relationship menu

• Relationship (text view), Text menu

• Attribute (text view), Text menu

• Constraint (text view), Text menu

Available:

• In an object menu, only if the corresponding object is locked.

• In a Selected menu, only if at least one of the selected objects is locked.

Tool-bar choice:

•  [image] corresponds to the choice in an object menu

•  [image] corresponds to the choice in a Selected menu

Shortcut key:

• Ctrl+F4 corresponds to the choice in an object menu

• Ctrl+F8 corresponds to the choice in a Selected menu

Associated window: None.


User profile

Click the User profile choice to open the User Profile notebook. Here you can specify and change the settings for how you work with DataAtlas Modeler on your workstation. For example, you can specify minimum font settings for the diagram view, and whether you confirm the deletion of an object.

Location:

• Data models view

• Document profiles view

• Documents view

Tool-bar choice:

Shortcut key: None.

Associated window: User Profile

Buttons

Undo

Help


Validate

Click the Validate choice to validate a model or the objects it contains.

Location:

• Model (tree view), Model and Selected menus

• Entity group (diagram view), Group and Selected menus

• Entity (attributes view), Entity menu

• Relationship (attributes view), Relationship menu

Available:

• In the object menu, always available

• In the Selected menu, when at least one entity group, entity, relationship, isa bundle, or data element is selected.

Tool-bar choice: None.

Shortcut key:

• Ctrl+Shift+V corresponds to the choice in an object menu

• Ctrl+V corresponds to the choice in a Selected menu

Associated window: One of:

Validate Model

Validate Entity Group

Validate Entity

Validate Relationship or Isa Bundle

Validate Data Element


Validate for transform

Click the Validate for transform choice to validate a model for a specific target database management system. This can help you to resolve design problems that might otherwise cause errors during transformation.

Location: Model (tree view), Model and Selected menus

Available:

• In the Model menu, always available

• In the Selected menu, when at least one entity is selected.

Tool-bar choice: None.

Shortcut key: None.

Associated window: Validate for Transform


View (in Preview menu bar)

Click the View choice in the menu bar of the Preview window to view another part of a document, for example, its table of contents or a specific page.

Location: Document (preview)

Available: Always available.

Tool-bar choices:

  First page in document

  First page in current section

  Previous page

  Next page

  First page in next section

  Last page in document

Associated window: View Page


Where used

Click the Where used choice to list the structures in which the selected text block is used.

Location: Document profile (tree view), Selected menu

Available: Only if exactly one text block is selected.

Tool-bar choice: None.

Shortcut key: Ctrl+W

Associated window: None.


Window list

Click the Window list choice to list all the open windows in your current DataAtlas Modeler session. To go to one of the windows in the list, double-click on it.

Location:

• Model (tree view, text view), Windows menu

• Entity group (diagram view, text view), Windows menu

• Entity (attributes view, text view), Windows menu

• Relationship (attributes view, text view), Windows menu

• Document profile (tree view), Windows menu

• Document structure (tree view), Windows menu

• Document (preview), Windows menu

• Information, Windows menu

Available: No matter what is selected.

Tool-bar choice: None.

Shortcut key: F11

Associated window: Window List


Zoom in

Click the Zoom in choice to make the objects in a diagram view appear larger. If an area is marked using a drag box, DataAtlas Modeler zooms in as far as it can to still display the area marked by the drag box. If no area is marked, DataAtlas Modeler zooms in 20% using the upper left corner of the diagram as the anchor point for the action.

Location: Entity group (diagram view), View menu

Available: No matter what is selected.

Tool-bar choice:

Shortcut key: F12

Associated window: None.


Zoom out

Click the Zoom out choice to make the objects in a diagram view appear 20% smaller.

Location: Entity group (diagram view), View menu

Available: No matter what is selected.

Tool-bar choice:

Shortcut key: Ctrl+F12

Associated window: None.


Zoom to fit in window

Click the Zoom to fit in window choice to adjust the size of a diagram so that all its pages fit in the current window.

Location: Entity group (diagram view), View menu

Available: Only available if the diagram does not already fit in the window.

Tool-bar choice:

Shortcut key: Ctrl+Alt+F12

Associated window: None.


Buttons

Double-click on an entry to link to the information.

OK

Apply

Cancel

Undo

Help


OK

Clicking the OK button is your way of telling DataAtlas Modeler to perform the action on the window, close the window, and continue.

Contrast the behavior of the OK button with that of the Apply and Cancel buttons.


Apply

Clicking the Apply button is your way of telling DataAtlas Modeler to perform the action on the window, but not to close the window. This is helpful when you want to enter values for several different objects, one after the other.

Contrast the behavior of the Apply button with that of the OK and Cancel buttons.


Cancel

Clicking the Cancel button is your way of telling DataAtlas Modeler not to carry out the action on the window, close the window, and continue.

Contrast the behavior of the Cancel button with that of the OK button.


Undo

Click the Undo button to set the values on the notebook page back to what they were before you made changes that you have not yet committed. Changes to a window are committed when you click the OK or Apply button; changes to a notebook page are committed when you go to another page or close the notebook.


Help

The Help button displays information about the window currently shown.


Window Menu

The window menu contains the following choices:

• Restore <Alt+F5>

• Move <Alt+F7>

• Size <Alt+F8>

• Minimize <Alt+F9>

• Maximize <Alt+F10>

• Hide <Alt+F11>

• Close (default) <Alt+F4>

• Window list <Ctrl+Esc>


Object Pop-Up Menu

The pop-up menu for an object in the data models view, document profiles view, or the documents view offers the following choices:

• Open as

-Tree view

-Settings

• User profile

• Help

• Refresh

• Create another

• Copy

• Delete

• Load

• Unload and save changes

• Unload and discard changes

• Print


Notebook Pages

This section describes the notebook pages.

Double-click on an entry to link to the information.

View

TeamConnection.


View

This page lets you change the way a data models view, document profiles view, or documents view looks.

Fields

Details to display

Which of the details are to be shown in a column in the view.

Icon display

The size of the icons shown in the icon column of the view. A small icon size lets you view more lines at one time.

Font

The font used in the view. To change the font, click Change font.

Buttons

Change font

Change the font used in the view.

Undo

Default

Help


TeamConnection

This page lets you change the current TeamConnection family, release, and work area of the data models shown in a data models view.

Fields

Family

The TeamConnection family that you currently have access to. To change the family, click Change.

Note:   You cannot change the family if you have a data model open.

Release

The release that you currently have access to. To change the release, select a release from this list.

Work area

The work area that you currently have access to. This list contains only those work areas within the release that are not complete. To change the work area, select a work area from this list.

Buttons

Change

Change the TeamConnection family.

Undo

Help


Name

Use this page to specify or modify the name of the corresponding object. Always rename data models in DataAtlas Modeler and not in TeamConnection.

Fields

Name

The name of the data model, document profile, or document.

Buttons

Undo

Help


How DataAtlas Modeler Propagates Keys

To determine how to propagate keys, DataAtlas Modeler checks each relationship an invokes the first of the following rules that applies:

1. Does the relationship have attributes or constraints of its own?

If so, the attributes that make up the primary keys of both Entity1 and Entity2 are passed to the relationship, where they form a primary foreign key (PF).

2. Is the maximum cardinality in both directions many?

• (0,X):(0,X)

• (1,X):(0,X)

• (0,X):(1,X)

• (1,X):(1,X)

If so, the attributes that make up the primary keys of both Entity1 and Entity2 are passed to the relationship, where they form a primary foreign key (PF).

3. Is the cardinality in one direction 0,1 and in the other direction 0,many or 1,many?

• (0,1):(0,X)

• (0,1):(1,X)

• (0,X):(0,1)

• (1,X):(0,1)

If so, the attributes that make up the primary key of the entity with the maximum cardinality one are passed to the other entity, where they form an optional foreign key (oF).

4. Is the cardinality in one direction 1,1 and in the other direction 0,many or 1,many?

• (1,1):(0,X)

• (1,1):(1,X)

• (0,X):(1,1)

• (1,X):(1,1)

If so, the attributes that make up the primary key of the entity with the maximum cardinality one are passed to the other entity, where they form a mandatory foreign key (mF).

5. Is the minimum cardinality in one direction 0, and in the other direction 1?

• (0,1):(1,1)

• (1,1):(0,1)

If so, the attributes that make up the primary key of the entity with the minimum cardinality one are passed to the other entity, where they form a mandatory foreign key (mF).

6. Is the minimum cardinality in both directions 0?

• (0,1):(0,1)

If so, the attributes that make up the primary key of Entity1 are passed to Entity2, where they form an optional foreign key (oF).

7. Is the minimum cardinality in both directions 1?

• (1,1):(1,1)

If so, the attributes that make up the primary key of Entity1 are passed to Entity2, where they form a mandatory foreign key (mF).


Tool-Bar Choices

The DataAtlas Modeler tool bars contain the following choices:

  View data models

  View document profiles

  View documents

  Refresh the container

  Open the selected object

  Create a new object

  Copy the selected object

  Delete the selected object

  Sort the container ascending

  Sort the container descending

  Change user profile

  Change view and TeamConnection. settings

  Help for the window

  Refresh now

  Lock the object that the current view is of

  Unlock the object that the current view is of

  Create entity...

  Create relationship

  Specialize

  Delete

  Group...

  Lock selected objects

  Unlock selected objects

  Open as settings

  Open as diagram

  Open as attributes

  Open as text

  Search...

  Object...

  Select next sibling

  Select previous sibling

  Select first child

  Select parent

  Find and replace...

  Zoom in

  Zoom out

  Zoom to fit in window

  Undo zoom

  Align horizontally

  Align vertically

  Create attribute

  Create constraint

  Primary

  Mandatory

  Optional

  After each EAM

  End of transaction

  First page in document

  First page in current section

  Previous page

  Next page

  First page in next section

  Last page in document

  Print document

  Display border


Text Formatting Controls

Use formatting controls in a description of an object or a text block to specify how text is to be formatted when it is included in a document. Use capital letters for the controls and place them at the beginning of a line. Do not include any other text in the same line as the text control.

The text formatting controls are:

.B 	Justifies text to the right and left.

.C 	Centers text.

.H 	The text following this control does not appear in a document.

.L 	Justifies text to the left.

.P 	Begins a new page.

.R 	Justifies text to the right.

.S 	The text following this control is unformatted; long lines are split. The text appears in a document in a proportional font.

.U 	The text following this control is unformatted; long lines are split. The text appears in a document in a monospace font.

This control is useful if you want to include tables in your text.

When you include formatted text in a document, ensure that you set the text format in the Document Section Settings window to Unformatted and proportional. For all of these controls except .H, .P, and .U, DataAtlas Modeler runs the text together removing any additional blanks or new-line characters.

.include path\filename.ext

Includes an ASCII file.

This control is useful if you have prepared text in another text editor or word processor and want to include it in a document in DataAtlas Modeler.


Document Variables

DataAtlas Modeler has variables for document elements and headings for sections in a document.


Variables for Document Elements

You can use the following variables when specifying the contents of headers, footers, and title pages:

$(date) 	The current date.

$(family) 	The TeamConnection family the data model belongs to.

$(model) 	The model name.

$(nl) 	New line.

$(page) 	The running page number. You cannot use this for a title page.

$(release) 	The TeamConnection release the data model belongs to.

$(time) 	The current system time.

$(user) 	The person who created the document. This is taken from the value of the environment variable USER set in the CONFIG.SYS file.

$(workarea) 	The TeamConnection work area the data model belongs to.


Variables for Section Headings

The following variables are displayed in the document structure tree. They are used by DataAtlas Modeler to substitute objects names in document headings. Do not use these variables in any other document elements.

$(eg.name) 	Entity group

$(e.name) 	Entity

$(ea.name) 	Entity attribute

$(ec.name) 	Entity constraint

$(r.name) 	Relationship

$(r.type) 	Relationship type

$(ra.name) 	Relationship attribute

$(rc.name) 	Relationship constraint

$(isab.name) 	Isa bundle

$(de.name) 	Data element

$(shortname) 	Technology name


Glossary

This glossary defines terms and abbreviations that are used in this book. If you do not find the term you are looking for, refer to the IBM Dictionary of Computing, New York: McGraw-Hill, 1994.


A


associative entity

associative entity

A construct used to model a relationship that has local attributes, is a many-to-many relationship, a relationship with a degree greater than 2, or a relationship to a relationship. An associative entity does not usually represent a real-world object.


attribute

attribute

A characteristic of an entity.  For example, an entity named EMPLOYEE may have an attribute called phone number.


attributive entity

attributive entity

A construct used  to model a composite attribute or a multivalued attribute. An attributive entity is a dependent entity; its existence depends on the existence of another entity.


B


binary relationship

binary relationship

A relationship between 2 entities. A binary relationship has degree two.


C


cardinality

cardinality

The number of instances of an entity that can or must participate in a relationship. See minimum cardinality, maximum cardinality.


CASE model

CASE model

The TeamConnection representation of an entity-relationship (ER) model.


collapse

collapse

Temporarily reduce the level of detail in a tree view by hiding the dependents of one or more nodes.


component

component

A TeamConnection object that organizes project data into structured groups, and controls configuration management properties.


conceptual data model

conceptual data model

A model that describes the structure of data independently of implementation considerations, such as which type of database management system will be used to implement the database. One type of conceptual data model is an entity-relationship model.


constraint

constraint

A DataAtlas Modeler rule that governs the validity of the data manipulation operations, such as insert, delete, and update, associated with an entity or a relationship.


D


data element

data element

A construct that determines the data type of an attribute. Each attribute can have exactly one data element associated with it, but one data element can apply to any number of different attributes. In TeamConnection, data elements are shareable objects.


data model

data model

A model that represents the way data is organized. See conceptual data model, logical data model, physical data model.


data type

data type

A category that identifies the internal representation of the data, for example, integer, numeric, and character.


DBMS

DBMS

Database management system.


degree of a relationship

degree of a relationship

The number of different entities that participate in a relationship. DataAtlas Modeler supports unary and binary relationships.


dependent entity

dependent entity

The entity to where the foreign key is passed along a relationship.


document

document

A file formatted for a printer that contains the graphical and textual descriptions of some or all of the objects contained in a data model.


document profile

document profile

A collection of elements that define the content and layout of documents created in DataAtlas Modeler. It contains definitions for title pages, headers, footers, additional text, and document structures.


E


entity

entity

In data modeling, a representation of a class of things with common characteristics or properties. The characteristics or properties are called attributes. A member of this group is called an entity instance. Person in an example of an entity; the person with person ID 553-33-2729 is an example of an entity instance.


entity group

entity group

A named group of entities used to consolidate entities that belong together and to organize a data model hierarchically.


entity instance

entity instance

The single occurrence of an entity.


entity-relationship model (ER model)

entity-relationship model (ER model)

A data model based on the concept of entities and the relationships among entities, and of the attributes of entities and relationships.


entity type

entity type

See entity.


ER model

ER model

Entity-relationship model.


expand

expand

Show the hidden dependents of a collapsed node in a tree view.


F


family

family

A logical organization of related development data.  A single TeamConnection server can support multiple families.  The data in one family cannot be accessed from another family.


foreign key

foreign key

A primary key that is propagated along a relationship.


G


generalization

generalization

A technique for grouping together entities with common attributes and associating them with a supertype.


ghost entity

ghost entity

An entity outside an entity group that participates in a relationship with an entity in the entity group.


I


identifier

identifier

See primary key.


information area

information area

A part of a window where information about the selected object or action appears.


isa bundle

isa bundle

A group of related isa relationships.


isa relationship

isa relationship

A relationship between a subtype and a supertype.


L


locking

locking

An internal mechanism used to protect objects. Locking ensures that no other user can change the object currently being used.


logical data model

logical data model

A model that describes the structure of data with regard to the type of database management system that will be used to implement the database. Contrast with conceptual data model and physical data model.


M


mandatory attribute

mandatory attribute

An attribute that must have a non-null value. Contrast with optional attribute.


many-to-many relationship

many-to-many relationship

A binary relationship between entities A and B where each instance of A may be related to many instances of B and each instance of B may be related to many instances of A. The term many refers to the maximum cardinalities of the relationship in each direction. Contrast with one-to-many relationship and one-to-one relationship.


maximum cardinality

maximum cardinality

The highest number of entity instances that can participate in a relationship. A maximum cardinality can be any number, but in DataAtlas Modeler it is either one or many.


minimum cardinality

minimum cardinality

The lowest number of entity instances that can participate in a relationship. A minimum cardinality can be any number, but in DataAtlas Modeler it can be either zero, indicating that participation in the relationship is optional, or one, indicating that participation is mandatory.


O


one-to-many relationship

one-to-many relationship

A binary relationship between entities A and B where each instance of A may be related to many instances of B and each instance of B is related to at most one instance of A. The terms one and many refer to the maximum cardinalities of the relationship in each direction.  Contrast with many-to-many relationship and one-to-one relationship.


one-to-one relationship

one-to-one relationship

A binary relationship between entities A and B where each instance of A is related to at most one instance of B, and each instance of B is related to at most one instance of A. The term one refers to the maximum cardinalities of the relationship in each direction.  Contrast with one-to-many relationship and many-to-many relationship.


optional attribute

optional attribute

An attribute that can but need not have a non-null value. Contrast with mandatory attribute.


P


physical data model

physical data model

A representation of data that exploits the features of a particular DBMS. Typically, the model is tuned to achieve optimal performance for a given data load and work load.


populate

populate

The extraction of data definitions from external sources, such as relational database catalog, and insertion into the TeamConnection database.


primary key

primary key

An attribute or group of attributes that uniquely identifies each instance of an entity or relationship.


R


RDBMS

RDBMS

Relational database management system.


relational design

relational design

A collection of table definitions plus one or more physical designs.


relationship

relationship

An association between two entities (binary) or between an entity and itself (unary).


release

release

A TeamConnection object defined by a user that contains all the parts that must be built, tested, and distributed as a single entity.


S


subtype

subtype

An entity that describes a subset of another, more global entity (its supertype).


supertype

supertype

An entity that describes a superset of other, less global entities (its subtypes).


T


table

table

A named data object consisting of a specific number of columns and some number of unordered rows.


text block

text block

A block of user-defined text that you can include in a document even though it is not part of the data model.


U


unary relationship

unary relationship

A relationship between an entity and itself. A unary relationship has degree one.


V


version

version

A specific view of a driver, release, or work area.


W


work area

work area

An object in TeamConnection that you create and associate with a release.  When the work area is created, you see the most current view of the release and all the parts that it contains. You can check out the parts in the work area, make modifications, and check them back into the work area. You can also test the modifications without integrating them. Other users are not aware of the changes that you make in the work area until you integrate the work area to a release. While you work on parts in a work area, you do not see subsequent part changes in the release until you integrate or refresh your work area.